import{S as gc,i as _c,s as kc,e as s,k as c,w as b,t as n,M as vc,c as a,d as o,m as p,a as i,x as y,h as r,b as l,N as fc,G as e,g,y as T,q as w,o as P,B as M,v as bc,L as Dn}from"../../chunks/vendor-hf-doc-builder.js";import{T as On}from"../../chunks/Tip-hf-doc-builder.js";import{D as q}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Sn}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ye}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as jn}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function yc(N){let h,v,_,f,k;return{c(){h=s("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),f=n("Module"),k=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var L=i(_);f=r(L,"Module"),L.forEach(o),k=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(d,m){g(d,h,m),e(h,v),e(h,_),e(_,f),e(h,k)},d(d){d&&o(h)}}}function Tc(N){let h,v,_,f,k;return f=new Sn({props:{code:`from transformers import AutoTokenizer, XLMProphetNetModel

tokenizer = AutoTokenizer.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
model = XLMProphetNetModel.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="pt").input_ids  # Batch size 1
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)

last_hidden_states = outputs.last_hidden_state  # main stream hidden states
last_hidden_states_ngram = outputs.last_hidden_state_ngram  # predict hidden states`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMProphetNetModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMProphetNetModel.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state  <span class="hljs-comment"># main stream hidden states</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states_ngram = outputs.last_hidden_state_ngram  <span class="hljs-comment"># predict hidden states</span>`}}),{c(){h=s("p"),v=n("Example:"),_=c(),b(f.$$.fragment)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Example:"),m.forEach(o),_=p(d),y(f.$$.fragment,d)},m(d,m){g(d,h,m),e(h,v),g(d,_,m),T(f,d,m),k=!0},p:Dn,i(d){k||(w(f.$$.fragment,d),k=!0)},o(d){P(f.$$.fragment,d),k=!1},d(d){d&&o(h),d&&o(_),M(f,d)}}}function wc(N){let h,v,_,f,k;return{c(){h=s("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),f=n("Module"),k=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var L=i(_);f=r(L,"Module"),L.forEach(o),k=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(d,m){g(d,h,m),e(h,v),e(h,_),e(_,f),e(h,k)},d(d){d&&o(h)}}}function Pc(N){let h,v,_,f,k;return f=new Sn({props:{code:`from transformers import AutoTokenizer, XLMProphetNetEncoder
import torch

tokenizer = AutoTokenizer.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
model = XLMProphetNetEncoder.from_pretrained("patrickvonplaten/prophetnet-large-uncased-standalone")
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMProphetNetEncoder
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMProphetNetEncoder.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/prophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){h=s("p"),v=n("Example:"),_=c(),b(f.$$.fragment)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Example:"),m.forEach(o),_=p(d),y(f.$$.fragment,d)},m(d,m){g(d,h,m),e(h,v),g(d,_,m),T(f,d,m),k=!0},p:Dn,i(d){k||(w(f.$$.fragment,d),k=!0)},o(d){P(f.$$.fragment,d),k=!1},d(d){d&&o(h),d&&o(_),M(f,d)}}}function Mc(N){let h,v,_,f,k;return{c(){h=s("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),f=n("Module"),k=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var L=i(_);f=r(L,"Module"),L.forEach(o),k=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(d,m){g(d,h,m),e(h,v),e(h,_),e(_,f),e(h,k)},d(d){d&&o(h)}}}function Nc(N){let h,v,_,f,k;return f=new Sn({props:{code:`from transformers import AutoTokenizer, XLMProphetNetDecoder
import torch

tokenizer = AutoTokenizer.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
model = XLMProphetNetDecoder.from_pretrained(
    "patrickvonplaten/xprophetnet-large-uncased-standalone", add_cross_attention=False
)
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMProphetNetDecoder
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMProphetNetDecoder.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){h=s("p"),v=n("Example:"),_=c(),b(f.$$.fragment)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Example:"),m.forEach(o),_=p(d),y(f.$$.fragment,d)},m(d,m){g(d,h,m),e(h,v),g(d,_,m),T(f,d,m),k=!0},p:Dn,i(d){k||(w(f.$$.fragment,d),k=!0)},o(d){P(f.$$.fragment,d),k=!1},d(d){d&&o(h),d&&o(_),M(f,d)}}}function Lc(N){let h,v,_,f,k;return{c(){h=s("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),f=n("Module"),k=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var L=i(_);f=r(L,"Module"),L.forEach(o),k=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(d,m){g(d,h,m),e(h,v),e(h,_),e(_,f),e(h,k)},d(d){d&&o(h)}}}function $c(N){let h,v,_,f,k;return f=new Sn({props:{code:`from transformers import AutoTokenizer, XLMProphetNetForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
model = XLMProphetNetForConditionalGeneration.from_pretrained(
    "patrickvonplaten/xprophetnet-large-uncased-standalone"
)

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="pt").input_ids  # Batch size 1
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)

logits_next_token = outputs.logits  # logits to predict next token as usual
logits_ngram_next_tokens = outputs.logits_ngram  # logits to predict 2nd, 3rd, ... next tokens`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMProphetNetForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMProphetNetForConditionalGeneration.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits_next_token = outputs.logits  <span class="hljs-comment"># logits to predict next token as usual</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits_ngram_next_tokens = outputs.logits_ngram  <span class="hljs-comment"># logits to predict 2nd, 3rd, ... next tokens</span>`}}),{c(){h=s("p"),v=n("Example:"),_=c(),b(f.$$.fragment)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Example:"),m.forEach(o),_=p(d),y(f.$$.fragment,d)},m(d,m){g(d,h,m),e(h,v),g(d,_,m),T(f,d,m),k=!0},p:Dn,i(d){k||(w(f.$$.fragment,d),k=!0)},o(d){P(f.$$.fragment,d),k=!1},d(d){d&&o(h),d&&o(_),M(f,d)}}}function zc(N){let h,v,_,f,k;return{c(){h=s("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),f=n("Module"),k=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var L=i(_);f=r(L,"Module"),L.forEach(o),k=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(d,m){g(d,h,m),e(h,v),e(h,_),e(_,f),e(h,k)},d(d){d&&o(h)}}}function xc(N){let h,v,_,f,k;return f=new Sn({props:{code:`from transformers import AutoTokenizer, XLMProphetNetForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
model = XLMProphetNetForCausalLM.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits

# Model can also be used with EncoderDecoder framework
from transformers import BertTokenizer, EncoderDecoderModel, AutoTokenizer
import torch

tokenizer_enc = BertTokenizer.from_pretrained("bert-large-uncased")
tokenizer_dec = AutoTokenizer.from_pretrained("patrickvonplaten/xprophetnet-large-uncased-standalone")
model = EncoderDecoderModel.from_encoder_decoder_pretrained(
    "bert-large-uncased", "patrickvonplaten/xprophetnet-large-uncased-standalone"
)

ARTICLE = (
    "the us state department said wednesday it had received no "
    "formal word from bolivia that it was expelling the us ambassador there "
    "but said the charges made against him are \`\` baseless ."
)
input_ids = tokenizer_enc(ARTICLE, return_tensors="pt").input_ids
labels = tokenizer_dec(
    "us rejects charges against its ambassador in bolivia", return_tensors="pt"
).input_ids
outputs = model(input_ids=input_ids, decoder_input_ids=labels[:, :-1], labels=labels[:, 1:])

loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMProphetNetForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMProphetNetForCausalLM.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Model can also be used with EncoderDecoder framework</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> BertTokenizer, EncoderDecoderModel, AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer_enc = BertTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-large-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer_dec = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = EncoderDecoderModel.from_encoder_decoder_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;bert-large-uncased&quot;</span>, <span class="hljs-string">&quot;patrickvonplaten/xprophetnet-large-uncased-standalone&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE = (
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;the us state department said wednesday it had received no &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;formal word from bolivia that it was expelling the us ambassador there &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;but said the charges made against him are \`\` baseless .&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer_enc(ARTICLE, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer_dec(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;us rejects charges against its ambassador in bolivia&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=labels[:, :-<span class="hljs-number">1</span>], labels=labels[:, <span class="hljs-number">1</span>:])

<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){h=s("p"),v=n("Example:"),_=c(),b(f.$$.fragment)},l(d){h=a(d,"P",{});var m=i(h);v=r(m,"Example:"),m.forEach(o),_=p(d),y(f.$$.fragment,d)},m(d,m){g(d,h,m),e(h,v),g(d,_,m),T(f,d,m),k=!0},p:Dn,i(d){k||(w(f.$$.fragment,d),k=!0)},o(d){P(f.$$.fragment,d),k=!1},d(d){d&&o(h),d&&o(_),M(f,d)}}}function qc(N){let h,v,_,f,k,d,m,L,jr,In,K,Zt,Kt,Ad,Dr,eo,to,Od,Bn,ee,Bo,Sr,Ir,Ze,Br,Gr,Gn,te,Te,Go,Ke,Wr,Wo,Hr,Wn,we,Ur,et,Rr,Vr,Hn,oo,Yr,Un,no,Jr,Rn,ro,Ho,Qr,Vn,Pe,Zr,tt,Kr,es,Yn,so,ts,Jn,ao,Uo,os,Qn,oe,Me,Ro,ot,ns,Vo,rs,Zn,H,nt,ss,ne,as,io,is,ds,rt,ls,cs,ps,re,hs,lo,us,ms,co,fs,gs,Kn,se,Ne,Yo,st,_s,Jo,ks,er,$,at,vs,U,bs,po,ys,Ts,ho,ws,Ps,it,Ms,Ns,Ls,dt,$s,uo,zs,xs,qs,R,lt,Xs,Qo,Es,Cs,ct,mo,Fs,Zo,As,Os,fo,js,Ko,Ds,Ss,Le,pt,Is,en,Bs,Gs,$e,ht,Ws,tn,Hs,Us,ze,ut,Rs,mt,Vs,on,Ys,Js,tr,ae,xe,nn,ft,Qs,rn,Zs,or,X,gt,Ks,_t,ea,go,ta,oa,na,ie,ra,kt,sa,aa,sn,ia,da,la,vt,ca,bt,pa,ha,ua,j,yt,ma,de,fa,_o,ga,_a,an,ka,va,ba,qe,ya,Xe,nr,le,Ee,dn,Tt,Ta,ln,wa,rr,z,wt,Pa,Pt,Ma,ko,Na,La,$a,ce,za,Mt,xa,qa,cn,Xa,Ea,Ca,Nt,Fa,Lt,Aa,Oa,ja,A,Da,pn,Sa,Ia,hn,Ba,Ga,un,Wa,Ha,vo,Ua,Ra,Va,D,$t,Ya,pe,Ja,bo,Qa,Za,mn,Ka,ei,ti,Ce,oi,Fe,sr,he,Ae,fn,zt,ni,gn,ri,ar,x,xt,si,qt,ai,yo,ii,di,li,ue,ci,Xt,pi,hi,_n,ui,mi,fi,Et,gi,Ct,_i,ki,vi,O,bi,kn,yi,Ti,vn,wi,Pi,bn,Mi,Ni,To,Li,$i,zi,S,Ft,xi,me,qi,wo,Xi,Ei,yn,Ci,Fi,Ai,Oe,Oi,je,ir,fe,De,Tn,At,ji,wn,Di,dr,E,Ot,Si,jt,Ii,Po,Bi,Gi,Wi,ge,Hi,Dt,Ui,Ri,Pn,Vi,Yi,Ji,St,Qi,It,Zi,Ki,ed,I,Bt,td,_e,od,Mo,nd,rd,Mn,sd,ad,id,Se,dd,Ie,lr,ke,Be,Nn,Gt,ld,Ln,cd,cr,C,Wt,pd,Ht,hd,No,ud,md,fd,ve,gd,Ut,_d,kd,$n,vd,bd,yd,Rt,Td,Vt,wd,Pd,Md,B,Yt,Nd,be,Ld,Lo,$d,zd,zn,xd,qd,Xd,Ge,Ed,We,pr;return d=new ye({}),Ke=new ye({}),ot=new ye({}),nt=new q({props:{name:"class transformers.XLMProphetNetConfig",anchor:"transformers.XLMProphetNetConfig",parameters:[{name:"activation_dropout",val:": typing.Optional[float] = 0.1"},{name:"activation_function",val:": typing.Union[str, typing.Callable, NoneType] = 'gelu'"},{name:"vocab_size",val:": typing.Optional[int] = 30522"},{name:"hidden_size",val:": typing.Optional[int] = 1024"},{name:"encoder_ffn_dim",val:": typing.Optional[int] = 4096"},{name:"num_encoder_layers",val:": typing.Optional[int] = 12"},{name:"num_encoder_attention_heads",val:": typing.Optional[int] = 16"},{name:"decoder_ffn_dim",val:": typing.Optional[int] = 4096"},{name:"num_decoder_layers",val:": typing.Optional[int] = 12"},{name:"num_decoder_attention_heads",val:": typing.Optional[int] = 16"},{name:"attention_dropout",val:": typing.Optional[float] = 0.1"},{name:"dropout",val:": typing.Optional[float] = 0.1"},{name:"max_position_embeddings",val:": typing.Optional[int] = 512"},{name:"init_std",val:": typing.Optional[float] = 0.02"},{name:"is_encoder_decoder",val:": typing.Optional[bool] = True"},{name:"add_cross_attention",val:": typing.Optional[bool] = True"},{name:"decoder_start_token_id",val:": typing.Optional[int] = 0"},{name:"ngram",val:": typing.Optional[int] = 2"},{name:"num_buckets",val:": typing.Optional[int] = 32"},{name:"relative_max_distance",val:": typing.Optional[int] = 128"},{name:"disable_ngram_loss",val:": typing.Optional[bool] = False"},{name:"eps",val:": typing.Optional[float] = 0.0"},{name:"use_cache",val:": typing.Optional[bool] = True"},{name:"pad_token_id",val:": typing.Optional[int] = 0"},{name:"bos_token_id",val:": typing.Optional[int] = 1"},{name:"eos_token_id",val:": typing.Optional[int] = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMProphetNetConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.XLMProphetNetConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.XLMProphetNetConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the ProphetNET model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetModel">XLMProphetNetModel</a>.`,name:"vocab_size"},{anchor:"transformers.XLMProphetNetConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XLMProphetNetConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.XLMProphetNetConfig.num_encoder_layers",description:`<strong>num_encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of encoder layers.`,name:"num_encoder_layers"},{anchor:"transformers.XLMProphetNetConfig.num_encoder_attention_heads",description:`<strong>num_encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_encoder_attention_heads"},{anchor:"transformers.XLMProphetNetConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the <code>intermediate</code> (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.XLMProphetNetConfig.num_decoder_layers",description:`<strong>num_decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"num_decoder_layers"},{anchor:"transformers.XLMProphetNetConfig.num_decoder_attention_heads",description:`<strong>num_decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"num_decoder_attention_heads"},{anchor:"transformers.XLMProphetNetConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.XLMProphetNetConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.XLMProphetNetConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XLMProphetNetConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.XLMProphetNetConfig.add_cross_attention",description:`<strong>add_cross_attention</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether cross-attention layers should be added to the model.`,name:"add_cross_attention"},{anchor:"transformers.XLMProphetNetConfig.is_encoder_decoder",description:`<strong>is_encoder_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether this is an encoder/decoder model.`,name:"is_encoder_decoder"},{anchor:"transformers.XLMProphetNetConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Padding token id.`,name:"pad_token_id"},{anchor:"transformers.XLMProphetNetConfig.bos_token_id",description:`<strong>bos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Beginning of stream token id.`,name:"bos_token_id"},{anchor:"transformers.XLMProphetNetConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
End of stream token id.`,name:"eos_token_id"},{anchor:"transformers.XLMProphetNetConfig.ngram",description:`<strong>ngram</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of future tokens to predict. Set to 1 to be same as traditional Language model to predict next first
token.`,name:"ngram"},{anchor:"transformers.XLMProphetNetConfig.num_buckets",description:`<strong>num_buckets</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of buckets to use for each attention layer. This is for relative position calculation. See the
[T5 paper](see <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">https://arxiv.org/abs/1910.10683</a>) for more details.`,name:"num_buckets"},{anchor:"transformers.XLMProphetNetConfig.relative_max_distance",description:`<strong>relative_max_distance</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Relative distances greater than this number will be put into the last same bucket. This is for relative
position calculation. See the [T5 paper](see <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">https://arxiv.org/abs/1910.10683</a>) for more details.`,name:"relative_max_distance"},{anchor:"transformers.XLMProphetNetConfig.disable_ngram_loss",description:`<strong>disable_ngram_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether be trained predicting only the next first token.`,name:"disable_ngram_loss"},{anchor:"transformers.XLMProphetNetConfig.eps",description:`<strong>eps</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Controls the <code>epsilon</code> parameter value for label smoothing in the loss calculation. If set to 0, no label
smoothing is performed.`,name:"eps"},{anchor:"transformers.XLMProphetNetConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/configuration_xlm_prophetnet.py#L33"}}),st=new ye({}),at=new q({props:{name:"class transformers.XLMProphetNetTokenizer",anchor:"transformers.XLMProphetNetTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '[SEP]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"sep_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '[UNK]'"},{name:"pad_token",val:" = '[PAD]'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMProphetNetTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMProphetNetTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMProphetNetTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMProphetNetTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMProphetNetTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMProphetNetTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMProphetNetTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMProphetNetTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMProphetNetTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.XLMProphetNetTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.XLMProphetNetTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/tokenization_xlm_prophetnet.py#L59"}}),lt=new q({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMProphetNetTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added`,name:"token_ids_0"},{anchor:"transformers.XLMProphetNetTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/tokenization_xlm_prophetnet.py#L316",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),pt=new q({props:{name:"convert_tokens_to_string",anchor:"transformers.XLMProphetNetTokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/tokenization_xlm_prophetnet.py#L294"}}),ht=new q({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMProphetNetTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMProphetNetTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/tokenization_xlm_prophetnet.py#L243",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ut=new q({props:{name:"get_special_tokens_mask",anchor:"transformers.XLMProphetNetTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.XLMProphetNetTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMProphetNetTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.XLMProphetNetTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/tokenization_xlm_prophetnet.py#L215",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ft=new ye({}),gt=new q({props:{name:"class transformers.XLMProphetNetModel",anchor:"transformers.XLMProphetNetModel",parameters:[{name:"config",val:": XLMProphetNetConfig"}],parametersDescription:[{anchor:"transformers.XLMProphetNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig">XLMProphetNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1793"}}),yt=new q({props:{name:"forward",anchor:"transformers.XLMProphetNetModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMProphetNetModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMProphetNetModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>XLMProphetNet uses the <code>eos_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.XLMProphetNetModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.XLMProphetNetModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMProphetNetModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.XLMProphetNetModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.XLMProphetNetModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.XLMProphetNetModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden-states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMProphetNetModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.XLMProphetNetModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMProphetNetModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMProphetNetModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1827",returnDescription:`
<p>A <code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetSeq2SeqModelOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig"
>XLMProphetNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, decoder_sequence_length, hidden_size)</code>) \u2014 Sequence of main stream hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>last_hidden_state_ngram</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size,ngram * decoder_sequence_length, config.vocab_size)</code>, <em>optional</em>) \u2014 Sequence of predict stream hidden-states at the output of the last layer of the decoder of the model.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[torch.FloatTensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>torch.FloatTensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_attn_heads, decoder_sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of main stream of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_ngram_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, ngram * decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the predict stream of the decoder at the output of each layer plus the initial embedding
outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>decoder_ngram_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the predict stream of the decoder, after the attention softmax, used to compute the
weighted average in the</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, encoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the cross-attention layer of the decoder, after the attention softmax, used to
compute the weighted average in the</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, encoder_sequence_length, encoder_sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetSeq2SeqModelOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qe=new On({props:{$$slots:{default:[yc]},$$scope:{ctx:N}}}),Xe=new jn({props:{anchor:"transformers.XLMProphetNetModel.forward.example",$$slots:{default:[Tc]},$$scope:{ctx:N}}}),Tt=new ye({}),wt=new q({props:{name:"class transformers.XLMProphetNetEncoder",anchor:"transformers.XLMProphetNetEncoder",parameters:[{name:"config",val:": XLMProphetNetConfig"},{name:"word_embeddings",val:": Embedding = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetEncoder.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig">XLMProphetNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1279"}}),$t=new q({props:{name:"forward",anchor:"transformers.XLMProphetNetEncoder.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetEncoder.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMProphetNetEncoder.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMProphetNetEncoder.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMProphetNetEncoder.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMProphetNetEncoder.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMProphetNetEncoder.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1309",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig"
>XLMProphetNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ce=new On({props:{$$slots:{default:[wc]},$$scope:{ctx:N}}}),Fe=new jn({props:{anchor:"transformers.XLMProphetNetEncoder.forward.example",$$slots:{default:[Pc]},$$scope:{ctx:N}}}),zt=new ye({}),xt=new q({props:{name:"class transformers.XLMProphetNetDecoder",anchor:"transformers.XLMProphetNetDecoder",parameters:[{name:"config",val:": XLMProphetNetConfig"},{name:"word_embeddings",val:": typing.Optional[torch.nn.modules.sparse.Embedding] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetDecoder.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig">XLMProphetNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1420"}}),Ft=new q({props:{name:"forward",anchor:"transformers.XLMProphetNetDecoder.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetDecoder.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMProphetNetDecoder.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMProphetNetDecoder.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMProphetNetDecoder.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMProphetNetDecoder.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMProphetNetDecoder.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMProphetNetDecoder.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMProphetNetDecoder.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.XLMProphetNetDecoder.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.XLMProphetNetDecoder.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden-states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMProphetNetDecoder.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1457",returnDescription:`
<p>A <code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetDecoderModelOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig"
>XLMProphetNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, decoder_sequence_length, hidden_size)</code>) \u2014 Sequence of main stream hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>last_hidden_state_ngram</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, ngram * decoder_sequence_length, config.vocab_size)</code>) \u2014 Sequence of predict stream hidden-states at the output of the last layer of the decoder of the model.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[torch.FloatTensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>torch.FloatTensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_attn_heads, decoder_sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of main stream of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>ngram_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, ngram * decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the predict stream of the decoder at the output of each layer plus the initial embedding
outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>ngram_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the predict stream of the decoder, after the attention softmax, used to compute the
weighted average in the</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, encoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the cross-attention layer of the decoder, after the attention softmax, used to
compute the weighted average in the</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetDecoderModelOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Oe=new On({props:{$$slots:{default:[Mc]},$$scope:{ctx:N}}}),je=new jn({props:{anchor:"transformers.XLMProphetNetDecoder.forward.example",$$slots:{default:[Nc]},$$scope:{ctx:N}}}),At=new ye({}),Ot=new q({props:{name:"class transformers.XLMProphetNetForConditionalGeneration",anchor:"transformers.XLMProphetNetForConditionalGeneration",parameters:[{name:"config",val:": XLMProphetNetConfig"}],parametersDescription:[{anchor:"transformers.XLMProphetNetForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig">XLMProphetNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1923"}}),Bt=new q({props:{name:"forward",anchor:"transformers.XLMProphetNetForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>XLMProphetNet uses the <code>eos_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden-states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[-100, 0, ..., config.vocab_size - 1]</code>. All labels set to <code>-100</code> are ignored (masked), the loss is only computed for
labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L1950",returnDescription:`
<p>A <code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetSeq2SeqLMOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig"
>XLMProphetNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, decoder_sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the main stream language modeling head (scores for each vocabulary token before
SoftMax).</p>
</li>
<li>
<p><strong>logits_ngram</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, ngram * decoder_sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the predict stream language modeling head (scores for each vocabulary token before
SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[torch.FloatTensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>torch.FloatTensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_attn_heads, decoder_sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of main stream of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_ngram_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, ngram * decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the predict stream of the decoder at the output of each layer plus the initial embedding
outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>decoder_ngram_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the predict stream of the decoder, after the attention softmax, used to compute the
weighted average in the self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, encoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the cross-attention layer of the decoder, after the attention softmax, used to
compute the weighted average in the</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, encoder_sequence_length, encoder_sequence_length)</code>. Attentions weights of the encoder, after the attention
softmax, used to compute the weighted average in the self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetSeq2SeqLMOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Se=new On({props:{$$slots:{default:[Lc]},$$scope:{ctx:N}}}),Ie=new jn({props:{anchor:"transformers.XLMProphetNetForConditionalGeneration.forward.example",$$slots:{default:[$c]},$$scope:{ctx:N}}}),Gt=new ye({}),Wt=new q({props:{name:"class transformers.XLMProphetNetForCausalLM",anchor:"transformers.XLMProphetNetForCausalLM",parameters:[{name:"config",val:": XLMProphetNetConfig"}],parametersDescription:[{anchor:"transformers.XLMProphetNetForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig">XLMProphetNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L2142"}}),Yt=new q({props:{name:"forward",anchor:"transformers.XLMProphetNetForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMProphetNetForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden-states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.XLMProphetNetForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels n <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_prophetnet/modeling_xlm_prophetnet.py#L2179",returnDescription:`
<p>A <code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetDecoderLMOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetConfig"
>XLMProphetNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, decoder_sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the main stream language modeling head (scores for each vocabulary token before
SoftMax).</p>
</li>
<li>
<p><strong>logits_ngram</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, ngram * decoder_sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the predict stream language modeling head (scores for each vocabulary token before
SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[torch.FloatTensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>torch.FloatTensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_attn_heads, decoder_sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of main stream of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>ngram_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, ngram * decoder_sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the predict stream of the decoder at the output of each layer plus the initial embedding
outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>ngram_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, decoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the predict stream of the decoder, after the attention softmax, used to compute the
weighted average in the</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_attn_heads, encoder_sequence_length, decoder_sequence_length)</code>.</p>
<p>Attentions weights of the cross-attention layer of the decoder, after the attention softmax, used to
compute the weighted average in the</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.xlm_prophetnet.modeling_xlm_prophetnet.XLMProphetNetDecoderLMOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ge=new On({props:{$$slots:{default:[zc]},$$scope:{ctx:N}}}),We=new jn({props:{anchor:"transformers.XLMProphetNetForCausalLM.forward.example",$$slots:{default:[xc]},$$scope:{ctx:N}}}),{c(){h=s("meta"),v=c(),_=s("h1"),f=s("a"),k=s("span"),b(d.$$.fragment),m=c(),L=s("span"),jr=n("XLM-ProphetNet"),In=c(),K=s("div"),Zt=s("a"),Kt=s("img"),Dr=c(),eo=s("a"),to=s("img"),Bn=c(),ee=s("p"),Bo=s("strong"),Sr=n("DISCLAIMER:"),Ir=n(" If you see something strange, file a "),Ze=s("a"),Br=n("Github Issue"),Gr=n(` and assign
@patrickvonplaten`),Gn=c(),te=s("h2"),Te=s("a"),Go=s("span"),b(Ke.$$.fragment),Wr=c(),Wo=s("span"),Hr=n("Overview"),Wn=c(),we=s("p"),Ur=n("The XLM-ProphetNet model was proposed in "),et=s("a"),Rr=n("ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training,"),Vr=n(` by Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei
Zhang, Ming Zhou on 13 Jan, 2020.`),Hn=c(),oo=s("p"),Yr=n(`XLM-ProphetNet is an encoder-decoder model and can predict n-future tokens for \u201Cngram\u201D language modeling instead of
just the next token. Its architecture is identical to ProhpetNet, but the model was trained on the multi-lingual
\u201Cwiki100\u201D Wikipedia dump.`),Un=c(),no=s("p"),Jr=n("The abstract from the paper is the following:"),Rn=c(),ro=s("p"),Ho=s("em"),Qr=n(`In this paper, we present a new sequence-to-sequence pretraining model called ProphetNet, which introduces a novel
self-supervised objective named future n-gram prediction and the proposed n-stream self-attention mechanism. Instead of
the optimization of one-step ahead prediction in traditional sequence-to-sequence model, the ProphetNet is optimized by
n-step ahead prediction which predicts the next n tokens simultaneously based on previous context tokens at each time
step. The future n-gram prediction explicitly encourages the model to plan for the future tokens and prevent
overfitting on strong local correlations. We pre-train ProphetNet using a base scale dataset (16GB) and a large scale
dataset (160GB) respectively. Then we conduct experiments on CNN/DailyMail, Gigaword, and SQuAD 1.1 benchmarks for
abstractive summarization and question generation tasks. Experimental results show that ProphetNet achieves new
state-of-the-art results on all these datasets compared to the models using the same scale pretraining corpus.`),Vn=c(),Pe=s("p"),Zr=n("The Authors\u2019 code can be found "),tt=s("a"),Kr=n("here"),es=n("."),Yn=c(),so=s("p"),ts=n("Tips:"),Jn=c(),ao=s("ul"),Uo=s("li"),os=n("XLM-ProphetNet\u2019s model architecture and pretraining objective is same as ProphetNet, but XLM-ProphetNet was pre-trained on the cross-lingual dataset XGLUE."),Qn=c(),oe=s("h2"),Me=s("a"),Ro=s("span"),b(ot.$$.fragment),ns=c(),Vo=s("span"),rs=n("XLMProphetNetConfig"),Zn=c(),H=s("div"),b(nt.$$.fragment),ss=c(),ne=s("p"),as=n("This is the configuration class to store the configuration of a "),io=s("a"),is=n("XLMProphetNetModel"),ds=n(`. It is used to instantiate a
XLMProphetNet model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the XLMProphetNet
`),rt=s("a"),ls=n("microsoft/xprophetnet-large-wiki100-cased"),cs=n(`
architecture.`),ps=c(),re=s("p"),hs=n("Configuration objects inherit from "),lo=s("a"),us=n("PretrainedConfig"),ms=n(` and can be used to control the model outputs. Read the
documentation from `),co=s("a"),fs=n("PretrainedConfig"),gs=n(" for more information."),Kn=c(),se=s("h2"),Ne=s("a"),Yo=s("span"),b(st.$$.fragment),_s=c(),Jo=s("span"),ks=n("XLMProphetNetTokenizer"),er=c(),$=s("div"),b(at.$$.fragment),vs=c(),U=s("p"),bs=n("Adapted from "),po=s("a"),ys=n("RobertaTokenizer"),Ts=n(" and "),ho=s("a"),ws=n("XLNetTokenizer"),Ps=n(`. Based on
`),it=s("a"),Ms=n("SentencePiece"),Ns=n("."),Ls=c(),dt=s("p"),$s=n("This tokenizer inherits from "),uo=s("a"),zs=n("PreTrainedTokenizer"),xs=n(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),qs=c(),R=s("div"),b(lt.$$.fragment),Xs=c(),Qo=s("p"),Es=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A XLMProphetNet sequence has the following format:`),Cs=c(),ct=s("ul"),mo=s("li"),Fs=n("single sequence: "),Zo=s("code"),As=n("X [SEP]"),Os=c(),fo=s("li"),js=n("pair of sequences: "),Ko=s("code"),Ds=n("A [SEP] B [SEP]"),Ss=c(),Le=s("div"),b(pt.$$.fragment),Is=c(),en=s("p"),Bs=n("Converts a sequence of tokens (strings for sub-words) in a single string."),Gs=c(),$e=s("div"),b(ht.$$.fragment),Ws=c(),tn=s("p"),Hs=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLMProphetNet
does not make use of token type ids, therefore a list of zeros is returned.`),Us=c(),ze=s("div"),b(ut.$$.fragment),Rs=c(),mt=s("p"),Vs=n(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),on=s("code"),Ys=n("prepare_for_model"),Js=n(" method."),tr=c(),ae=s("h2"),xe=s("a"),nn=s("span"),b(ft.$$.fragment),Qs=c(),rn=s("span"),Zs=n("XLMProphetNetModel"),or=c(),X=s("div"),b(gt.$$.fragment),Ks=c(),_t=s("p"),ea=n(`The bare XLMProphetNet Model outputting raw hidden-states without any specific head on top.
This model inherits from `),go=s("a"),ta=n("PreTrainedModel"),oa=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),na=c(),ie=s("p"),ra=n("Original ProphetNet code can be found "),kt=s("a"),sa=n("here"),aa=n(`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),sn=s("code"),ia=n("convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),da=n("."),la=c(),vt=s("p"),ca=n("This model is a PyTorch "),bt=s("a"),pa=n("torch.nn.Module"),ha=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),ua=c(),j=s("div"),b(yt.$$.fragment),ma=c(),de=s("p"),fa=n("The "),_o=s("a"),ga=n("XLMProphetNetModel"),_a=n(" forward method, overrides the "),an=s("code"),ka=n("__call__"),va=n(" special method."),ba=c(),b(qe.$$.fragment),ya=c(),b(Xe.$$.fragment),nr=c(),le=s("h2"),Ee=s("a"),dn=s("span"),b(Tt.$$.fragment),Ta=c(),ln=s("span"),wa=n("XLMProphetNetEncoder"),rr=c(),z=s("div"),b(wt.$$.fragment),Pa=c(),Pt=s("p"),Ma=n(`The standalone encoder part of the XLMProphetNetModel.
This model inherits from `),ko=s("a"),Na=n("PreTrainedModel"),La=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$a=c(),ce=s("p"),za=n("Original ProphetNet code can be found "),Mt=s("a"),xa=n("here"),qa=n(`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),cn=s("code"),Xa=n("convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),Ea=n("."),Ca=c(),Nt=s("p"),Fa=n("This model is a PyTorch "),Lt=s("a"),Aa=n("torch.nn.Module"),Oa=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),ja=c(),A=s("p"),Da=n("word_embeddings  ("),pn=s("code"),Sa=n("torch.nn.Embeddings"),Ia=n(" of shape "),hn=s("code"),Ba=n("(config.vocab_size, config.hidden_size)"),Ga=n(", "),un=s("em"),Wa=n("optional"),Ha=n(`):
The word embedding parameters. This can be used to initialize `),vo=s("a"),Ua=n("XLMProphetNetEncoder"),Ra=n(` with pre-defined word
embeddings instead of randomly initialized word embeddings.`),Va=c(),D=s("div"),b($t.$$.fragment),Ya=c(),pe=s("p"),Ja=n("The "),bo=s("a"),Qa=n("XLMProphetNetEncoder"),Za=n(" forward method, overrides the "),mn=s("code"),Ka=n("__call__"),ei=n(" special method."),ti=c(),b(Ce.$$.fragment),oi=c(),b(Fe.$$.fragment),sr=c(),he=s("h2"),Ae=s("a"),fn=s("span"),b(zt.$$.fragment),ni=c(),gn=s("span"),ri=n("XLMProphetNetDecoder"),ar=c(),x=s("div"),b(xt.$$.fragment),si=c(),qt=s("p"),ai=n(`The standalone decoder part of the XLMProphetNetModel.
This model inherits from `),yo=s("a"),ii=n("PreTrainedModel"),di=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),li=c(),ue=s("p"),ci=n("Original ProphetNet code can be found "),Xt=s("a"),pi=n("here"),hi=n(`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),_n=s("code"),ui=n("convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),mi=n("."),fi=c(),Et=s("p"),gi=n("This model is a PyTorch "),Ct=s("a"),_i=n("torch.nn.Module"),ki=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),vi=c(),O=s("p"),bi=n("word_embeddings  ("),kn=s("code"),yi=n("torch.nn.Embeddings"),Ti=n(" of shape "),vn=s("code"),wi=n("(config.vocab_size, config.hidden_size)"),Pi=n(", "),bn=s("em"),Mi=n("optional"),Ni=n(`):
The word embedding parameters. This can be used to initialize `),To=s("a"),Li=n("XLMProphetNetEncoder"),$i=n(` with pre-defined word
embeddings instead of randomly initialized word embeddings.`),zi=c(),S=s("div"),b(Ft.$$.fragment),xi=c(),me=s("p"),qi=n("The "),wo=s("a"),Xi=n("XLMProphetNetDecoder"),Ei=n(" forward method, overrides the "),yn=s("code"),Ci=n("__call__"),Fi=n(" special method."),Ai=c(),b(Oe.$$.fragment),Oi=c(),b(je.$$.fragment),ir=c(),fe=s("h2"),De=s("a"),Tn=s("span"),b(At.$$.fragment),ji=c(),wn=s("span"),Di=n("XLMProphetNetForConditionalGeneration"),dr=c(),E=s("div"),b(Ot.$$.fragment),Si=c(),jt=s("p"),Ii=n(`The XLMProphetNet Model with a language modeling head. Can be used for sequence generation tasks.
This model inherits from `),Po=s("a"),Bi=n("PreTrainedModel"),Gi=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Wi=c(),ge=s("p"),Hi=n("Original ProphetNet code can be found "),Dt=s("a"),Ui=n("here"),Ri=n(`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),Pn=s("code"),Vi=n("convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),Yi=n("."),Ji=c(),St=s("p"),Qi=n("This model is a PyTorch "),It=s("a"),Zi=n("torch.nn.Module"),Ki=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),ed=c(),I=s("div"),b(Bt.$$.fragment),td=c(),_e=s("p"),od=n("The "),Mo=s("a"),nd=n("XLMProphetNetForConditionalGeneration"),rd=n(" forward method, overrides the "),Mn=s("code"),sd=n("__call__"),ad=n(" special method."),id=c(),b(Se.$$.fragment),dd=c(),b(Ie.$$.fragment),lr=c(),ke=s("h2"),Be=s("a"),Nn=s("span"),b(Gt.$$.fragment),ld=c(),Ln=s("span"),cd=n("XLMProphetNetForCausalLM"),cr=c(),C=s("div"),b(Wt.$$.fragment),pd=c(),Ht=s("p"),hd=n(`The standalone decoder part of the XLMProphetNetModel with a lm head on top. The model can be used for causal language modeling.
This model inherits from `),No=s("a"),ud=n("PreTrainedModel"),md=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fd=c(),ve=s("p"),gd=n("Original ProphetNet code can be found "),Ut=s("a"),_d=n("here"),kd=n(`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),$n=s("code"),vd=n("convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),bd=n("."),yd=c(),Rt=s("p"),Td=n("This model is a PyTorch "),Vt=s("a"),wd=n("torch.nn.Module"),Pd=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),Md=c(),B=s("div"),b(Yt.$$.fragment),Nd=c(),be=s("p"),Ld=n("The "),Lo=s("a"),$d=n("XLMProphetNetForCausalLM"),zd=n(" forward method, overrides the "),zn=s("code"),xd=n("__call__"),qd=n(" special method."),Xd=c(),b(Ge.$$.fragment),Ed=c(),b(We.$$.fragment),this.h()},l(t){const u=vc('[data-svelte="svelte-1phssyn"]',document.head);h=a(u,"META",{name:!0,content:!0}),u.forEach(o),v=p(t),_=a(t,"H1",{class:!0});var Jt=i(_);f=a(Jt,"A",{id:!0,class:!0,href:!0});var xn=i(f);k=a(xn,"SPAN",{});var qn=i(k);y(d.$$.fragment,qn),qn.forEach(o),xn.forEach(o),m=p(Jt),L=a(Jt,"SPAN",{});var Xn=i(L);jr=r(Xn,"XLM-ProphetNet"),Xn.forEach(o),Jt.forEach(o),In=p(t),K=a(t,"DIV",{class:!0});var Qt=i(K);Zt=a(Qt,"A",{href:!0});var En=i(Zt);Kt=a(En,"IMG",{alt:!0,src:!0}),En.forEach(o),Dr=p(Qt),eo=a(Qt,"A",{href:!0});var Cn=i(eo);to=a(Cn,"IMG",{alt:!0,src:!0}),Cn.forEach(o),Qt.forEach(o),Bn=p(t),ee=a(t,"P",{});var He=i(ee);Bo=a(He,"STRONG",{});var Fn=i(Bo);Sr=r(Fn,"DISCLAIMER:"),Fn.forEach(o),Ir=r(He," If you see something strange, file a "),Ze=a(He,"A",{href:!0,rel:!0});var An=i(Ze);Br=r(An,"Github Issue"),An.forEach(o),Gr=r(He,` and assign
@patrickvonplaten`),He.forEach(o),Gn=p(t),te=a(t,"H2",{class:!0});var hr=i(te);Te=a(hr,"A",{id:!0,class:!0,href:!0});var jd=i(Te);Go=a(jd,"SPAN",{});var Dd=i(Go);y(Ke.$$.fragment,Dd),Dd.forEach(o),jd.forEach(o),Wr=p(hr),Wo=a(hr,"SPAN",{});var Sd=i(Wo);Hr=r(Sd,"Overview"),Sd.forEach(o),hr.forEach(o),Wn=p(t),we=a(t,"P",{});var ur=i(we);Ur=r(ur,"The XLM-ProphetNet model was proposed in "),et=a(ur,"A",{href:!0,rel:!0});var Id=i(et);Rr=r(Id,"ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training,"),Id.forEach(o),Vr=r(ur,` by Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei
Zhang, Ming Zhou on 13 Jan, 2020.`),ur.forEach(o),Hn=p(t),oo=a(t,"P",{});var Bd=i(oo);Yr=r(Bd,`XLM-ProphetNet is an encoder-decoder model and can predict n-future tokens for \u201Cngram\u201D language modeling instead of
just the next token. Its architecture is identical to ProhpetNet, but the model was trained on the multi-lingual
\u201Cwiki100\u201D Wikipedia dump.`),Bd.forEach(o),Un=p(t),no=a(t,"P",{});var Gd=i(no);Jr=r(Gd,"The abstract from the paper is the following:"),Gd.forEach(o),Rn=p(t),ro=a(t,"P",{});var Wd=i(ro);Ho=a(Wd,"EM",{});var Hd=i(Ho);Qr=r(Hd,`In this paper, we present a new sequence-to-sequence pretraining model called ProphetNet, which introduces a novel
self-supervised objective named future n-gram prediction and the proposed n-stream self-attention mechanism. Instead of
the optimization of one-step ahead prediction in traditional sequence-to-sequence model, the ProphetNet is optimized by
n-step ahead prediction which predicts the next n tokens simultaneously based on previous context tokens at each time
step. The future n-gram prediction explicitly encourages the model to plan for the future tokens and prevent
overfitting on strong local correlations. We pre-train ProphetNet using a base scale dataset (16GB) and a large scale
dataset (160GB) respectively. Then we conduct experiments on CNN/DailyMail, Gigaword, and SQuAD 1.1 benchmarks for
abstractive summarization and question generation tasks. Experimental results show that ProphetNet achieves new
state-of-the-art results on all these datasets compared to the models using the same scale pretraining corpus.`),Hd.forEach(o),Wd.forEach(o),Vn=p(t),Pe=a(t,"P",{});var mr=i(Pe);Zr=r(mr,"The Authors\u2019 code can be found "),tt=a(mr,"A",{href:!0,rel:!0});var Ud=i(tt);Kr=r(Ud,"here"),Ud.forEach(o),es=r(mr,"."),mr.forEach(o),Yn=p(t),so=a(t,"P",{});var Rd=i(so);ts=r(Rd,"Tips:"),Rd.forEach(o),Jn=p(t),ao=a(t,"UL",{});var Vd=i(ao);Uo=a(Vd,"LI",{});var Yd=i(Uo);os=r(Yd,"XLM-ProphetNet\u2019s model architecture and pretraining objective is same as ProphetNet, but XLM-ProphetNet was pre-trained on the cross-lingual dataset XGLUE."),Yd.forEach(o),Vd.forEach(o),Qn=p(t),oe=a(t,"H2",{class:!0});var fr=i(oe);Me=a(fr,"A",{id:!0,class:!0,href:!0});var Jd=i(Me);Ro=a(Jd,"SPAN",{});var Qd=i(Ro);y(ot.$$.fragment,Qd),Qd.forEach(o),Jd.forEach(o),ns=p(fr),Vo=a(fr,"SPAN",{});var Zd=i(Vo);rs=r(Zd,"XLMProphetNetConfig"),Zd.forEach(o),fr.forEach(o),Zn=p(t),H=a(t,"DIV",{class:!0});var $o=i(H);y(nt.$$.fragment,$o),ss=p($o),ne=a($o,"P",{});var zo=i(ne);as=r(zo,"This is the configuration class to store the configuration of a "),io=a(zo,"A",{href:!0});var Kd=i(io);is=r(Kd,"XLMProphetNetModel"),Kd.forEach(o),ds=r(zo,`. It is used to instantiate a
XLMProphetNet model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the XLMProphetNet
`),rt=a(zo,"A",{href:!0,rel:!0});var el=i(rt);ls=r(el,"microsoft/xprophetnet-large-wiki100-cased"),el.forEach(o),cs=r(zo,`
architecture.`),zo.forEach(o),ps=p($o),re=a($o,"P",{});var xo=i(re);hs=r(xo,"Configuration objects inherit from "),lo=a(xo,"A",{href:!0});var tl=i(lo);us=r(tl,"PretrainedConfig"),tl.forEach(o),ms=r(xo,` and can be used to control the model outputs. Read the
documentation from `),co=a(xo,"A",{href:!0});var ol=i(co);fs=r(ol,"PretrainedConfig"),ol.forEach(o),gs=r(xo," for more information."),xo.forEach(o),$o.forEach(o),Kn=p(t),se=a(t,"H2",{class:!0});var gr=i(se);Ne=a(gr,"A",{id:!0,class:!0,href:!0});var nl=i(Ne);Yo=a(nl,"SPAN",{});var rl=i(Yo);y(st.$$.fragment,rl),rl.forEach(o),nl.forEach(o),_s=p(gr),Jo=a(gr,"SPAN",{});var sl=i(Jo);ks=r(sl,"XLMProphetNetTokenizer"),sl.forEach(o),gr.forEach(o),er=p(t),$=a(t,"DIV",{class:!0});var F=i($);y(at.$$.fragment,F),vs=p(F),U=a(F,"P",{});var Ue=i(U);bs=r(Ue,"Adapted from "),po=a(Ue,"A",{href:!0});var al=i(po);ys=r(al,"RobertaTokenizer"),al.forEach(o),Ts=r(Ue," and "),ho=a(Ue,"A",{href:!0});var il=i(ho);ws=r(il,"XLNetTokenizer"),il.forEach(o),Ps=r(Ue,`. Based on
`),it=a(Ue,"A",{href:!0,rel:!0});var dl=i(it);Ms=r(dl,"SentencePiece"),dl.forEach(o),Ns=r(Ue,"."),Ue.forEach(o),Ls=p(F),dt=a(F,"P",{});var _r=i(dt);$s=r(_r,"This tokenizer inherits from "),uo=a(_r,"A",{href:!0});var ll=i(uo);zs=r(ll,"PreTrainedTokenizer"),ll.forEach(o),xs=r(_r,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),_r.forEach(o),qs=p(F),R=a(F,"DIV",{class:!0});var qo=i(R);y(lt.$$.fragment,qo),Xs=p(qo),Qo=a(qo,"P",{});var cl=i(Qo);Es=r(cl,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A XLMProphetNet sequence has the following format:`),cl.forEach(o),Cs=p(qo),ct=a(qo,"UL",{});var kr=i(ct);mo=a(kr,"LI",{});var Cd=i(mo);Fs=r(Cd,"single sequence: "),Zo=a(Cd,"CODE",{});var pl=i(Zo);As=r(pl,"X [SEP]"),pl.forEach(o),Cd.forEach(o),Os=p(kr),fo=a(kr,"LI",{});var Fd=i(fo);js=r(Fd,"pair of sequences: "),Ko=a(Fd,"CODE",{});var hl=i(Ko);Ds=r(hl,"A [SEP] B [SEP]"),hl.forEach(o),Fd.forEach(o),kr.forEach(o),qo.forEach(o),Ss=p(F),Le=a(F,"DIV",{class:!0});var vr=i(Le);y(pt.$$.fragment,vr),Is=p(vr),en=a(vr,"P",{});var ul=i(en);Bs=r(ul,"Converts a sequence of tokens (strings for sub-words) in a single string."),ul.forEach(o),vr.forEach(o),Gs=p(F),$e=a(F,"DIV",{class:!0});var br=i($e);y(ht.$$.fragment,br),Ws=p(br),tn=a(br,"P",{});var ml=i(tn);Hs=r(ml,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLMProphetNet
does not make use of token type ids, therefore a list of zeros is returned.`),ml.forEach(o),br.forEach(o),Us=p(F),ze=a(F,"DIV",{class:!0});var yr=i(ze);y(ut.$$.fragment,yr),Rs=p(yr),mt=a(yr,"P",{});var Tr=i(mt);Vs=r(Tr,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),on=a(Tr,"CODE",{});var fl=i(on);Ys=r(fl,"prepare_for_model"),fl.forEach(o),Js=r(Tr," method."),Tr.forEach(o),yr.forEach(o),F.forEach(o),tr=p(t),ae=a(t,"H2",{class:!0});var wr=i(ae);xe=a(wr,"A",{id:!0,class:!0,href:!0});var gl=i(xe);nn=a(gl,"SPAN",{});var _l=i(nn);y(ft.$$.fragment,_l),_l.forEach(o),gl.forEach(o),Qs=p(wr),rn=a(wr,"SPAN",{});var kl=i(rn);Zs=r(kl,"XLMProphetNetModel"),kl.forEach(o),wr.forEach(o),or=p(t),X=a(t,"DIV",{class:!0});var V=i(X);y(gt.$$.fragment,V),Ks=p(V),_t=a(V,"P",{});var Pr=i(_t);ea=r(Pr,`The bare XLMProphetNet Model outputting raw hidden-states without any specific head on top.
This model inherits from `),go=a(Pr,"A",{href:!0});var vl=i(go);ta=r(vl,"PreTrainedModel"),vl.forEach(o),oa=r(Pr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Pr.forEach(o),na=p(V),ie=a(V,"P",{});var Xo=i(ie);ra=r(Xo,"Original ProphetNet code can be found "),kt=a(Xo,"A",{href:!0,rel:!0});var bl=i(kt);sa=r(bl,"here"),bl.forEach(o),aa=r(Xo,`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),sn=a(Xo,"CODE",{});var yl=i(sn);ia=r(yl,"convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),yl.forEach(o),da=r(Xo,"."),Xo.forEach(o),la=p(V),vt=a(V,"P",{});var Mr=i(vt);ca=r(Mr,"This model is a PyTorch "),bt=a(Mr,"A",{href:!0,rel:!0});var Tl=i(bt);pa=r(Tl,"torch.nn.Module"),Tl.forEach(o),ha=r(Mr,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),Mr.forEach(o),ua=p(V),j=a(V,"DIV",{class:!0});var Re=i(j);y(yt.$$.fragment,Re),ma=p(Re),de=a(Re,"P",{});var Eo=i(de);fa=r(Eo,"The "),_o=a(Eo,"A",{href:!0});var wl=i(_o);ga=r(wl,"XLMProphetNetModel"),wl.forEach(o),_a=r(Eo," forward method, overrides the "),an=a(Eo,"CODE",{});var Pl=i(an);ka=r(Pl,"__call__"),Pl.forEach(o),va=r(Eo," special method."),Eo.forEach(o),ba=p(Re),y(qe.$$.fragment,Re),ya=p(Re),y(Xe.$$.fragment,Re),Re.forEach(o),V.forEach(o),nr=p(t),le=a(t,"H2",{class:!0});var Nr=i(le);Ee=a(Nr,"A",{id:!0,class:!0,href:!0});var Ml=i(Ee);dn=a(Ml,"SPAN",{});var Nl=i(dn);y(Tt.$$.fragment,Nl),Nl.forEach(o),Ml.forEach(o),Ta=p(Nr),ln=a(Nr,"SPAN",{});var Ll=i(ln);wa=r(Ll,"XLMProphetNetEncoder"),Ll.forEach(o),Nr.forEach(o),rr=p(t),z=a(t,"DIV",{class:!0});var G=i(z);y(wt.$$.fragment,G),Pa=p(G),Pt=a(G,"P",{});var Lr=i(Pt);Ma=r(Lr,`The standalone encoder part of the XLMProphetNetModel.
This model inherits from `),ko=a(Lr,"A",{href:!0});var $l=i(ko);Na=r($l,"PreTrainedModel"),$l.forEach(o),La=r(Lr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lr.forEach(o),$a=p(G),ce=a(G,"P",{});var Co=i(ce);za=r(Co,"Original ProphetNet code can be found "),Mt=a(Co,"A",{href:!0,rel:!0});var zl=i(Mt);xa=r(zl,"here"),zl.forEach(o),qa=r(Co,`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),cn=a(Co,"CODE",{});var xl=i(cn);Xa=r(xl,"convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),xl.forEach(o),Ea=r(Co,"."),Co.forEach(o),Ca=p(G),Nt=a(G,"P",{});var $r=i(Nt);Fa=r($r,"This model is a PyTorch "),Lt=a($r,"A",{href:!0,rel:!0});var ql=i(Lt);Aa=r(ql,"torch.nn.Module"),ql.forEach(o),Oa=r($r,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),$r.forEach(o),ja=p(G),A=a(G,"P",{});var Y=i(A);Da=r(Y,"word_embeddings  ("),pn=a(Y,"CODE",{});var Xl=i(pn);Sa=r(Xl,"torch.nn.Embeddings"),Xl.forEach(o),Ia=r(Y," of shape "),hn=a(Y,"CODE",{});var El=i(hn);Ba=r(El,"(config.vocab_size, config.hidden_size)"),El.forEach(o),Ga=r(Y,", "),un=a(Y,"EM",{});var Cl=i(un);Wa=r(Cl,"optional"),Cl.forEach(o),Ha=r(Y,`):
The word embedding parameters. This can be used to initialize `),vo=a(Y,"A",{href:!0});var Fl=i(vo);Ua=r(Fl,"XLMProphetNetEncoder"),Fl.forEach(o),Ra=r(Y,` with pre-defined word
embeddings instead of randomly initialized word embeddings.`),Y.forEach(o),Va=p(G),D=a(G,"DIV",{class:!0});var Ve=i(D);y($t.$$.fragment,Ve),Ya=p(Ve),pe=a(Ve,"P",{});var Fo=i(pe);Ja=r(Fo,"The "),bo=a(Fo,"A",{href:!0});var Al=i(bo);Qa=r(Al,"XLMProphetNetEncoder"),Al.forEach(o),Za=r(Fo," forward method, overrides the "),mn=a(Fo,"CODE",{});var Ol=i(mn);Ka=r(Ol,"__call__"),Ol.forEach(o),ei=r(Fo," special method."),Fo.forEach(o),ti=p(Ve),y(Ce.$$.fragment,Ve),oi=p(Ve),y(Fe.$$.fragment,Ve),Ve.forEach(o),G.forEach(o),sr=p(t),he=a(t,"H2",{class:!0});var zr=i(he);Ae=a(zr,"A",{id:!0,class:!0,href:!0});var jl=i(Ae);fn=a(jl,"SPAN",{});var Dl=i(fn);y(zt.$$.fragment,Dl),Dl.forEach(o),jl.forEach(o),ni=p(zr),gn=a(zr,"SPAN",{});var Sl=i(gn);ri=r(Sl,"XLMProphetNetDecoder"),Sl.forEach(o),zr.forEach(o),ar=p(t),x=a(t,"DIV",{class:!0});var W=i(x);y(xt.$$.fragment,W),si=p(W),qt=a(W,"P",{});var xr=i(qt);ai=r(xr,`The standalone decoder part of the XLMProphetNetModel.
This model inherits from `),yo=a(xr,"A",{href:!0});var Il=i(yo);ii=r(Il,"PreTrainedModel"),Il.forEach(o),di=r(xr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xr.forEach(o),li=p(W),ue=a(W,"P",{});var Ao=i(ue);ci=r(Ao,"Original ProphetNet code can be found "),Xt=a(Ao,"A",{href:!0,rel:!0});var Bl=i(Xt);pi=r(Bl,"here"),Bl.forEach(o),hi=r(Ao,`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),_n=a(Ao,"CODE",{});var Gl=i(_n);ui=r(Gl,"convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),Gl.forEach(o),mi=r(Ao,"."),Ao.forEach(o),fi=p(W),Et=a(W,"P",{});var qr=i(Et);gi=r(qr,"This model is a PyTorch "),Ct=a(qr,"A",{href:!0,rel:!0});var Wl=i(Ct);_i=r(Wl,"torch.nn.Module"),Wl.forEach(o),ki=r(qr,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),qr.forEach(o),vi=p(W),O=a(W,"P",{});var J=i(O);bi=r(J,"word_embeddings  ("),kn=a(J,"CODE",{});var Hl=i(kn);yi=r(Hl,"torch.nn.Embeddings"),Hl.forEach(o),Ti=r(J," of shape "),vn=a(J,"CODE",{});var Ul=i(vn);wi=r(Ul,"(config.vocab_size, config.hidden_size)"),Ul.forEach(o),Pi=r(J,", "),bn=a(J,"EM",{});var Rl=i(bn);Mi=r(Rl,"optional"),Rl.forEach(o),Ni=r(J,`):
The word embedding parameters. This can be used to initialize `),To=a(J,"A",{href:!0});var Vl=i(To);Li=r(Vl,"XLMProphetNetEncoder"),Vl.forEach(o),$i=r(J,` with pre-defined word
embeddings instead of randomly initialized word embeddings.`),J.forEach(o),zi=p(W),S=a(W,"DIV",{class:!0});var Ye=i(S);y(Ft.$$.fragment,Ye),xi=p(Ye),me=a(Ye,"P",{});var Oo=i(me);qi=r(Oo,"The "),wo=a(Oo,"A",{href:!0});var Yl=i(wo);Xi=r(Yl,"XLMProphetNetDecoder"),Yl.forEach(o),Ei=r(Oo," forward method, overrides the "),yn=a(Oo,"CODE",{});var Jl=i(yn);Ci=r(Jl,"__call__"),Jl.forEach(o),Fi=r(Oo," special method."),Oo.forEach(o),Ai=p(Ye),y(Oe.$$.fragment,Ye),Oi=p(Ye),y(je.$$.fragment,Ye),Ye.forEach(o),W.forEach(o),ir=p(t),fe=a(t,"H2",{class:!0});var Xr=i(fe);De=a(Xr,"A",{id:!0,class:!0,href:!0});var Ql=i(De);Tn=a(Ql,"SPAN",{});var Zl=i(Tn);y(At.$$.fragment,Zl),Zl.forEach(o),Ql.forEach(o),ji=p(Xr),wn=a(Xr,"SPAN",{});var Kl=i(wn);Di=r(Kl,"XLMProphetNetForConditionalGeneration"),Kl.forEach(o),Xr.forEach(o),dr=p(t),E=a(t,"DIV",{class:!0});var Q=i(E);y(Ot.$$.fragment,Q),Si=p(Q),jt=a(Q,"P",{});var Er=i(jt);Ii=r(Er,`The XLMProphetNet Model with a language modeling head. Can be used for sequence generation tasks.
This model inherits from `),Po=a(Er,"A",{href:!0});var ec=i(Po);Bi=r(ec,"PreTrainedModel"),ec.forEach(o),Gi=r(Er,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Er.forEach(o),Wi=p(Q),ge=a(Q,"P",{});var jo=i(ge);Hi=r(jo,"Original ProphetNet code can be found "),Dt=a(jo,"A",{href:!0,rel:!0});var tc=i(Dt);Ui=r(tc,"here"),tc.forEach(o),Ri=r(jo,`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),Pn=a(jo,"CODE",{});var oc=i(Pn);Vi=r(oc,"convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),oc.forEach(o),Yi=r(jo,"."),jo.forEach(o),Ji=p(Q),St=a(Q,"P",{});var Cr=i(St);Qi=r(Cr,"This model is a PyTorch "),It=a(Cr,"A",{href:!0,rel:!0});var nc=i(It);Zi=r(nc,"torch.nn.Module"),nc.forEach(o),Ki=r(Cr,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),Cr.forEach(o),ed=p(Q),I=a(Q,"DIV",{class:!0});var Je=i(I);y(Bt.$$.fragment,Je),td=p(Je),_e=a(Je,"P",{});var Do=i(_e);od=r(Do,"The "),Mo=a(Do,"A",{href:!0});var rc=i(Mo);nd=r(rc,"XLMProphetNetForConditionalGeneration"),rc.forEach(o),rd=r(Do," forward method, overrides the "),Mn=a(Do,"CODE",{});var sc=i(Mn);sd=r(sc,"__call__"),sc.forEach(o),ad=r(Do," special method."),Do.forEach(o),id=p(Je),y(Se.$$.fragment,Je),dd=p(Je),y(Ie.$$.fragment,Je),Je.forEach(o),Q.forEach(o),lr=p(t),ke=a(t,"H2",{class:!0});var Fr=i(ke);Be=a(Fr,"A",{id:!0,class:!0,href:!0});var ac=i(Be);Nn=a(ac,"SPAN",{});var ic=i(Nn);y(Gt.$$.fragment,ic),ic.forEach(o),ac.forEach(o),ld=p(Fr),Ln=a(Fr,"SPAN",{});var dc=i(Ln);cd=r(dc,"XLMProphetNetForCausalLM"),dc.forEach(o),Fr.forEach(o),cr=p(t),C=a(t,"DIV",{class:!0});var Z=i(C);y(Wt.$$.fragment,Z),pd=p(Z),Ht=a(Z,"P",{});var Ar=i(Ht);hd=r(Ar,`The standalone decoder part of the XLMProphetNetModel with a lm head on top. The model can be used for causal language modeling.
This model inherits from `),No=a(Ar,"A",{href:!0});var lc=i(No);ud=r(lc,"PreTrainedModel"),lc.forEach(o),md=r(Ar,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ar.forEach(o),fd=p(Z),ve=a(Z,"P",{});var So=i(ve);gd=r(So,"Original ProphetNet code can be found "),Ut=a(So,"A",{href:!0,rel:!0});var cc=i(Ut);_d=r(cc,"here"),cc.forEach(o),kd=r(So,`. Checkpoints were converted
from original Fairseq checkpoints. For more information on the checkpoint conversion, please take a look at the
file `),$n=a(So,"CODE",{});var pc=i($n);vd=r(pc,"convert_prophetnet_original_pytorch_checkpoint_to_pytorch.py"),pc.forEach(o),bd=r(So,"."),So.forEach(o),yd=p(Z),Rt=a(Z,"P",{});var Or=i(Rt);Td=r(Or,"This model is a PyTorch "),Vt=a(Or,"A",{href:!0,rel:!0});var hc=i(Vt);wd=r(hc,"torch.nn.Module"),hc.forEach(o),Pd=r(Or,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matters related to general usage and
behavior.`),Or.forEach(o),Md=p(Z),B=a(Z,"DIV",{class:!0});var Qe=i(B);y(Yt.$$.fragment,Qe),Nd=p(Qe),be=a(Qe,"P",{});var Io=i(be);Ld=r(Io,"The "),Lo=a(Io,"A",{href:!0});var uc=i(Lo);$d=r(uc,"XLMProphetNetForCausalLM"),uc.forEach(o),zd=r(Io," forward method, overrides the "),zn=a(Io,"CODE",{});var mc=i(zn);xd=r(mc,"__call__"),mc.forEach(o),qd=r(Io," special method."),Io.forEach(o),Xd=p(Qe),y(Ge.$$.fragment,Qe),Ed=p(Qe),y(We.$$.fragment,Qe),Qe.forEach(o),Z.forEach(o),this.h()},h(){l(h,"name","hf:doc:metadata"),l(h,"content",JSON.stringify(Xc)),l(f,"id","xlmprophetnet"),l(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(f,"href","#xlmprophetnet"),l(_,"class","relative group"),l(Kt,"alt","Models"),fc(Kt.src,Ad="https://img.shields.io/badge/All_model_pages-xprophetnet-blueviolet")||l(Kt,"src",Ad),l(Zt,"href","https://huggingface.co/models?filter=xprophetnet"),l(to,"alt","Spaces"),fc(to.src,Od="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||l(to,"src",Od),l(eo,"href","https://huggingface.co/spaces/docs-demos/xprophetnet-large-wiki100-cased-xglue-ntg"),l(K,"class","flex flex-wrap space-x-1"),l(Ze,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),l(Ze,"rel","nofollow"),l(Te,"id","overview"),l(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Te,"href","#overview"),l(te,"class","relative group"),l(et,"href","https://arxiv.org/abs/2001.04063"),l(et,"rel","nofollow"),l(tt,"href","https://github.com/microsoft/ProphetNet"),l(tt,"rel","nofollow"),l(Me,"id","transformers.XLMProphetNetConfig"),l(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Me,"href","#transformers.XLMProphetNetConfig"),l(oe,"class","relative group"),l(io,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetModel"),l(rt,"href","https://huggingface.co/microsoft/xprophetnet-large-wiki100-cased"),l(rt,"rel","nofollow"),l(lo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(co,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ne,"id","transformers.XLMProphetNetTokenizer"),l(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ne,"href","#transformers.XLMProphetNetTokenizer"),l(se,"class","relative group"),l(po,"href","/docs/transformers/main/en/model_doc/roberta#transformers.RobertaTokenizer"),l(ho,"href","/docs/transformers/main/en/model_doc/xlnet#transformers.XLNetTokenizer"),l(it,"href","https://github.com/google/sentencepiece"),l(it,"rel","nofollow"),l(uo,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(xe,"id","transformers.XLMProphetNetModel"),l(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(xe,"href","#transformers.XLMProphetNetModel"),l(ae,"class","relative group"),l(go,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(kt,"href","https://github.com/microsoft/ProphetNet"),l(kt,"rel","nofollow"),l(bt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(bt,"rel","nofollow"),l(_o,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetModel"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ee,"id","transformers.XLMProphetNetEncoder"),l(Ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ee,"href","#transformers.XLMProphetNetEncoder"),l(le,"class","relative group"),l(ko,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Mt,"href","https://github.com/microsoft/ProphetNet"),l(Mt,"rel","nofollow"),l(Lt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Lt,"rel","nofollow"),l(vo,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetEncoder"),l(bo,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetEncoder"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ae,"id","transformers.XLMProphetNetDecoder"),l(Ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ae,"href","#transformers.XLMProphetNetDecoder"),l(he,"class","relative group"),l(yo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Xt,"href","https://github.com/microsoft/ProphetNet"),l(Xt,"rel","nofollow"),l(Ct,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ct,"rel","nofollow"),l(To,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetEncoder"),l(wo,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetDecoder"),l(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(De,"id","transformers.XLMProphetNetForConditionalGeneration"),l(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(De,"href","#transformers.XLMProphetNetForConditionalGeneration"),l(fe,"class","relative group"),l(Po,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Dt,"href","https://github.com/microsoft/ProphetNet"),l(Dt,"rel","nofollow"),l(It,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(It,"rel","nofollow"),l(Mo,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetForConditionalGeneration"),l(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Be,"id","transformers.XLMProphetNetForCausalLM"),l(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Be,"href","#transformers.XLMProphetNetForCausalLM"),l(ke,"class","relative group"),l(No,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ut,"href","https://github.com/microsoft/ProphetNet"),l(Ut,"rel","nofollow"),l(Vt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Vt,"rel","nofollow"),l(Lo,"href","/docs/transformers/main/en/model_doc/xlm-prophetnet#transformers.XLMProphetNetForCausalLM"),l(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,u){e(document.head,h),g(t,v,u),g(t,_,u),e(_,f),e(f,k),T(d,k,null),e(_,m),e(_,L),e(L,jr),g(t,In,u),g(t,K,u),e(K,Zt),e(Zt,Kt),e(K,Dr),e(K,eo),e(eo,to),g(t,Bn,u),g(t,ee,u),e(ee,Bo),e(Bo,Sr),e(ee,Ir),e(ee,Ze),e(Ze,Br),e(ee,Gr),g(t,Gn,u),g(t,te,u),e(te,Te),e(Te,Go),T(Ke,Go,null),e(te,Wr),e(te,Wo),e(Wo,Hr),g(t,Wn,u),g(t,we,u),e(we,Ur),e(we,et),e(et,Rr),e(we,Vr),g(t,Hn,u),g(t,oo,u),e(oo,Yr),g(t,Un,u),g(t,no,u),e(no,Jr),g(t,Rn,u),g(t,ro,u),e(ro,Ho),e(Ho,Qr),g(t,Vn,u),g(t,Pe,u),e(Pe,Zr),e(Pe,tt),e(tt,Kr),e(Pe,es),g(t,Yn,u),g(t,so,u),e(so,ts),g(t,Jn,u),g(t,ao,u),e(ao,Uo),e(Uo,os),g(t,Qn,u),g(t,oe,u),e(oe,Me),e(Me,Ro),T(ot,Ro,null),e(oe,ns),e(oe,Vo),e(Vo,rs),g(t,Zn,u),g(t,H,u),T(nt,H,null),e(H,ss),e(H,ne),e(ne,as),e(ne,io),e(io,is),e(ne,ds),e(ne,rt),e(rt,ls),e(ne,cs),e(H,ps),e(H,re),e(re,hs),e(re,lo),e(lo,us),e(re,ms),e(re,co),e(co,fs),e(re,gs),g(t,Kn,u),g(t,se,u),e(se,Ne),e(Ne,Yo),T(st,Yo,null),e(se,_s),e(se,Jo),e(Jo,ks),g(t,er,u),g(t,$,u),T(at,$,null),e($,vs),e($,U),e(U,bs),e(U,po),e(po,ys),e(U,Ts),e(U,ho),e(ho,ws),e(U,Ps),e(U,it),e(it,Ms),e(U,Ns),e($,Ls),e($,dt),e(dt,$s),e(dt,uo),e(uo,zs),e(dt,xs),e($,qs),e($,R),T(lt,R,null),e(R,Xs),e(R,Qo),e(Qo,Es),e(R,Cs),e(R,ct),e(ct,mo),e(mo,Fs),e(mo,Zo),e(Zo,As),e(ct,Os),e(ct,fo),e(fo,js),e(fo,Ko),e(Ko,Ds),e($,Ss),e($,Le),T(pt,Le,null),e(Le,Is),e(Le,en),e(en,Bs),e($,Gs),e($,$e),T(ht,$e,null),e($e,Ws),e($e,tn),e(tn,Hs),e($,Us),e($,ze),T(ut,ze,null),e(ze,Rs),e(ze,mt),e(mt,Vs),e(mt,on),e(on,Ys),e(mt,Js),g(t,tr,u),g(t,ae,u),e(ae,xe),e(xe,nn),T(ft,nn,null),e(ae,Qs),e(ae,rn),e(rn,Zs),g(t,or,u),g(t,X,u),T(gt,X,null),e(X,Ks),e(X,_t),e(_t,ea),e(_t,go),e(go,ta),e(_t,oa),e(X,na),e(X,ie),e(ie,ra),e(ie,kt),e(kt,sa),e(ie,aa),e(ie,sn),e(sn,ia),e(ie,da),e(X,la),e(X,vt),e(vt,ca),e(vt,bt),e(bt,pa),e(vt,ha),e(X,ua),e(X,j),T(yt,j,null),e(j,ma),e(j,de),e(de,fa),e(de,_o),e(_o,ga),e(de,_a),e(de,an),e(an,ka),e(de,va),e(j,ba),T(qe,j,null),e(j,ya),T(Xe,j,null),g(t,nr,u),g(t,le,u),e(le,Ee),e(Ee,dn),T(Tt,dn,null),e(le,Ta),e(le,ln),e(ln,wa),g(t,rr,u),g(t,z,u),T(wt,z,null),e(z,Pa),e(z,Pt),e(Pt,Ma),e(Pt,ko),e(ko,Na),e(Pt,La),e(z,$a),e(z,ce),e(ce,za),e(ce,Mt),e(Mt,xa),e(ce,qa),e(ce,cn),e(cn,Xa),e(ce,Ea),e(z,Ca),e(z,Nt),e(Nt,Fa),e(Nt,Lt),e(Lt,Aa),e(Nt,Oa),e(z,ja),e(z,A),e(A,Da),e(A,pn),e(pn,Sa),e(A,Ia),e(A,hn),e(hn,Ba),e(A,Ga),e(A,un),e(un,Wa),e(A,Ha),e(A,vo),e(vo,Ua),e(A,Ra),e(z,Va),e(z,D),T($t,D,null),e(D,Ya),e(D,pe),e(pe,Ja),e(pe,bo),e(bo,Qa),e(pe,Za),e(pe,mn),e(mn,Ka),e(pe,ei),e(D,ti),T(Ce,D,null),e(D,oi),T(Fe,D,null),g(t,sr,u),g(t,he,u),e(he,Ae),e(Ae,fn),T(zt,fn,null),e(he,ni),e(he,gn),e(gn,ri),g(t,ar,u),g(t,x,u),T(xt,x,null),e(x,si),e(x,qt),e(qt,ai),e(qt,yo),e(yo,ii),e(qt,di),e(x,li),e(x,ue),e(ue,ci),e(ue,Xt),e(Xt,pi),e(ue,hi),e(ue,_n),e(_n,ui),e(ue,mi),e(x,fi),e(x,Et),e(Et,gi),e(Et,Ct),e(Ct,_i),e(Et,ki),e(x,vi),e(x,O),e(O,bi),e(O,kn),e(kn,yi),e(O,Ti),e(O,vn),e(vn,wi),e(O,Pi),e(O,bn),e(bn,Mi),e(O,Ni),e(O,To),e(To,Li),e(O,$i),e(x,zi),e(x,S),T(Ft,S,null),e(S,xi),e(S,me),e(me,qi),e(me,wo),e(wo,Xi),e(me,Ei),e(me,yn),e(yn,Ci),e(me,Fi),e(S,Ai),T(Oe,S,null),e(S,Oi),T(je,S,null),g(t,ir,u),g(t,fe,u),e(fe,De),e(De,Tn),T(At,Tn,null),e(fe,ji),e(fe,wn),e(wn,Di),g(t,dr,u),g(t,E,u),T(Ot,E,null),e(E,Si),e(E,jt),e(jt,Ii),e(jt,Po),e(Po,Bi),e(jt,Gi),e(E,Wi),e(E,ge),e(ge,Hi),e(ge,Dt),e(Dt,Ui),e(ge,Ri),e(ge,Pn),e(Pn,Vi),e(ge,Yi),e(E,Ji),e(E,St),e(St,Qi),e(St,It),e(It,Zi),e(St,Ki),e(E,ed),e(E,I),T(Bt,I,null),e(I,td),e(I,_e),e(_e,od),e(_e,Mo),e(Mo,nd),e(_e,rd),e(_e,Mn),e(Mn,sd),e(_e,ad),e(I,id),T(Se,I,null),e(I,dd),T(Ie,I,null),g(t,lr,u),g(t,ke,u),e(ke,Be),e(Be,Nn),T(Gt,Nn,null),e(ke,ld),e(ke,Ln),e(Ln,cd),g(t,cr,u),g(t,C,u),T(Wt,C,null),e(C,pd),e(C,Ht),e(Ht,hd),e(Ht,No),e(No,ud),e(Ht,md),e(C,fd),e(C,ve),e(ve,gd),e(ve,Ut),e(Ut,_d),e(ve,kd),e(ve,$n),e($n,vd),e(ve,bd),e(C,yd),e(C,Rt),e(Rt,Td),e(Rt,Vt),e(Vt,wd),e(Rt,Pd),e(C,Md),e(C,B),T(Yt,B,null),e(B,Nd),e(B,be),e(be,Ld),e(be,Lo),e(Lo,$d),e(be,zd),e(be,zn),e(zn,xd),e(be,qd),e(B,Xd),T(Ge,B,null),e(B,Ed),T(We,B,null),pr=!0},p(t,[u]){const Jt={};u&2&&(Jt.$$scope={dirty:u,ctx:t}),qe.$set(Jt);const xn={};u&2&&(xn.$$scope={dirty:u,ctx:t}),Xe.$set(xn);const qn={};u&2&&(qn.$$scope={dirty:u,ctx:t}),Ce.$set(qn);const Xn={};u&2&&(Xn.$$scope={dirty:u,ctx:t}),Fe.$set(Xn);const Qt={};u&2&&(Qt.$$scope={dirty:u,ctx:t}),Oe.$set(Qt);const En={};u&2&&(En.$$scope={dirty:u,ctx:t}),je.$set(En);const Cn={};u&2&&(Cn.$$scope={dirty:u,ctx:t}),Se.$set(Cn);const He={};u&2&&(He.$$scope={dirty:u,ctx:t}),Ie.$set(He);const Fn={};u&2&&(Fn.$$scope={dirty:u,ctx:t}),Ge.$set(Fn);const An={};u&2&&(An.$$scope={dirty:u,ctx:t}),We.$set(An)},i(t){pr||(w(d.$$.fragment,t),w(Ke.$$.fragment,t),w(ot.$$.fragment,t),w(nt.$$.fragment,t),w(st.$$.fragment,t),w(at.$$.fragment,t),w(lt.$$.fragment,t),w(pt.$$.fragment,t),w(ht.$$.fragment,t),w(ut.$$.fragment,t),w(ft.$$.fragment,t),w(gt.$$.fragment,t),w(yt.$$.fragment,t),w(qe.$$.fragment,t),w(Xe.$$.fragment,t),w(Tt.$$.fragment,t),w(wt.$$.fragment,t),w($t.$$.fragment,t),w(Ce.$$.fragment,t),w(Fe.$$.fragment,t),w(zt.$$.fragment,t),w(xt.$$.fragment,t),w(Ft.$$.fragment,t),w(Oe.$$.fragment,t),w(je.$$.fragment,t),w(At.$$.fragment,t),w(Ot.$$.fragment,t),w(Bt.$$.fragment,t),w(Se.$$.fragment,t),w(Ie.$$.fragment,t),w(Gt.$$.fragment,t),w(Wt.$$.fragment,t),w(Yt.$$.fragment,t),w(Ge.$$.fragment,t),w(We.$$.fragment,t),pr=!0)},o(t){P(d.$$.fragment,t),P(Ke.$$.fragment,t),P(ot.$$.fragment,t),P(nt.$$.fragment,t),P(st.$$.fragment,t),P(at.$$.fragment,t),P(lt.$$.fragment,t),P(pt.$$.fragment,t),P(ht.$$.fragment,t),P(ut.$$.fragment,t),P(ft.$$.fragment,t),P(gt.$$.fragment,t),P(yt.$$.fragment,t),P(qe.$$.fragment,t),P(Xe.$$.fragment,t),P(Tt.$$.fragment,t),P(wt.$$.fragment,t),P($t.$$.fragment,t),P(Ce.$$.fragment,t),P(Fe.$$.fragment,t),P(zt.$$.fragment,t),P(xt.$$.fragment,t),P(Ft.$$.fragment,t),P(Oe.$$.fragment,t),P(je.$$.fragment,t),P(At.$$.fragment,t),P(Ot.$$.fragment,t),P(Bt.$$.fragment,t),P(Se.$$.fragment,t),P(Ie.$$.fragment,t),P(Gt.$$.fragment,t),P(Wt.$$.fragment,t),P(Yt.$$.fragment,t),P(Ge.$$.fragment,t),P(We.$$.fragment,t),pr=!1},d(t){o(h),t&&o(v),t&&o(_),M(d),t&&o(In),t&&o(K),t&&o(Bn),t&&o(ee),t&&o(Gn),t&&o(te),M(Ke),t&&o(Wn),t&&o(we),t&&o(Hn),t&&o(oo),t&&o(Un),t&&o(no),t&&o(Rn),t&&o(ro),t&&o(Vn),t&&o(Pe),t&&o(Yn),t&&o(so),t&&o(Jn),t&&o(ao),t&&o(Qn),t&&o(oe),M(ot),t&&o(Zn),t&&o(H),M(nt),t&&o(Kn),t&&o(se),M(st),t&&o(er),t&&o($),M(at),M(lt),M(pt),M(ht),M(ut),t&&o(tr),t&&o(ae),M(ft),t&&o(or),t&&o(X),M(gt),M(yt),M(qe),M(Xe),t&&o(nr),t&&o(le),M(Tt),t&&o(rr),t&&o(z),M(wt),M($t),M(Ce),M(Fe),t&&o(sr),t&&o(he),M(zt),t&&o(ar),t&&o(x),M(xt),M(Ft),M(Oe),M(je),t&&o(ir),t&&o(fe),M(At),t&&o(dr),t&&o(E),M(Ot),M(Bt),M(Se),M(Ie),t&&o(lr),t&&o(ke),M(Gt),t&&o(cr),t&&o(C),M(Wt),M(Yt),M(Ge),M(We)}}}const Xc={local:"xlmprophetnet",sections:[{local:"overview",title:"Overview"},{local:"transformers.XLMProphetNetConfig",title:"XLMProphetNetConfig"},{local:"transformers.XLMProphetNetTokenizer",title:"XLMProphetNetTokenizer"},{local:"transformers.XLMProphetNetModel",title:"XLMProphetNetModel"},{local:"transformers.XLMProphetNetEncoder",title:"XLMProphetNetEncoder"},{local:"transformers.XLMProphetNetDecoder",title:"XLMProphetNetDecoder"},{local:"transformers.XLMProphetNetForConditionalGeneration",title:"XLMProphetNetForConditionalGeneration"},{local:"transformers.XLMProphetNetForCausalLM",title:"XLMProphetNetForCausalLM"}],title:"XLM-ProphetNet"};function Ec(N){return bc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Sc extends gc{constructor(h){super();_c(this,h,Ec,qc,kc,{})}}export{Sc as default,Xc as metadata};
