import{S as Sm,i as Dm,s as Hm,e as o,k as c,w as b,t as r,M as Bm,c as s,d as t,m as p,a,x as y,h as i,b as d,N as Om,G as e,g as f,y as M,q as x,o as w,B as $,v as Um,L as Gt}from"../../chunks/vendor-hf-doc-builder.js";import{T as Bn}from"../../chunks/Tip-hf-doc-builder.js";import{D as Z}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Pe}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as pe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Kt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Rm(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import MarianModel, MarianConfig

# Initializing a Marian Helsinki-NLP/opus-mt-en-de style configuration
configuration = MarianConfig()

# Initializing a model from the Helsinki-NLP/opus-mt-en-de style configuration
model = MarianModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MarianModel, MarianConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Marian Helsinki-NLP/opus-mt-en-de style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = MarianConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the Helsinki-NLP/opus-mt-en-de style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MarianModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=o("p"),v=r("Examples:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Examples:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function Wm(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import MarianTokenizer

tokenizer = MarianTokenizer.from_pretrained("Helsinki-NLP/opus-mt-en-de")
src_texts = ["I am a small frog.", "Tom asked his teacher for advice."]
tgt_texts = ["Ich bin ein kleiner Frosch.", "Tom bat seinen Lehrer um Rat."]  # optional
inputs = tokenizer(src_texts, text_target=tgt_texts, return_tensors="pt", padding=True)

outputs = model(**inputs)  # should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MarianTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MarianTokenizer.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_texts = [<span class="hljs-string">&quot;I am a small frog.&quot;</span>, <span class="hljs-string">&quot;Tom asked his teacher for advice.&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_texts = [<span class="hljs-string">&quot;Ich bin ein kleiner Frosch.&quot;</span>, <span class="hljs-string">&quot;Tom bat seinen Lehrer um Rat.&quot;</span>]  <span class="hljs-comment"># optional</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(src_texts, text_target=tgt_texts, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># keys  [input_ids, attention_mask, labels].</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)  <span class="hljs-comment"># should work</span>`}}),{c(){h=o("p"),v=r("Examples:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Examples:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function Vm(z){let h,v,_,g,k;return{c(){h=o("p"),v=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=o("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var E=a(_);g=i(E,"Module"),E.forEach(t),k=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,h,u),e(h,v),e(h,_),e(_,g),e(h,k)},d(l){l&&t(h)}}}function Km(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, MarianModel

tokenizer = AutoTokenizer.from_pretrained("Helsinki-NLP/opus-mt-en-de")
model = MarianModel.from_pretrained("Helsinki-NLP/opus-mt-en-de")

inputs = tokenizer("Studies have been shown that owning a dog is good for you", return_tensors="pt")
decoder_inputs = tokenizer(
    "<pad> Studien haben gezeigt dass es hilfreich ist einen Hund zu besitzen",
    return_tensors="pt",
    add_special_tokens=False,
)
outputs = model(input_ids=inputs.input_ids, decoder_input_ids=decoder_inputs.input_ids)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MarianModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MarianModel.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&lt;pad&gt; Studien haben gezeigt dass es hilfreich ist einen Hund zu besitzen&quot;</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>    add_special_tokens=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=inputs.input_ids, decoder_input_ids=decoder_inputs.input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">26</span>, <span class="hljs-number">512</span>]`}}),{c(){h=o("p"),v=r("Example:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Example:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function Gm(z){let h,v,_,g,k;return{c(){h=o("p"),v=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=o("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var E=a(_);g=i(E,"Module"),E.forEach(t),k=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,h,u),e(h,v),e(h,_),e(_,g),e(h,k)},d(l){l&&t(h)}}}function Jm(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, MarianMTModel

src = "fr"  # source language
trg = "en"  # target language

model_name = f"Helsinki-NLP/opus-mt-{src}-{trg}"
model = MarianMTModel.from_pretrained(model_name)
tokenizer = AutoTokenizer.from_pretrained(model_name)

sample_text = "o\xF9 est l'arr\xEAt de bus ?"
batch = tokenizer([sample_text], return_tensors="pt")

generated_ids = model.generate(**batch)
tokenizer.batch_decode(generated_ids, skip_special_tokens=True)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MarianMTModel

<span class="hljs-meta">&gt;&gt;&gt; </span>src = <span class="hljs-string">&quot;fr&quot;</span>  <span class="hljs-comment"># source language</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>trg = <span class="hljs-string">&quot;en&quot;</span>  <span class="hljs-comment"># target language</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">f&quot;Helsinki-NLP/opus-mt-<span class="hljs-subst">{src}</span>-<span class="hljs-subst">{trg}</span>&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MarianMTModel.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(model_name)

<span class="hljs-meta">&gt;&gt;&gt; </span>sample_text = <span class="hljs-string">&quot;o\xF9 est l&#x27;arr\xEAt de bus ?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>batch = tokenizer([sample_text], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(**batch)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;Where&#x27;s the bus stop?&quot;</span>`}}),{c(){h=o("p"),v=r("Examples:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Examples:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function Ym(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, MarianForCausalLM

tokenizer = AutoTokenizer.from_pretrained("Helsinki-NLP/opus-mt-fr-en")
model = MarianForCausalLM.from_pretrained("Helsinki-NLP/opus-mt-fr-en", add_cross_attention=False)
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
expected_shape = [1, inputs.input_ids.shape[-1], model.config.vocab_size]
list(logits.shape) == expected_shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MarianForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-fr-en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MarianForCausalLM.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-fr-en&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_shape = [<span class="hljs-number">1</span>, inputs.input_ids.shape[-<span class="hljs-number">1</span>], model.config.vocab_size]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape) == expected_shape
<span class="hljs-literal">True</span>`}}),{c(){h=o("p"),v=r("Example:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Example:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function Zm(z){let h,v,_,g,k,l,u,E,Ke,Ne,I,he,X,j,Ge,D,ue,ct,Q,B,_e,oe,Je,se,ae,Ye,Ae,H,Ze,Ce,ee,N,L,me,U,Xe,Le,O,te,ke,A,Qe,R,et,Ie,F,ve,Te,W,tt,V,re,be,C,nt,S,ot,ye;return{c(){h=o("p"),v=r("TensorFlow models and layers in "),_=o("code"),g=r("transformers"),k=r(" accept two formats as input:"),l=c(),u=o("ul"),E=o("li"),Ke=r("having all inputs as keyword arguments (like PyTorch models), or"),Ne=c(),I=o("li"),he=r("having all inputs as a list, tuple or dict in the first positional argument."),X=c(),j=o("p"),Ge=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),D=o("code"),ue=r("model.fit()"),ct=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Q=o("code"),B=r("model.fit()"),_e=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=o("code"),Je=r("fit()"),se=r(" and "),ae=o("code"),Ye=r("predict()"),Ae=r(`, such as when creating your own layers or models with
the Keras `),H=o("code"),Ze=r("Functional"),Ce=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),N=o("ul"),L=o("li"),me=r("a single Tensor with "),U=o("code"),Xe=r("input_ids"),Le=r(" only and nothing else: "),O=o("code"),te=r("model(input_ids)"),ke=c(),A=o("li"),Qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),R=o("code"),et=r("model([input_ids, attention_mask])"),Ie=r(" or "),F=o("code"),ve=r("model([input_ids, attention_mask, token_type_ids])"),Te=c(),W=o("li"),tt=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=o("code"),re=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),be=c(),C=o("p"),nt=r(`Note that when creating models and layers with
`),S=o("a"),ot=r("subclassing"),ye=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(T){h=s(T,"P",{});var q=a(h);v=i(q,"TensorFlow models and layers in "),_=s(q,"CODE",{});var Me=a(_);g=i(Me,"transformers"),Me.forEach(t),k=i(q," accept two formats as input:"),q.forEach(t),l=p(T),u=s(T,"UL",{});var xe=a(u);E=s(xe,"LI",{});var gt=a(E);Ke=i(gt,"having all inputs as keyword arguments (like PyTorch models), or"),gt.forEach(t),Ne=p(xe),I=s(xe,"LI",{});var we=a(I);he=i(we,"having all inputs as a list, tuple or dict in the first positional argument."),we.forEach(t),xe.forEach(t),X=p(T),j=s(T,"P",{});var P=a(j);Ge=i(P,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),D=s(P,"CODE",{});var _t=a(D);ue=i(_t,"model.fit()"),_t.forEach(t),ct=i(P,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Q=s(P,"CODE",{});var kt=a(Q);B=i(kt,"model.fit()"),kt.forEach(t),_e=i(P,` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=s(P,"CODE",{});var st=a(oe);Je=i(st,"fit()"),st.forEach(t),se=i(P," and "),ae=s(P,"CODE",{});var at=a(ae);Ye=i(at,"predict()"),at.forEach(t),Ae=i(P,`, such as when creating your own layers or models with
the Keras `),H=s(P,"CODE",{});var vt=a(H);Ze=i(vt,"Functional"),vt.forEach(t),Ce=i(P,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),P.forEach(t),ee=p(T),N=s(T,"UL",{});var K=a(N);L=s(K,"LI",{});var G=a(L);me=i(G,"a single Tensor with "),U=s(G,"CODE",{});var rt=a(U);Xe=i(rt,"input_ids"),rt.forEach(t),Le=i(G," only and nothing else: "),O=s(G,"CODE",{});var Tt=a(O);te=i(Tt,"model(input_ids)"),Tt.forEach(t),G.forEach(t),ke=p(K),A=s(K,"LI",{});var ie=a(A);Qe=i(ie,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),R=s(ie,"CODE",{});var $e=a(R);et=i($e,"model([input_ids, attention_mask])"),$e.forEach(t),Ie=i(ie," or "),F=s(ie,"CODE",{});var ze=a(F);ve=i(ze,"model([input_ids, attention_mask, token_type_ids])"),ze.forEach(t),ie.forEach(t),Te=p(K),W=s(K,"LI",{});var it=a(W);tt=i(it,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=s(it,"CODE",{});var Oe=a(V);re=i(Oe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Oe.forEach(t),it.forEach(t),K.forEach(t),be=p(T),C=s(T,"P",{});var je=a(C);nt=i(je,`Note that when creating models and layers with
`),S=s(je,"A",{href:!0,rel:!0});var bt=a(S);ot=i(bt,"subclassing"),bt.forEach(t),ye=i(je,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),je.forEach(t),this.h()},h(){d(S,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(S,"rel","nofollow")},m(T,q){f(T,h,q),e(h,v),e(h,_),e(_,g),e(h,k),f(T,l,q),f(T,u,q),e(u,E),e(E,Ke),e(u,Ne),e(u,I),e(I,he),f(T,X,q),f(T,j,q),e(j,Ge),e(j,D),e(D,ue),e(j,ct),e(j,Q),e(Q,B),e(j,_e),e(j,oe),e(oe,Je),e(j,se),e(j,ae),e(ae,Ye),e(j,Ae),e(j,H),e(H,Ze),e(j,Ce),f(T,ee,q),f(T,N,q),e(N,L),e(L,me),e(L,U),e(U,Xe),e(L,Le),e(L,O),e(O,te),e(N,ke),e(N,A),e(A,Qe),e(A,R),e(R,et),e(A,Ie),e(A,F),e(F,ve),e(N,Te),e(N,W),e(W,tt),e(W,V),e(V,re),f(T,be,q),f(T,C,q),e(C,nt),e(C,S),e(S,ot),e(C,ye)},d(T){T&&t(h),T&&t(l),T&&t(u),T&&t(X),T&&t(j),T&&t(ee),T&&t(N),T&&t(be),T&&t(C)}}}function Xm(z){let h,v,_,g,k;return{c(){h=o("p"),v=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=o("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var E=a(_);g=i(E,"Module"),E.forEach(t),k=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,h,u),e(h,v),e(h,_),e(_,g),e(h,k)},d(l){l&&t(h)}}}function Qm(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, TFMarianModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("Helsinki-NLP/opus-mt-en-de")
model = TFMarianModel.from_pretrained("Helsinki-NLP/opus-mt-en-de")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMarianModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMarianModel.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){h=o("p"),v=r("Example:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Example:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function ef(z){let h,v,_,g,k,l,u,E,Ke,Ne,I,he,X,j,Ge,D,ue,ct,Q,B,_e,oe,Je,se,ae,Ye,Ae,H,Ze,Ce,ee,N,L,me,U,Xe,Le,O,te,ke,A,Qe,R,et,Ie,F,ve,Te,W,tt,V,re,be,C,nt,S,ot,ye;return{c(){h=o("p"),v=r("TensorFlow models and layers in "),_=o("code"),g=r("transformers"),k=r(" accept two formats as input:"),l=c(),u=o("ul"),E=o("li"),Ke=r("having all inputs as keyword arguments (like PyTorch models), or"),Ne=c(),I=o("li"),he=r("having all inputs as a list, tuple or dict in the first positional argument."),X=c(),j=o("p"),Ge=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),D=o("code"),ue=r("model.fit()"),ct=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Q=o("code"),B=r("model.fit()"),_e=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=o("code"),Je=r("fit()"),se=r(" and "),ae=o("code"),Ye=r("predict()"),Ae=r(`, such as when creating your own layers or models with
the Keras `),H=o("code"),Ze=r("Functional"),Ce=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),N=o("ul"),L=o("li"),me=r("a single Tensor with "),U=o("code"),Xe=r("input_ids"),Le=r(" only and nothing else: "),O=o("code"),te=r("model(input_ids)"),ke=c(),A=o("li"),Qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),R=o("code"),et=r("model([input_ids, attention_mask])"),Ie=r(" or "),F=o("code"),ve=r("model([input_ids, attention_mask, token_type_ids])"),Te=c(),W=o("li"),tt=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=o("code"),re=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),be=c(),C=o("p"),nt=r(`Note that when creating models and layers with
`),S=o("a"),ot=r("subclassing"),ye=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(T){h=s(T,"P",{});var q=a(h);v=i(q,"TensorFlow models and layers in "),_=s(q,"CODE",{});var Me=a(_);g=i(Me,"transformers"),Me.forEach(t),k=i(q," accept two formats as input:"),q.forEach(t),l=p(T),u=s(T,"UL",{});var xe=a(u);E=s(xe,"LI",{});var gt=a(E);Ke=i(gt,"having all inputs as keyword arguments (like PyTorch models), or"),gt.forEach(t),Ne=p(xe),I=s(xe,"LI",{});var we=a(I);he=i(we,"having all inputs as a list, tuple or dict in the first positional argument."),we.forEach(t),xe.forEach(t),X=p(T),j=s(T,"P",{});var P=a(j);Ge=i(P,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),D=s(P,"CODE",{});var _t=a(D);ue=i(_t,"model.fit()"),_t.forEach(t),ct=i(P,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Q=s(P,"CODE",{});var kt=a(Q);B=i(kt,"model.fit()"),kt.forEach(t),_e=i(P,` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=s(P,"CODE",{});var st=a(oe);Je=i(st,"fit()"),st.forEach(t),se=i(P," and "),ae=s(P,"CODE",{});var at=a(ae);Ye=i(at,"predict()"),at.forEach(t),Ae=i(P,`, such as when creating your own layers or models with
the Keras `),H=s(P,"CODE",{});var vt=a(H);Ze=i(vt,"Functional"),vt.forEach(t),Ce=i(P,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),P.forEach(t),ee=p(T),N=s(T,"UL",{});var K=a(N);L=s(K,"LI",{});var G=a(L);me=i(G,"a single Tensor with "),U=s(G,"CODE",{});var rt=a(U);Xe=i(rt,"input_ids"),rt.forEach(t),Le=i(G," only and nothing else: "),O=s(G,"CODE",{});var Tt=a(O);te=i(Tt,"model(input_ids)"),Tt.forEach(t),G.forEach(t),ke=p(K),A=s(K,"LI",{});var ie=a(A);Qe=i(ie,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),R=s(ie,"CODE",{});var $e=a(R);et=i($e,"model([input_ids, attention_mask])"),$e.forEach(t),Ie=i(ie," or "),F=s(ie,"CODE",{});var ze=a(F);ve=i(ze,"model([input_ids, attention_mask, token_type_ids])"),ze.forEach(t),ie.forEach(t),Te=p(K),W=s(K,"LI",{});var it=a(W);tt=i(it,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=s(it,"CODE",{});var Oe=a(V);re=i(Oe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Oe.forEach(t),it.forEach(t),K.forEach(t),be=p(T),C=s(T,"P",{});var je=a(C);nt=i(je,`Note that when creating models and layers with
`),S=s(je,"A",{href:!0,rel:!0});var bt=a(S);ot=i(bt,"subclassing"),bt.forEach(t),ye=i(je,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),je.forEach(t),this.h()},h(){d(S,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(S,"rel","nofollow")},m(T,q){f(T,h,q),e(h,v),e(h,_),e(_,g),e(h,k),f(T,l,q),f(T,u,q),e(u,E),e(E,Ke),e(u,Ne),e(u,I),e(I,he),f(T,X,q),f(T,j,q),e(j,Ge),e(j,D),e(D,ue),e(j,ct),e(j,Q),e(Q,B),e(j,_e),e(j,oe),e(oe,Je),e(j,se),e(j,ae),e(ae,Ye),e(j,Ae),e(j,H),e(H,Ze),e(j,Ce),f(T,ee,q),f(T,N,q),e(N,L),e(L,me),e(L,U),e(U,Xe),e(L,Le),e(L,O),e(O,te),e(N,ke),e(N,A),e(A,Qe),e(A,R),e(R,et),e(A,Ie),e(A,F),e(F,ve),e(N,Te),e(N,W),e(W,tt),e(W,V),e(V,re),f(T,be,q),f(T,C,q),e(C,nt),e(C,S),e(S,ot),e(C,ye)},d(T){T&&t(h),T&&t(l),T&&t(u),T&&t(X),T&&t(j),T&&t(ee),T&&t(N),T&&t(be),T&&t(C)}}}function tf(z){let h,v,_,g,k;return{c(){h=o("p"),v=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=o("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var E=a(_);g=i(E,"Module"),E.forEach(t),k=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,h,u),e(h,v),e(h,_),e(_,g),e(h,k)},d(l){l&&t(h)}}}function nf(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, TFMarianMTModel
from typing import List

src = "fr"  # source language
trg = "en"  # target language
sample_text = "o\xF9 est l'arr\xEAt de bus ?"
model_name = f"Helsinki-NLP/opus-mt-{src}-{trg}"

model = TFMarianMTModel.from_pretrained(model_name)
tokenizer = AutoTokenizer.from_pretrained(model_name)
batch = tokenizer([sample_text], return_tensors="tf")
gen = model.generate(**batch)
tokenizer.batch_decode(gen, skip_special_tokens=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMarianMTModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> typing <span class="hljs-keyword">import</span> <span class="hljs-type">List</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>src = <span class="hljs-string">&quot;fr&quot;</span>  <span class="hljs-comment"># source language</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>trg = <span class="hljs-string">&quot;en&quot;</span>  <span class="hljs-comment"># target language</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sample_text = <span class="hljs-string">&quot;o\xF9 est l&#x27;arr\xEAt de bus ?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">f&quot;Helsinki-NLP/opus-mt-<span class="hljs-subst">{src}</span>-<span class="hljs-subst">{trg}</span>&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMarianMTModel.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>batch = tokenizer([sample_text], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = model.generate(**batch)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&quot;Where is the bus stop ?&quot;</span>`}}),{c(){h=o("p"),v=r("Examples:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Examples:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function of(z){let h,v,_,g,k;return{c(){h=o("p"),v=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=o("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var E=a(_);g=i(E,"Module"),E.forEach(t),k=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,h,u),e(h,v),e(h,_),e(_,g),e(h,k)},d(l){l&&t(h)}}}function sf(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, FlaxMarianModel

tokenizer = AutoTokenizer.from_pretrained("Helsinki-NLP/opus-mt-en-de")
model = FlaxMarianModel.from_pretrained("Helsinki-NLP/opus-mt-en-de")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMarianModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMarianModel.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){h=o("p"),v=r("Example:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Example:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function af(z){let h,v,_,g,k;return{c(){h=o("p"),v=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=o("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var E=a(_);g=i(E,"Module"),E.forEach(t),k=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,h,u),e(h,v),e(h,_),e(_,g),e(h,k)},d(l){l&&t(h)}}}function rf(z){let h,v,_,g,k;return g=new Pe({props:{code:`from transformers import AutoTokenizer, FlaxMarianMTModel

model = FlaxMarianMTModel.from_pretrained("Helsinki-NLP/opus-mt-en-de")
tokenizer = AutoTokenizer.from_pretrained("Helsinki-NLP/opus-mt-en-de")

text = "My friends are cool but they eat too many carbs."
input_ids = tokenizer(text, max_length=64, return_tensors="jax").input_ids

sequences = model.generate(input_ids, max_length=64, num_beams=2).sequences

outputs = tokenizer.batch_decode(sequences, skip_special_tokens=True)
# should give *Meine Freunde sind cool, aber sie essen zu viele Kohlenhydrate.*`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMarianMTModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMarianMTModel.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-de&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(text, max_length=<span class="hljs-number">64</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>sequences = model.generate(input_ids, max_length=<span class="hljs-number">64</span>, num_beams=<span class="hljs-number">2</span>).sequences

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(sequences, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># should give *Meine Freunde sind cool, aber sie essen zu viele Kohlenhydrate.*</span>`}}),{c(){h=o("p"),v=r("Example:"),_=c(),b(g.$$.fragment)},l(l){h=s(l,"P",{});var u=a(h);v=i(u,"Example:"),u.forEach(t),_=p(l),y(g.$$.fragment,l)},m(l,u){f(l,h,u),e(h,v),f(l,_,u),M(g,l,u),k=!0},p:Gt,i(l){k||(x(g.$$.fragment,l),k=!0)},o(l){w(g.$$.fragment,l),k=!1},d(l){l&&t(h),l&&t(_),$(g,l)}}}function lf(z){let h,v,_,g,k,l,u,E,Ke,Ne,I,he,X,j,Ge,D,ue,ct,Q,B,_e,oe,Je,se,ae,Ye,Ae,H,Ze,Ce,ee,N,L,me,U,Xe,Le,O,te,ke,A,Qe,R,et,Ie,F,ve,Te,W,tt,V,re,be,C,nt,S,ot,ye,T,q,Me,xe,gt,we,P,_t,kt,st,at,vt,K,G,rt,Tt,ie,$e,ze,it,Oe,je,bt,Ui,yt,Un,Ri,Zs,Wi,Vi,Ki,Rn,Gi,Xs,Ji,Yi,Zi,Mt,Xi,Qs,Qi,el,ea,tl,nl,ol,ta,Wn,sl,na,al,rl,il,oa,Vn,ll,Kn,dl,cl,_r,xt,Jt,sa,Gn,pl,aa,hl,kr,Se,bs,ul,ra,ml,fl,Jn,gl,Yn,_l,kl,vl,wt,Tl,ia,bl,yl,la,Ml,xl,wl,da,$l,vr,$t,Yt,ca,Zn,zl,pa,jl,Tr,Zt,ha,El,ql,ua,Xn,Fl,br,zt,Xt,ma,Qn,Pl,fa,Nl,yr,De,eo,Al,ga,Cl,Ll,Il,to,Ol,_a,Sl,Dl,Hl,no,Bl,oo,Ul,Rl,Wl,so,Vl,ka,Kl,Gl,Mr,Qt,Jl,ao,Yl,Zl,xr,ro,wr,ys,Xl,$r,io,zr,jt,en,va,lo,Ql,Ta,ed,jr,Ms,td,Er,co,qr,xs,nd,Fr,po,Pr,Et,tn,ba,ho,od,ya,sd,Nr,Ee,uo,ad,qt,rd,ws,id,ld,mo,dd,cd,pd,Ft,hd,$s,ud,md,zs,fd,gd,_d,nn,Ar,Pt,on,Ma,fo,kd,xa,vd,Cr,le,go,Td,_o,bd,ko,yd,Md,xd,vo,wd,js,$d,zd,jd,sn,Ed,an,To,qd,wa,Fd,Lr,Nt,rn,$a,bo,Pd,za,Nd,Ir,qe,yo,Ad,Mo,Cd,Es,Ld,Id,Od,xo,Sd,wo,Dd,Hd,Bd,He,$o,Ud,At,Rd,qs,Wd,Vd,ja,Kd,Gd,Jd,ln,Yd,dn,Or,Ct,cn,Ea,zo,Zd,qa,Xd,Sr,Fe,jo,Qd,Eo,ec,Fs,tc,nc,oc,qo,sc,Fo,ac,rc,ic,fe,Po,lc,Lt,dc,Ps,cc,pc,Fa,hc,uc,mc,pn,fc,No,gc,Ao,_c,kc,vc,hn,Dr,It,un,Pa,Co,Tc,Na,bc,Hr,Ot,Lo,yc,mn,Io,Mc,fn,Br,St,gn,Aa,Oo,xc,Ca,wc,Ur,de,So,$c,Do,zc,Ns,jc,Ec,qc,Ho,Fc,Bo,Pc,Nc,Ac,_n,Cc,Be,Uo,Lc,Dt,Ic,As,Oc,Sc,La,Dc,Hc,Bc,kn,Uc,vn,Rr,Ht,Tn,Ia,Ro,Rc,Oa,Wc,Wr,ce,Wo,Vc,Vo,Kc,Cs,Gc,Jc,Yc,Ko,Zc,Go,Xc,Qc,ep,bn,tp,ge,Jo,np,Bt,op,Ls,sp,ap,Sa,rp,ip,lp,yn,dp,Yo,cp,Zo,pp,hp,up,Mn,Vr,Ut,xn,Da,Xo,mp,Ha,fp,Kr,J,Qo,gp,es,_p,Is,kp,vp,Tp,ts,bp,ns,yp,Mp,xp,Ba,wp,$p,lt,Ua,os,zp,jp,Ra,ss,Ep,qp,Wa,as,Fp,Pp,Va,rs,Np,Ap,Ue,is,Cp,Rt,Lp,Ka,Ip,Op,Ga,Sp,Dp,Hp,wn,Bp,$n,Gr,Wt,zn,Ja,ls,Up,Ya,Rp,Jr,Y,ds,Wp,cs,Vp,Os,Kp,Gp,Jp,ps,Yp,hs,Zp,Xp,Qp,Za,eh,th,dt,Xa,us,nh,oh,Qa,ms,sh,ah,er,fs,rh,ih,tr,gs,lh,dh,Re,_s,ch,Vt,ph,nr,hh,uh,or,mh,fh,gh,jn,_h,En,Yr;return l=new pe({}),A=new pe({}),Gn=new pe({}),Zn=new pe({}),Qn=new pe({}),ro=new Pe({props:{code:`from transformers import MarianMTModel, MarianTokenizer

src_text = [
    ">>fra<< this is a sentence in english that we want to translate to french",
    ">>por<< This should go to portuguese",
    ">>esp<< And this to Spanish",
]

model_name = "Helsinki-NLP/opus-mt-en-roa"
tokenizer = MarianTokenizer.from_pretrained(model_name)
print(tokenizer.supported_language_codes)

model = MarianMTModel.from_pretrained(model_name)
translated = model.generate(**tokenizer(src_text, return_tensors="pt", padding=True))
[tokenizer.decode(t, skip_special_tokens=True) for t in translated]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MarianMTModel, MarianTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&gt;&gt;fra&lt;&lt; this is a sentence in english that we want to translate to french&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&gt;&gt;por&lt;&lt; This should go to portuguese&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&gt;&gt;esp&lt;&lt; And this to Spanish&quot;</span>,
<span class="hljs-meta">... </span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-roa&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MarianTokenizer.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.supported_language_codes)
[<span class="hljs-string">&#x27;&gt;&gt;zlm_Latn&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;mfe&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;hat&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;pap&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;ast&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;cat&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;ind&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;glg&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;wln&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;spa&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;fra&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;ron&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;por&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;ita&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;oci&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;arg&lt;&lt;&#x27;</span>, <span class="hljs-string">&#x27;&gt;&gt;min&lt;&lt;&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MarianMTModel.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>translated = model.generate(**tokenizer(src_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>[tokenizer.decode(t, skip_special_tokens=<span class="hljs-literal">True</span>) <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> translated]
[<span class="hljs-string">&quot;c&#x27;est une phrase en anglais que nous voulons traduire en fran\xE7ais&quot;</span>,
 <span class="hljs-string">&#x27;Isto deve ir para o portugu\xEAs.&#x27;</span>,
 <span class="hljs-string">&#x27;Y esto al espa\xF1ol&#x27;</span>]`}}),io=new Pe({props:{code:`from huggingface_hub import list_models

model_list = list_models()
org = "Helsinki-NLP"
model_ids = [x.modelId for x in model_list if x.modelId.startswith(org)]
suffix = [x.split("/")[1] for x in model_ids]
old_style_multi_models = [f"{org}/{s}" for s in suffix if s != s.lower()]`,highlighted:`<span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> list_models

model_list = list_models()
org = <span class="hljs-string">&quot;Helsinki-NLP&quot;</span>
model_ids = [x.modelId <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> model_list <span class="hljs-keyword">if</span> x.modelId.startswith(org)]
suffix = [x.split(<span class="hljs-string">&quot;/&quot;</span>)[<span class="hljs-number">1</span>] <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> model_ids]
old_style_multi_models = [<span class="hljs-string">f&quot;<span class="hljs-subst">{org}</span>/<span class="hljs-subst">{s}</span>&quot;</span> <span class="hljs-keyword">for</span> s <span class="hljs-keyword">in</span> suffix <span class="hljs-keyword">if</span> s != s.lower()]`}}),lo=new pe({}),co=new Pe({props:{code:`['Helsinki-NLP/opus-mt-NORTH_EU-NORTH_EU',
 'Helsinki-NLP/opus-mt-ROMANCE-en',
 'Helsinki-NLP/opus-mt-SCANDINAVIA-SCANDINAVIA',
 'Helsinki-NLP/opus-mt-de-ZH',
 'Helsinki-NLP/opus-mt-en-CELTIC',
 'Helsinki-NLP/opus-mt-en-ROMANCE',
 'Helsinki-NLP/opus-mt-es-NORWAY',
 'Helsinki-NLP/opus-mt-fi-NORWAY',
 'Helsinki-NLP/opus-mt-fi-ZH',
 'Helsinki-NLP/opus-mt-fi_nb_no_nn_ru_sv_en-SAMI',
 'Helsinki-NLP/opus-mt-sv-NORWAY',
 'Helsinki-NLP/opus-mt-sv-ZH']
GROUP_MEMBERS = {
 'ZH': ['cmn', 'cn', 'yue', 'ze_zh', 'zh_cn', 'zh_CN', 'zh_HK', 'zh_tw', 'zh_TW', 'zh_yue', 'zhs', 'zht', 'zh'],
 'ROMANCE': ['fr', 'fr_BE', 'fr_CA', 'fr_FR', 'wa', 'frp', 'oc', 'ca', 'rm', 'lld', 'fur', 'lij', 'lmo', 'es', 'es_AR', 'es_CL', 'es_CO', 'es_CR', 'es_DO', 'es_EC', 'es_ES', 'es_GT', 'es_HN', 'es_MX', 'es_NI', 'es_PA', 'es_PE', 'es_PR', 'es_SV', 'es_UY', 'es_VE', 'pt', 'pt_br', 'pt_BR', 'pt_PT', 'gl', 'lad', 'an', 'mwl', 'it', 'it_IT', 'co', 'nap', 'scn', 'vec', 'sc', 'ro', 'la'],
 'NORTH_EU': ['de', 'nl', 'fy', 'af', 'da', 'fo', 'is', 'no', 'nb', 'nn', 'sv'],
 'SCANDINAVIA': ['da', 'fo', 'is', 'no', 'nb', 'nn', 'sv'],
 'SAMI': ['se', 'sma', 'smj', 'smn', 'sms'],
 'NORWAY': ['nb_NO', 'nb', 'nn_NO', 'nn', 'nog', 'no_nb', 'no'],
 'CELTIC': ['ga', 'cy', 'br', 'gd', 'kw', 'gv']
}`,highlighted:`[<span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-NORTH_EU-NORTH_EU&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-ROMANCE-en&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-SCANDINAVIA-SCANDINAVIA&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-de-ZH&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-en-CELTIC&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-en-ROMANCE&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-es-NORWAY&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-fi-NORWAY&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-fi-ZH&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-fi_nb_no_nn_ru_sv_en-SAMI&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-sv-NORWAY&#x27;</span>,
 <span class="hljs-string">&#x27;Helsinki-NLP/opus-mt-sv-ZH&#x27;</span>]
GROUP_MEMBERS = {
 <span class="hljs-string">&#x27;ZH&#x27;</span>: [<span class="hljs-string">&#x27;cmn&#x27;</span>, <span class="hljs-string">&#x27;cn&#x27;</span>, <span class="hljs-string">&#x27;yue&#x27;</span>, <span class="hljs-string">&#x27;ze_zh&#x27;</span>, <span class="hljs-string">&#x27;zh_cn&#x27;</span>, <span class="hljs-string">&#x27;zh_CN&#x27;</span>, <span class="hljs-string">&#x27;zh_HK&#x27;</span>, <span class="hljs-string">&#x27;zh_tw&#x27;</span>, <span class="hljs-string">&#x27;zh_TW&#x27;</span>, <span class="hljs-string">&#x27;zh_yue&#x27;</span>, <span class="hljs-string">&#x27;zhs&#x27;</span>, <span class="hljs-string">&#x27;zht&#x27;</span>, <span class="hljs-string">&#x27;zh&#x27;</span>],
 <span class="hljs-string">&#x27;ROMANCE&#x27;</span>: [<span class="hljs-string">&#x27;fr&#x27;</span>, <span class="hljs-string">&#x27;fr_BE&#x27;</span>, <span class="hljs-string">&#x27;fr_CA&#x27;</span>, <span class="hljs-string">&#x27;fr_FR&#x27;</span>, <span class="hljs-string">&#x27;wa&#x27;</span>, <span class="hljs-string">&#x27;frp&#x27;</span>, <span class="hljs-string">&#x27;oc&#x27;</span>, <span class="hljs-string">&#x27;ca&#x27;</span>, <span class="hljs-string">&#x27;rm&#x27;</span>, <span class="hljs-string">&#x27;lld&#x27;</span>, <span class="hljs-string">&#x27;fur&#x27;</span>, <span class="hljs-string">&#x27;lij&#x27;</span>, <span class="hljs-string">&#x27;lmo&#x27;</span>, <span class="hljs-string">&#x27;es&#x27;</span>, <span class="hljs-string">&#x27;es_AR&#x27;</span>, <span class="hljs-string">&#x27;es_CL&#x27;</span>, <span class="hljs-string">&#x27;es_CO&#x27;</span>, <span class="hljs-string">&#x27;es_CR&#x27;</span>, <span class="hljs-string">&#x27;es_DO&#x27;</span>, <span class="hljs-string">&#x27;es_EC&#x27;</span>, <span class="hljs-string">&#x27;es_ES&#x27;</span>, <span class="hljs-string">&#x27;es_GT&#x27;</span>, <span class="hljs-string">&#x27;es_HN&#x27;</span>, <span class="hljs-string">&#x27;es_MX&#x27;</span>, <span class="hljs-string">&#x27;es_NI&#x27;</span>, <span class="hljs-string">&#x27;es_PA&#x27;</span>, <span class="hljs-string">&#x27;es_PE&#x27;</span>, <span class="hljs-string">&#x27;es_PR&#x27;</span>, <span class="hljs-string">&#x27;es_SV&#x27;</span>, <span class="hljs-string">&#x27;es_UY&#x27;</span>, <span class="hljs-string">&#x27;es_VE&#x27;</span>, <span class="hljs-string">&#x27;pt&#x27;</span>, <span class="hljs-string">&#x27;pt_br&#x27;</span>, <span class="hljs-string">&#x27;pt_BR&#x27;</span>, <span class="hljs-string">&#x27;pt_PT&#x27;</span>, <span class="hljs-string">&#x27;gl&#x27;</span>, <span class="hljs-string">&#x27;lad&#x27;</span>, <span class="hljs-string">&#x27;an&#x27;</span>, <span class="hljs-string">&#x27;mwl&#x27;</span>, <span class="hljs-string">&#x27;it&#x27;</span>, <span class="hljs-string">&#x27;it_IT&#x27;</span>, <span class="hljs-string">&#x27;co&#x27;</span>, <span class="hljs-string">&#x27;nap&#x27;</span>, <span class="hljs-string">&#x27;scn&#x27;</span>, <span class="hljs-string">&#x27;vec&#x27;</span>, <span class="hljs-string">&#x27;sc&#x27;</span>, <span class="hljs-string">&#x27;ro&#x27;</span>, <span class="hljs-string">&#x27;la&#x27;</span>],
 <span class="hljs-string">&#x27;NORTH_EU&#x27;</span>: [<span class="hljs-string">&#x27;de&#x27;</span>, <span class="hljs-string">&#x27;nl&#x27;</span>, <span class="hljs-string">&#x27;fy&#x27;</span>, <span class="hljs-string">&#x27;af&#x27;</span>, <span class="hljs-string">&#x27;da&#x27;</span>, <span class="hljs-string">&#x27;fo&#x27;</span>, <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;no&#x27;</span>, <span class="hljs-string">&#x27;nb&#x27;</span>, <span class="hljs-string">&#x27;nn&#x27;</span>, <span class="hljs-string">&#x27;sv&#x27;</span>],
 <span class="hljs-string">&#x27;SCANDINAVIA&#x27;</span>: [<span class="hljs-string">&#x27;da&#x27;</span>, <span class="hljs-string">&#x27;fo&#x27;</span>, <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;no&#x27;</span>, <span class="hljs-string">&#x27;nb&#x27;</span>, <span class="hljs-string">&#x27;nn&#x27;</span>, <span class="hljs-string">&#x27;sv&#x27;</span>],
 <span class="hljs-string">&#x27;SAMI&#x27;</span>: [<span class="hljs-string">&#x27;se&#x27;</span>, <span class="hljs-string">&#x27;sma&#x27;</span>, <span class="hljs-string">&#x27;smj&#x27;</span>, <span class="hljs-string">&#x27;smn&#x27;</span>, <span class="hljs-string">&#x27;sms&#x27;</span>],
 <span class="hljs-string">&#x27;NORWAY&#x27;</span>: [<span class="hljs-string">&#x27;nb_NO&#x27;</span>, <span class="hljs-string">&#x27;nb&#x27;</span>, <span class="hljs-string">&#x27;nn_NO&#x27;</span>, <span class="hljs-string">&#x27;nn&#x27;</span>, <span class="hljs-string">&#x27;nog&#x27;</span>, <span class="hljs-string">&#x27;no_nb&#x27;</span>, <span class="hljs-string">&#x27;no&#x27;</span>],
 <span class="hljs-string">&#x27;CELTIC&#x27;</span>: [<span class="hljs-string">&#x27;ga&#x27;</span>, <span class="hljs-string">&#x27;cy&#x27;</span>, <span class="hljs-string">&#x27;br&#x27;</span>, <span class="hljs-string">&#x27;gd&#x27;</span>, <span class="hljs-string">&#x27;kw&#x27;</span>, <span class="hljs-string">&#x27;gv&#x27;</span>]
}`}}),po=new Pe({props:{code:`from transformers import MarianMTModel, MarianTokenizer

src_text = [
    ">>fr<< this is a sentence in english that we want to translate to french",
    ">>pt<< This should go to portuguese",
    ">>es<< And this to Spanish",
]

model_name = "Helsinki-NLP/opus-mt-en-ROMANCE"
tokenizer = MarianTokenizer.from_pretrained(model_name)

model = MarianMTModel.from_pretrained(model_name)
translated = model.generate(**tokenizer(src_text, return_tensors="pt", padding=True))
tgt_text = [tokenizer.decode(t, skip_special_tokens=True) for t in translated]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MarianMTModel, MarianTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&gt;&gt;fr&lt;&lt; this is a sentence in english that we want to translate to french&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&gt;&gt;pt&lt;&lt; This should go to portuguese&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&gt;&gt;es&lt;&lt; And this to Spanish&quot;</span>,
<span class="hljs-meta">... </span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">&quot;Helsinki-NLP/opus-mt-en-ROMANCE&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MarianTokenizer.from_pretrained(model_name)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MarianMTModel.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>translated = model.generate(**tokenizer(src_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = [tokenizer.decode(t, skip_special_tokens=<span class="hljs-literal">True</span>) <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> translated]
[<span class="hljs-string">&quot;c&#x27;est une phrase en anglais que nous voulons traduire en fran\xE7ais&quot;</span>, 
 <span class="hljs-string">&#x27;Isto deve ir para o portugu\xEAs.&#x27;</span>,
 <span class="hljs-string">&#x27;Y esto al espa\xF1ol&#x27;</span>]`}}),ho=new pe({}),uo=new Z({props:{name:"class transformers.MarianConfig",anchor:"transformers.MarianConfig",parameters:[{name:"vocab_size",val:" = 58101"},{name:"decoder_vocab_size",val:" = None"},{name:"max_position_embeddings",val:" = 1024"},{name:"encoder_layers",val:" = 12"},{name:"encoder_ffn_dim",val:" = 4096"},{name:"encoder_attention_heads",val:" = 16"},{name:"decoder_layers",val:" = 12"},{name:"decoder_ffn_dim",val:" = 4096"},{name:"decoder_attention_heads",val:" = 16"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 1024"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"decoder_start_token_id",val:" = 58100"},{name:"scale_embedding",val:" = False"},{name:"pad_token_id",val:" = 58100"},{name:"eos_token_id",val:" = 0"},{name:"forced_eos_token_id",val:" = 0"},{name:"share_encoder_decoder_embeddings",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MarianConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 58101) &#x2014;
Vocabulary size of the Marian model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianModel">MarianModel</a> or <a href="/docs/transformers/main/en/model_doc/marian#transformers.TFMarianModel">TFMarianModel</a>.`,name:"vocab_size"},{anchor:"transformers.MarianConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.MarianConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.MarianConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.MarianConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.MarianConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.MarianConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.MarianConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.MarianConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.MarianConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.MarianConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.MarianConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.MarianConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.MarianConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.MarianConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.MarianConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.MarianConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.MarianConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models)`,name:"use_cache"},{anchor:"transformers.MarianConfig.forced_eos_token_id",description:`<strong>forced_eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The id of the token to force as the last generated token when <code>max_length</code> is reached. Usually set to
<code>eos_token_id</code>.`,name:"forced_eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/configuration_marian.py#L34"}}),nn=new Kt({props:{anchor:"transformers.MarianConfig.example",$$slots:{default:[Rm]},$$scope:{ctx:z}}}),fo=new pe({}),go=new Z({props:{name:"class transformers.MarianTokenizer",anchor:"transformers.MarianTokenizer",parameters:[{name:"source_spm",val:""},{name:"target_spm",val:""},{name:"vocab",val:""},{name:"target_vocab_file",val:" = None"},{name:"source_lang",val:" = None"},{name:"target_lang",val:" = None"},{name:"unk_token",val:" = '<unk>'"},{name:"eos_token",val:" = '</s>'"},{name:"pad_token",val:" = '<pad>'"},{name:"model_max_length",val:" = 512"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"separate_vocabs",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MarianTokenizer.source_spm",description:`<strong>source_spm</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a .spm extension) that
contains the vocabulary for the source language.`,name:"source_spm"},{anchor:"transformers.MarianTokenizer.target_spm",description:`<strong>target_spm</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a .spm extension) that
contains the vocabulary for the target language.`,name:"target_spm"},{anchor:"transformers.MarianTokenizer.source_lang",description:`<strong>source_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"source_lang"},{anchor:"transformers.MarianTokenizer.target_lang",description:`<strong>target_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"target_lang"},{anchor:"transformers.MarianTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MarianTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MarianTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MarianTokenizer.model_max_length",description:`<strong>model_max_length</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sentence length the model accepts.`,name:"model_max_length"},{anchor:"transformers.MarianTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;eop&gt;&quot;, &quot;&lt;eod&gt;&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.MarianTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/tokenization_marian.py#L61"}}),sn=new Kt({props:{anchor:"transformers.MarianTokenizer.example",$$slots:{default:[Wm]},$$scope:{ctx:z}}}),To=new Z({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MarianTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/tokenization_marian.py#L281"}}),bo=new pe({}),yo=new Z({props:{name:"class transformers.MarianModel",anchor:"transformers.MarianModel",parameters:[{name:"config",val:": MarianConfig"}],parametersDescription:[{anchor:"transformers.MarianModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig">MarianConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_marian.py#L1093"}}),$o=new Z({props:{name:"forward",anchor:"transformers.MarianModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple[torch.Tensor], transformers.modeling_outputs.BaseModelOutput, NoneType] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MarianModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MarianModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MarianModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Marian uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.MarianModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MarianModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MarianModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MarianModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MarianModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MarianModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.MarianModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.MarianModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MarianModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MarianModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MarianModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MarianModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_marian.py#L1177",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ln=new Bn({props:{$$slots:{default:[Vm]},$$scope:{ctx:z}}}),dn=new Kt({props:{anchor:"transformers.MarianModel.forward.example",$$slots:{default:[Km]},$$scope:{ctx:z}}}),zo=new pe({}),jo=new Z({props:{name:"class transformers.MarianMTModel",anchor:"transformers.MarianMTModel",parameters:[{name:"config",val:": MarianConfig"}],parametersDescription:[{anchor:"transformers.MarianMTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig">MarianConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_marian.py#L1279"}}),Po=new Z({props:{name:"forward",anchor:"transformers.MarianMTModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple[torch.Tensor], transformers.modeling_outputs.BaseModelOutput, NoneType] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MarianMTModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MarianMTModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MarianMTModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Marian uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.MarianMTModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MarianMTModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MarianMTModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MarianMTModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MarianMTModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MarianMTModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.MarianMTModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.MarianMTModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MarianMTModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MarianMTModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MarianMTModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MarianMTModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MarianMTModel.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_marian.py#L1406",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pn=new Bn({props:{$$slots:{default:[Gm]},$$scope:{ctx:z}}}),hn=new Kt({props:{anchor:"transformers.MarianMTModel.forward.example",$$slots:{default:[Jm]},$$scope:{ctx:z}}}),Co=new pe({}),Lo=new Z({props:{name:"class transformers.MarianForCausalLM",anchor:"transformers.MarianForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_marian.py#L1550"}}),Io=new Z({props:{name:"forward",anchor:"transformers.MarianForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MarianForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MarianForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MarianForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.MarianForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.MarianForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MarianForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MarianForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.MarianForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.MarianForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.MarianForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MarianForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.MarianForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_marian.py#L1583",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fn=new Kt({props:{anchor:"transformers.MarianForCausalLM.forward.example",$$slots:{default:[Ym]},$$scope:{ctx:z}}}),Oo=new pe({}),So=new Z({props:{name:"class transformers.TFMarianModel",anchor:"transformers.TFMarianModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMarianModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig">MarianConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_tf_marian.py#L1202"}}),_n=new Bn({props:{$$slots:{default:[Zm]},$$scope:{ctx:z}}}),Uo=new Z({props:{name:"call",anchor:"transformers.TFMarianModel.call",parameters:[{name:"input_ids",val:" = None"},{name:"attention_mask",val:" = None"},{name:"decoder_input_ids",val:" = None"},{name:"decoder_attention_mask",val:" = None"},{name:"decoder_position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"decoder_head_mask",val:" = None"},{name:"cross_attn_head_mask",val:" = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple, transformers.modeling_tf_outputs.TFBaseModelOutput, NoneType] = None"},{name:"past_key_values",val:" = None"},{name:"inputs_embeds",val:" = None"},{name:"decoder_inputs_embeds",val:" = None"},{name:"use_cache",val:" = None"},{name:"output_attentions",val:" = None"},{name:"output_hidden_states",val:" = None"},{name:"return_dict",val:" = None"},{name:"training",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMarianModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMarianModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMarianModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Marian uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFMarianModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMarianModel.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMarianModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMarianModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMarianModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMarianModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMarianModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMarianModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMarianModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMarianModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMarianModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMarianModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_tf_marian.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),kn=new Bn({props:{$$slots:{default:[Xm]},$$scope:{ctx:z}}}),vn=new Kt({props:{anchor:"transformers.TFMarianModel.call.example",$$slots:{default:[Qm]},$$scope:{ctx:z}}}),Ro=new pe({}),Wo=new Z({props:{name:"class transformers.TFMarianMTModel",anchor:"transformers.TFMarianMTModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMarianMTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig">MarianConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_tf_marian.py#L1307"}}),bn=new Bn({props:{$$slots:{default:[ef]},$$scope:{ctx:z}}}),Jo=new Z({props:{name:"call",anchor:"transformers.TFMarianMTModel.call",parameters:[{name:"input_ids",val:" = None"},{name:"attention_mask",val:" = None"},{name:"decoder_input_ids",val:" = None"},{name:"decoder_attention_mask",val:" = None"},{name:"decoder_position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"decoder_head_mask",val:" = None"},{name:"cross_attn_head_mask",val:" = None"},{name:"encoder_outputs",val:": typing.Optional[transformers.modeling_tf_outputs.TFBaseModelOutput] = None"},{name:"past_key_values",val:" = None"},{name:"inputs_embeds",val:" = None"},{name:"decoder_inputs_embeds",val:" = None"},{name:"use_cache",val:" = None"},{name:"output_attentions",val:" = None"},{name:"output_hidden_states",val:" = None"},{name:"return_dict",val:" = None"},{name:"labels",val:" = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFMarianMTModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMarianMTModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMarianMTModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Marian uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFMarianMTModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMarianMTModel.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMarianMTModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMarianMTModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMarianMTModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMarianMTModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMarianMTModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMarianMTModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMarianMTModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMarianMTModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMarianMTModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMarianMTModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFMarianMTModel.call.labels",description:`<strong>labels</strong> (<code>tf.tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_tf_marian.py#L1345",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),yn=new Bn({props:{$$slots:{default:[tf]},$$scope:{ctx:z}}}),Mn=new Kt({props:{anchor:"transformers.TFMarianMTModel.call.example",$$slots:{default:[nf]},$$scope:{ctx:z}}}),Xo=new pe({}),Qo=new Z({props:{name:"class transformers.FlaxMarianModel",anchor:"transformers.FlaxMarianModel",parameters:[{name:"config",val:": MarianConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMarianModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig">MarianConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMarianModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_flax_marian.py#L1205"}}),is=new Z({props:{name:"__call__",anchor:"transformers.FlaxMarianModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMarianModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMarianModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMarianModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMarianModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMarianModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMarianModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMarianModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMarianModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMarianModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_flax_marian.py#L1140",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),wn=new Bn({props:{$$slots:{default:[of]},$$scope:{ctx:z}}}),$n=new Kt({props:{anchor:"transformers.FlaxMarianModel.__call__.example",$$slots:{default:[sf]},$$scope:{ctx:z}}}),ls=new pe({}),ds=new Z({props:{name:"class transformers.FlaxMarianMTModel",anchor:"transformers.FlaxMarianMTModel",parameters:[{name:"config",val:": MarianConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMarianMTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig">MarianConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMarianMTModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_flax_marian.py#L1289"}}),_s=new Z({props:{name:"__call__",anchor:"transformers.FlaxMarianMTModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMarianMTModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMarianMTModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMarianMTModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMarianMTModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMarianMTModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMarianMTModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMarianMTModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMarianMTModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMarianMTModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/marian/modeling_flax_marian.py#L1140",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/marian#transformers.MarianConfig"
>MarianConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),jn=new Bn({props:{$$slots:{default:[af]},$$scope:{ctx:z}}}),En=new Kt({props:{anchor:"transformers.FlaxMarianMTModel.__call__.example",$$slots:{default:[rf]},$$scope:{ctx:z}}}),{c(){h=o("meta"),v=c(),_=o("h1"),g=o("a"),k=o("span"),b(l.$$.fragment),u=c(),E=o("span"),Ke=r("MarianMT"),Ne=c(),I=o("div"),he=o("a"),X=o("img"),Ge=c(),D=o("a"),ue=o("img"),Q=c(),B=o("p"),_e=o("strong"),oe=r("Bugs:"),Je=r(" If you see something strange, file a "),se=o("a"),ae=r("Github Issue"),Ye=r(`
and assign @patrickvonplaten.`),Ae=c(),H=o("p"),Ze=r("Translations should be similar, but not identical to output in the test set linked to in each model card."),Ce=c(),ee=o("p"),N=r("Tips:"),L=c(),me=o("ul"),U=o("li"),Xe=r("A framework for translation models, using the same models as BART."),Le=c(),O=o("h2"),te=o("a"),ke=o("span"),b(A.$$.fragment),Qe=c(),R=o("span"),et=r("Implementation Notes"),Ie=c(),F=o("ul"),ve=o("li"),Te=o("p"),W=r("Each model is about 298 MB on disk, there are more than 1,000 models."),tt=c(),V=o("li"),re=o("p"),be=r("The list of supported language pairs can be found "),C=o("a"),nt=r("here"),S=r("."),ot=c(),ye=o("li"),T=o("p"),q=r("Models were originally trained by "),Me=o("a"),xe=r("J\xF6rg Tiedemann"),gt=r(" using the "),we=o("a"),P=r("Marian"),_t=r(" C++ library, which supports fast training and translation."),kt=c(),st=o("li"),at=o("p"),vt=r(`All models are transformer encoder-decoders with 6 layers in each component. Each model\u2019s performance is documented
in a model card.`),K=c(),G=o("li"),rt=o("p"),Tt=r("The 80 opus models that require BPE preprocessing are not supported."),ie=c(),$e=o("li"),ze=o("p"),it=r("The modeling code is the same as "),Oe=o("a"),je=r("BartForConditionalGeneration"),bt=r(" with a few minor modifications:"),Ui=c(),yt=o("ul"),Un=o("li"),Ri=r("static (sinusoid) positional embeddings ("),Zs=o("code"),Wi=r("MarianConfig.static_position_embeddings=True"),Vi=r(")"),Ki=c(),Rn=o("li"),Gi=r("no layernorm_embedding ("),Xs=o("code"),Ji=r("MarianConfig.normalize_embedding=False"),Yi=r(")"),Zi=c(),Mt=o("li"),Xi=r("the model starts generating with "),Qs=o("code"),Qi=r("pad_token_id"),el=r(` (which has 0 as a token_embedding) as the prefix (Bart uses
`),ea=o("code"),tl=r("<s/>"),nl=r("),"),ol=c(),ta=o("li"),Wn=o("p"),sl=r("Code to bulk convert models can be found in "),na=o("code"),al=r("convert_marian_to_pytorch.py"),rl=r("."),il=c(),oa=o("li"),Vn=o("p"),ll=r("This model was contributed by "),Kn=o("a"),dl=r("sshleifer"),cl=r("."),_r=c(),xt=o("h2"),Jt=o("a"),sa=o("span"),b(Gn.$$.fragment),pl=c(),aa=o("span"),hl=r("Naming"),kr=c(),Se=o("ul"),bs=o("li"),ul=r("All model names use the following format: "),ra=o("code"),ml=r("Helsinki-NLP/opus-mt-{src}-{tgt}"),fl=c(),Jn=o("li"),gl=r("The language codes used to name models are inconsistent. Two digit codes can usually be found "),Yn=o("a"),_l=r("here"),kl=r(`, three digit codes require googling \u201Clanguage
code {code}\u201C.`),vl=c(),wt=o("li"),Tl=r("Codes formatted like "),ia=o("code"),bl=r("es_AR"),yl=r(" are usually "),la=o("code"),Ml=r("code_{region}"),xl=r(". That one is Spanish from Argentina."),wl=c(),da=o("li"),$l=r(`The models were converted in two stages. The first 1000 models use ISO-639-2 codes to identify languages, the second
group use a combination of ISO-639-5 codes and ISO-639-2 codes.`),vr=c(),$t=o("h2"),Yt=o("a"),ca=o("span"),b(Zn.$$.fragment),zl=c(),pa=o("span"),jl=r("Examples"),Tr=c(),Zt=o("ul"),ha=o("li"),El=r(`Since Marian models are smaller than many other translation models available in the library, they can be useful for
fine-tuning experiments and integration tests.`),ql=c(),ua=o("li"),Xn=o("a"),Fl=r("Fine-tune on GPU"),br=c(),zt=o("h2"),Xt=o("a"),ma=o("span"),b(Qn.$$.fragment),Pl=c(),fa=o("span"),Nl=r("Multilingual Models"),yr=c(),De=o("ul"),eo=o("li"),Al=r("All model names use the following format: "),ga=o("code"),Cl=r("Helsinki-NLP/opus-mt-{src}-{tgt}"),Ll=r(":"),Il=c(),to=o("li"),Ol=r(`If a model can output multiple languages, and you should specify a language code by prepending the desired output
language to the `),_a=o("code"),Sl=r("src_text"),Dl=r("."),Hl=c(),no=o("li"),Bl=r("You can see a models\u2019s supported language codes in its model card, under target constituents, like in "),oo=o("a"),Ul=r("opus-mt-en-roa"),Rl=r("."),Wl=c(),so=o("li"),Vl=r("Note that if a model is only multilingual on the source side, like "),ka=o("code"),Kl=r("Helsinki-NLP/opus-mt-roa-en"),Gl=r(`, no language
codes are required.`),Mr=c(),Qt=o("p"),Jl=r("New multi-lingual models from the "),ao=o("a"),Yl=r("Tatoeba-Challenge repo"),Zl=r(`
require 3 character language codes:`),xr=c(),b(ro.$$.fragment),wr=c(),ys=o("p"),Xl=r("Here is the code to see all available pretrained models on the hub:"),$r=c(),b(io.$$.fragment),zr=c(),jt=o("h2"),en=o("a"),va=o("span"),b(lo.$$.fragment),Ql=c(),Ta=o("span"),ed=r("Old Style Multi-Lingual Models"),jr=c(),Ms=o("p"),td=r(`These are the old style multi-lingual models ported from the OPUS-MT-Train repo: and the members of each language
group:`),Er=c(),b(co.$$.fragment),qr=c(),xs=o("p"),nd=r("Example of translating english to many romance languages, using old-style 2 character language codes"),Fr=c(),b(po.$$.fragment),Pr=c(),Et=o("h2"),tn=o("a"),ba=o("span"),b(ho.$$.fragment),od=c(),ya=o("span"),sd=r("MarianConfig"),Nr=c(),Ee=o("div"),b(uo.$$.fragment),ad=c(),qt=o("p"),rd=r("This is the configuration class to store the configuration of a "),ws=o("a"),id=r("MarianModel"),ld=r(`. It is used to instantiate an
Marian model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Marian
`),mo=o("a"),dd=r("Helsinki-NLP/opus-mt-en-de"),cd=r(" architecture."),pd=c(),Ft=o("p"),hd=r("Configuration objects inherit from "),$s=o("a"),ud=r("PretrainedConfig"),md=r(` and can be used to control the model outputs. Read the
documentation from `),zs=o("a"),fd=r("PretrainedConfig"),gd=r(" for more information."),_d=c(),b(nn.$$.fragment),Ar=c(),Pt=o("h2"),on=o("a"),Ma=o("span"),b(fo.$$.fragment),kd=c(),xa=o("span"),vd=r("MarianTokenizer"),Cr=c(),le=o("div"),b(go.$$.fragment),Td=c(),_o=o("p"),bd=r("Construct a Marian tokenizer. Based on "),ko=o("a"),yd=r("SentencePiece"),Md=r("."),xd=c(),vo=o("p"),wd=r("This tokenizer inherits from "),js=o("a"),$d=r("PreTrainedTokenizer"),zd=r(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),jd=c(),b(sn.$$.fragment),Ed=c(),an=o("div"),b(To.$$.fragment),qd=c(),wa=o("p"),Fd=r("Build model inputs from a sequence by appending eos_token_id."),Lr=c(),Nt=o("h2"),rn=o("a"),$a=o("span"),b(bo.$$.fragment),Pd=c(),za=o("span"),Nd=r("MarianModel"),Ir=c(),qe=o("div"),b(yo.$$.fragment),Ad=c(),Mo=o("p"),Cd=r(`The bare Marian Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Es=o("a"),Ld=r("PreTrainedModel"),Id=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Od=c(),xo=o("p"),Sd=r("This model is also a PyTorch "),wo=o("a"),Dd=r("torch.nn.Module"),Hd=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Bd=c(),He=o("div"),b($o.$$.fragment),Ud=c(),At=o("p"),Rd=r("The "),qs=o("a"),Wd=r("MarianModel"),Vd=r(" forward method, overrides the "),ja=o("code"),Kd=r("__call__"),Gd=r(" special method."),Jd=c(),b(ln.$$.fragment),Yd=c(),b(dn.$$.fragment),Or=c(),Ct=o("h2"),cn=o("a"),Ea=o("span"),b(zo.$$.fragment),Zd=c(),qa=o("span"),Xd=r("MarianMTModel"),Sr=c(),Fe=o("div"),b(jo.$$.fragment),Qd=c(),Eo=o("p"),ec=r(`The Marian Model with a language modeling head. Can be used for summarization.
This model inherits from `),Fs=o("a"),tc=r("PreTrainedModel"),nc=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),oc=c(),qo=o("p"),sc=r("This model is also a PyTorch "),Fo=o("a"),ac=r("torch.nn.Module"),rc=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ic=c(),fe=o("div"),b(Po.$$.fragment),lc=c(),Lt=o("p"),dc=r("The "),Ps=o("a"),cc=r("MarianMTModel"),pc=r(" forward method, overrides the "),Fa=o("code"),hc=r("__call__"),uc=r(" special method."),mc=c(),b(pn.$$.fragment),fc=c(),No=o("p"),gc=r(`Pytorch version of marian-nmt\u2019s transformer.h (c++). Designed for the OPUS-NMT translation checkpoints. Available
models are listed `),Ao=o("a"),_c=r("here"),kc=r("."),vc=c(),b(hn.$$.fragment),Dr=c(),It=o("h2"),un=o("a"),Pa=o("span"),b(Co.$$.fragment),Tc=c(),Na=o("span"),bc=r("MarianForCausalLM"),Hr=c(),Ot=o("div"),b(Lo.$$.fragment),yc=c(),mn=o("div"),b(Io.$$.fragment),Mc=c(),b(fn.$$.fragment),Br=c(),St=o("h2"),gn=o("a"),Aa=o("span"),b(Oo.$$.fragment),xc=c(),Ca=o("span"),wc=r("TFMarianModel"),Ur=c(),de=o("div"),b(So.$$.fragment),$c=c(),Do=o("p"),zc=r(`The bare MARIAN Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Ns=o("a"),jc=r("TFPreTrainedModel"),Ec=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qc=c(),Ho=o("p"),Fc=r("This model is also a "),Bo=o("a"),Pc=r("tf.keras.Model"),Nc=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ac=c(),b(_n.$$.fragment),Cc=c(),Be=o("div"),b(Uo.$$.fragment),Lc=c(),Dt=o("p"),Ic=r("The "),As=o("a"),Oc=r("TFMarianModel"),Sc=r(" forward method, overrides the "),La=o("code"),Dc=r("__call__"),Hc=r(" special method."),Bc=c(),b(kn.$$.fragment),Uc=c(),b(vn.$$.fragment),Rr=c(),Ht=o("h2"),Tn=o("a"),Ia=o("span"),b(Ro.$$.fragment),Rc=c(),Oa=o("span"),Wc=r("TFMarianMTModel"),Wr=c(),ce=o("div"),b(Wo.$$.fragment),Vc=c(),Vo=o("p"),Kc=r(`The MARIAN Model with a language modeling head. Can be used for summarization.
This model inherits from `),Cs=o("a"),Gc=r("TFPreTrainedModel"),Jc=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yc=c(),Ko=o("p"),Zc=r("This model is also a "),Go=o("a"),Xc=r("tf.keras.Model"),Qc=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ep=c(),b(bn.$$.fragment),tp=c(),ge=o("div"),b(Jo.$$.fragment),np=c(),Bt=o("p"),op=r("The "),Ls=o("a"),sp=r("TFMarianMTModel"),ap=r(" forward method, overrides the "),Sa=o("code"),rp=r("__call__"),ip=r(" special method."),lp=c(),b(yn.$$.fragment),dp=c(),Yo=o("p"),cp=r(`TF version of marian-nmt\u2019s transformer.h (c++). Designed for the OPUS-NMT translation checkpoints. Available
models are listed `),Zo=o("a"),pp=r("here"),hp=r("."),up=c(),b(Mn.$$.fragment),Vr=c(),Ut=o("h2"),xn=o("a"),Da=o("span"),b(Xo.$$.fragment),mp=c(),Ha=o("span"),fp=r("FlaxMarianModel"),Kr=c(),J=o("div"),b(Qo.$$.fragment),gp=c(),es=o("p"),_p=r(`The bare Marian Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),Is=o("a"),kp=r("FlaxPreTrainedModel"),vp=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tp=c(),ts=o("p"),bp=r(`This model is also a Flax Linen
`),ns=o("a"),yp=r("flax.nn.Module"),Mp=r(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),xp=c(),Ba=o("p"),wp=r("Finally, this model supports inherent JAX features such as:"),$p=c(),lt=o("ul"),Ua=o("li"),os=o("a"),zp=r("Just-In-Time (JIT) compilation"),jp=c(),Ra=o("li"),ss=o("a"),Ep=r("Automatic Differentiation"),qp=c(),Wa=o("li"),as=o("a"),Fp=r("Vectorization"),Pp=c(),Va=o("li"),rs=o("a"),Np=r("Parallelization"),Ap=c(),Ue=o("div"),b(is.$$.fragment),Cp=c(),Rt=o("p"),Lp=r("The "),Ka=o("code"),Ip=r("FlaxMarianPreTrainedModel"),Op=r(" forward method, overrides the "),Ga=o("code"),Sp=r("__call__"),Dp=r(" special method."),Hp=c(),b(wn.$$.fragment),Bp=c(),b($n.$$.fragment),Gr=c(),Wt=o("h2"),zn=o("a"),Ja=o("span"),b(ls.$$.fragment),Up=c(),Ya=o("span"),Rp=r("FlaxMarianMTModel"),Jr=c(),Y=o("div"),b(ds.$$.fragment),Wp=c(),cs=o("p"),Vp=r(`The MARIAN Model with a language modeling head. Can be used for translation.
This model inherits from `),Os=o("a"),Kp=r("FlaxPreTrainedModel"),Gp=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jp=c(),ps=o("p"),Yp=r(`This model is also a Flax Linen
`),hs=o("a"),Zp=r("flax.nn.Module"),Xp=r(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Qp=c(),Za=o("p"),eh=r("Finally, this model supports inherent JAX features such as:"),th=c(),dt=o("ul"),Xa=o("li"),us=o("a"),nh=r("Just-In-Time (JIT) compilation"),oh=c(),Qa=o("li"),ms=o("a"),sh=r("Automatic Differentiation"),ah=c(),er=o("li"),fs=o("a"),rh=r("Vectorization"),ih=c(),tr=o("li"),gs=o("a"),lh=r("Parallelization"),dh=c(),Re=o("div"),b(_s.$$.fragment),ch=c(),Vt=o("p"),ph=r("The "),nr=o("code"),hh=r("FlaxMarianPreTrainedModel"),uh=r(" forward method, overrides the "),or=o("code"),mh=r("__call__"),fh=r(" special method."),gh=c(),b(jn.$$.fragment),_h=c(),b(En.$$.fragment),this.h()},l(n){const m=Bm('[data-svelte="svelte-1phssyn"]',document.head);h=s(m,"META",{name:!0,content:!0}),m.forEach(t),v=p(n),_=s(n,"H1",{class:!0});var ks=a(_);g=s(ks,"A",{id:!0,class:!0,href:!0});var sr=a(g);k=s(sr,"SPAN",{});var ar=a(k);y(l.$$.fragment,ar),ar.forEach(t),sr.forEach(t),u=p(ks),E=s(ks,"SPAN",{});var rr=a(E);Ke=i(rr,"MarianMT"),rr.forEach(t),ks.forEach(t),Ne=p(n),I=s(n,"DIV",{class:!0});var vs=a(I);he=s(vs,"A",{href:!0});var ir=a(he);X=s(ir,"IMG",{alt:!0,src:!0}),ir.forEach(t),Ge=p(vs),D=s(vs,"A",{href:!0});var lr=a(D);ue=s(lr,"IMG",{alt:!0,src:!0}),lr.forEach(t),vs.forEach(t),Q=p(n),B=s(n,"P",{});var qn=a(B);_e=s(qn,"STRONG",{});var dr=a(_e);oe=i(dr,"Bugs:"),dr.forEach(t),Je=i(qn," If you see something strange, file a "),se=s(qn,"A",{href:!0,rel:!0});var cr=a(se);ae=i(cr,"Github Issue"),cr.forEach(t),Ye=i(qn,`
and assign @patrickvonplaten.`),qn.forEach(t),Ae=p(n),H=s(n,"P",{});var pr=a(H);Ze=i(pr,"Translations should be similar, but not identical to output in the test set linked to in each model card."),pr.forEach(t),Ce=p(n),ee=s(n,"P",{});var hr=a(ee);N=i(hr,"Tips:"),hr.forEach(t),L=p(n),me=s(n,"UL",{});var ur=a(me);U=s(ur,"LI",{});var mr=a(U);Xe=i(mr,"A framework for translation models, using the same models as BART."),mr.forEach(t),ur.forEach(t),Le=p(n),O=s(n,"H2",{class:!0});var Ts=a(O);te=s(Ts,"A",{id:!0,class:!0,href:!0});var fr=a(te);ke=s(fr,"SPAN",{});var gr=a(ke);y(A.$$.fragment,gr),gr.forEach(t),fr.forEach(t),Qe=p(Ts),R=s(Ts,"SPAN",{});var vh=a(R);et=i(vh,"Implementation Notes"),vh.forEach(t),Ts.forEach(t),Ie=p(n),F=s(n,"UL",{});var ne=a(F);ve=s(ne,"LI",{});var Th=a(ve);Te=s(Th,"P",{});var bh=a(Te);W=i(bh,"Each model is about 298 MB on disk, there are more than 1,000 models."),bh.forEach(t),Th.forEach(t),tt=p(ne),V=s(ne,"LI",{});var yh=a(V);re=s(yh,"P",{});var Zr=a(re);be=i(Zr,"The list of supported language pairs can be found "),C=s(Zr,"A",{href:!0,rel:!0});var Mh=a(C);nt=i(Mh,"here"),Mh.forEach(t),S=i(Zr,"."),Zr.forEach(t),yh.forEach(t),ot=p(ne),ye=s(ne,"LI",{});var xh=a(ye);T=s(xh,"P",{});var Ss=a(T);q=i(Ss,"Models were originally trained by "),Me=s(Ss,"A",{href:!0,rel:!0});var wh=a(Me);xe=i(wh,"J\xF6rg Tiedemann"),wh.forEach(t),gt=i(Ss," using the "),we=s(Ss,"A",{href:!0,rel:!0});var $h=a(we);P=i($h,"Marian"),$h.forEach(t),_t=i(Ss," C++ library, which supports fast training and translation."),Ss.forEach(t),xh.forEach(t),kt=p(ne),st=s(ne,"LI",{});var zh=a(st);at=s(zh,"P",{});var jh=a(at);vt=i(jh,`All models are transformer encoder-decoders with 6 layers in each component. Each model\u2019s performance is documented
in a model card.`),jh.forEach(t),zh.forEach(t),K=p(ne),G=s(ne,"LI",{});var Eh=a(G);rt=s(Eh,"P",{});var qh=a(rt);Tt=i(qh,"The 80 opus models that require BPE preprocessing are not supported."),qh.forEach(t),Eh.forEach(t),ie=p(ne),$e=s(ne,"LI",{});var Xr=a($e);ze=s(Xr,"P",{});var Qr=a(ze);it=i(Qr,"The modeling code is the same as "),Oe=s(Qr,"A",{href:!0});var Fh=a(Oe);je=i(Fh,"BartForConditionalGeneration"),Fh.forEach(t),bt=i(Qr," with a few minor modifications:"),Qr.forEach(t),Ui=p(Xr),yt=s(Xr,"UL",{});var Ds=a(yt);Un=s(Ds,"LI",{});var ei=a(Un);Ri=i(ei,"static (sinusoid) positional embeddings ("),Zs=s(ei,"CODE",{});var Ph=a(Zs);Wi=i(Ph,"MarianConfig.static_position_embeddings=True"),Ph.forEach(t),Vi=i(ei,")"),ei.forEach(t),Ki=p(Ds),Rn=s(Ds,"LI",{});var ti=a(Rn);Gi=i(ti,"no layernorm_embedding ("),Xs=s(ti,"CODE",{});var Nh=a(Xs);Ji=i(Nh,"MarianConfig.normalize_embedding=False"),Nh.forEach(t),Yi=i(ti,")"),ti.forEach(t),Zi=p(Ds),Mt=s(Ds,"LI",{});var Hs=a(Mt);Xi=i(Hs,"the model starts generating with "),Qs=s(Hs,"CODE",{});var Ah=a(Qs);Qi=i(Ah,"pad_token_id"),Ah.forEach(t),el=i(Hs,` (which has 0 as a token_embedding) as the prefix (Bart uses
`),ea=s(Hs,"CODE",{});var Ch=a(ea);tl=i(Ch,"<s/>"),Ch.forEach(t),nl=i(Hs,"),"),Hs.forEach(t),Ds.forEach(t),Xr.forEach(t),ol=p(ne),ta=s(ne,"LI",{});var Lh=a(ta);Wn=s(Lh,"P",{});var ni=a(Wn);sl=i(ni,"Code to bulk convert models can be found in "),na=s(ni,"CODE",{});var Ih=a(na);al=i(Ih,"convert_marian_to_pytorch.py"),Ih.forEach(t),rl=i(ni,"."),ni.forEach(t),Lh.forEach(t),il=p(ne),oa=s(ne,"LI",{});var Oh=a(oa);Vn=s(Oh,"P",{});var oi=a(Vn);ll=i(oi,"This model was contributed by "),Kn=s(oi,"A",{href:!0,rel:!0});var Sh=a(Kn);dl=i(Sh,"sshleifer"),Sh.forEach(t),cl=i(oi,"."),oi.forEach(t),Oh.forEach(t),ne.forEach(t),_r=p(n),xt=s(n,"H2",{class:!0});var si=a(xt);Jt=s(si,"A",{id:!0,class:!0,href:!0});var Dh=a(Jt);sa=s(Dh,"SPAN",{});var Hh=a(sa);y(Gn.$$.fragment,Hh),Hh.forEach(t),Dh.forEach(t),pl=p(si),aa=s(si,"SPAN",{});var Bh=a(aa);hl=i(Bh,"Naming"),Bh.forEach(t),si.forEach(t),kr=p(n),Se=s(n,"UL",{});var Fn=a(Se);bs=s(Fn,"LI",{});var kh=a(bs);ul=i(kh,"All model names use the following format: "),ra=s(kh,"CODE",{});var Uh=a(ra);ml=i(Uh,"Helsinki-NLP/opus-mt-{src}-{tgt}"),Uh.forEach(t),kh.forEach(t),fl=p(Fn),Jn=s(Fn,"LI",{});var ai=a(Jn);gl=i(ai,"The language codes used to name models are inconsistent. Two digit codes can usually be found "),Yn=s(ai,"A",{href:!0,rel:!0});var Rh=a(Yn);_l=i(Rh,"here"),Rh.forEach(t),kl=i(ai,`, three digit codes require googling \u201Clanguage
code {code}\u201C.`),ai.forEach(t),vl=p(Fn),wt=s(Fn,"LI",{});var Bs=a(wt);Tl=i(Bs,"Codes formatted like "),ia=s(Bs,"CODE",{});var Wh=a(ia);bl=i(Wh,"es_AR"),Wh.forEach(t),yl=i(Bs," are usually "),la=s(Bs,"CODE",{});var Vh=a(la);Ml=i(Vh,"code_{region}"),Vh.forEach(t),xl=i(Bs,". That one is Spanish from Argentina."),Bs.forEach(t),wl=p(Fn),da=s(Fn,"LI",{});var Kh=a(da);$l=i(Kh,`The models were converted in two stages. The first 1000 models use ISO-639-2 codes to identify languages, the second
group use a combination of ISO-639-5 codes and ISO-639-2 codes.`),Kh.forEach(t),Fn.forEach(t),vr=p(n),$t=s(n,"H2",{class:!0});var ri=a($t);Yt=s(ri,"A",{id:!0,class:!0,href:!0});var Gh=a(Yt);ca=s(Gh,"SPAN",{});var Jh=a(ca);y(Zn.$$.fragment,Jh),Jh.forEach(t),Gh.forEach(t),zl=p(ri),pa=s(ri,"SPAN",{});var Yh=a(pa);jl=i(Yh,"Examples"),Yh.forEach(t),ri.forEach(t),Tr=p(n),Zt=s(n,"UL",{});var ii=a(Zt);ha=s(ii,"LI",{});var Zh=a(ha);El=i(Zh,`Since Marian models are smaller than many other translation models available in the library, they can be useful for
fine-tuning experiments and integration tests.`),Zh.forEach(t),ql=p(ii),ua=s(ii,"LI",{});var Xh=a(ua);Xn=s(Xh,"A",{href:!0,rel:!0});var Qh=a(Xn);Fl=i(Qh,"Fine-tune on GPU"),Qh.forEach(t),Xh.forEach(t),ii.forEach(t),br=p(n),zt=s(n,"H2",{class:!0});var li=a(zt);Xt=s(li,"A",{id:!0,class:!0,href:!0});var eu=a(Xt);ma=s(eu,"SPAN",{});var tu=a(ma);y(Qn.$$.fragment,tu),tu.forEach(t),eu.forEach(t),Pl=p(li),fa=s(li,"SPAN",{});var nu=a(fa);Nl=i(nu,"Multilingual Models"),nu.forEach(t),li.forEach(t),yr=p(n),De=s(n,"UL",{});var Pn=a(De);eo=s(Pn,"LI",{});var di=a(eo);Al=i(di,"All model names use the following format: "),ga=s(di,"CODE",{});var ou=a(ga);Cl=i(ou,"Helsinki-NLP/opus-mt-{src}-{tgt}"),ou.forEach(t),Ll=i(di,":"),di.forEach(t),Il=p(Pn),to=s(Pn,"LI",{});var ci=a(to);Ol=i(ci,`If a model can output multiple languages, and you should specify a language code by prepending the desired output
language to the `),_a=s(ci,"CODE",{});var su=a(_a);Sl=i(su,"src_text"),su.forEach(t),Dl=i(ci,"."),ci.forEach(t),Hl=p(Pn),no=s(Pn,"LI",{});var pi=a(no);Bl=i(pi,"You can see a models\u2019s supported language codes in its model card, under target constituents, like in "),oo=s(pi,"A",{href:!0,rel:!0});var au=a(oo);Ul=i(au,"opus-mt-en-roa"),au.forEach(t),Rl=i(pi,"."),pi.forEach(t),Wl=p(Pn),so=s(Pn,"LI",{});var hi=a(so);Vl=i(hi,"Note that if a model is only multilingual on the source side, like "),ka=s(hi,"CODE",{});var ru=a(ka);Kl=i(ru,"Helsinki-NLP/opus-mt-roa-en"),ru.forEach(t),Gl=i(hi,`, no language
codes are required.`),hi.forEach(t),Pn.forEach(t),Mr=p(n),Qt=s(n,"P",{});var ui=a(Qt);Jl=i(ui,"New multi-lingual models from the "),ao=s(ui,"A",{href:!0,rel:!0});var iu=a(ao);Yl=i(iu,"Tatoeba-Challenge repo"),iu.forEach(t),Zl=i(ui,`
require 3 character language codes:`),ui.forEach(t),xr=p(n),y(ro.$$.fragment,n),wr=p(n),ys=s(n,"P",{});var lu=a(ys);Xl=i(lu,"Here is the code to see all available pretrained models on the hub:"),lu.forEach(t),$r=p(n),y(io.$$.fragment,n),zr=p(n),jt=s(n,"H2",{class:!0});var mi=a(jt);en=s(mi,"A",{id:!0,class:!0,href:!0});var du=a(en);va=s(du,"SPAN",{});var cu=a(va);y(lo.$$.fragment,cu),cu.forEach(t),du.forEach(t),Ql=p(mi),Ta=s(mi,"SPAN",{});var pu=a(Ta);ed=i(pu,"Old Style Multi-Lingual Models"),pu.forEach(t),mi.forEach(t),jr=p(n),Ms=s(n,"P",{});var hu=a(Ms);td=i(hu,`These are the old style multi-lingual models ported from the OPUS-MT-Train repo: and the members of each language
group:`),hu.forEach(t),Er=p(n),y(co.$$.fragment,n),qr=p(n),xs=s(n,"P",{});var uu=a(xs);nd=i(uu,"Example of translating english to many romance languages, using old-style 2 character language codes"),uu.forEach(t),Fr=p(n),y(po.$$.fragment,n),Pr=p(n),Et=s(n,"H2",{class:!0});var fi=a(Et);tn=s(fi,"A",{id:!0,class:!0,href:!0});var mu=a(tn);ba=s(mu,"SPAN",{});var fu=a(ba);y(ho.$$.fragment,fu),fu.forEach(t),mu.forEach(t),od=p(fi),ya=s(fi,"SPAN",{});var gu=a(ya);sd=i(gu,"MarianConfig"),gu.forEach(t),fi.forEach(t),Nr=p(n),Ee=s(n,"DIV",{class:!0});var Nn=a(Ee);y(uo.$$.fragment,Nn),ad=p(Nn),qt=s(Nn,"P",{});var Us=a(qt);rd=i(Us,"This is the configuration class to store the configuration of a "),ws=s(Us,"A",{href:!0});var _u=a(ws);id=i(_u,"MarianModel"),_u.forEach(t),ld=i(Us,`. It is used to instantiate an
Marian model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Marian
`),mo=s(Us,"A",{href:!0,rel:!0});var ku=a(mo);dd=i(ku,"Helsinki-NLP/opus-mt-en-de"),ku.forEach(t),cd=i(Us," architecture."),Us.forEach(t),pd=p(Nn),Ft=s(Nn,"P",{});var Rs=a(Ft);hd=i(Rs,"Configuration objects inherit from "),$s=s(Rs,"A",{href:!0});var vu=a($s);ud=i(vu,"PretrainedConfig"),vu.forEach(t),md=i(Rs,` and can be used to control the model outputs. Read the
documentation from `),zs=s(Rs,"A",{href:!0});var Tu=a(zs);fd=i(Tu,"PretrainedConfig"),Tu.forEach(t),gd=i(Rs," for more information."),Rs.forEach(t),_d=p(Nn),y(nn.$$.fragment,Nn),Nn.forEach(t),Ar=p(n),Pt=s(n,"H2",{class:!0});var gi=a(Pt);on=s(gi,"A",{id:!0,class:!0,href:!0});var bu=a(on);Ma=s(bu,"SPAN",{});var yu=a(Ma);y(fo.$$.fragment,yu),yu.forEach(t),bu.forEach(t),kd=p(gi),xa=s(gi,"SPAN",{});var Mu=a(xa);vd=i(Mu,"MarianTokenizer"),Mu.forEach(t),gi.forEach(t),Cr=p(n),le=s(n,"DIV",{class:!0});var pt=a(le);y(go.$$.fragment,pt),Td=p(pt),_o=s(pt,"P",{});var _i=a(_o);bd=i(_i,"Construct a Marian tokenizer. Based on "),ko=s(_i,"A",{href:!0,rel:!0});var xu=a(ko);yd=i(xu,"SentencePiece"),xu.forEach(t),Md=i(_i,"."),_i.forEach(t),xd=p(pt),vo=s(pt,"P",{});var ki=a(vo);wd=i(ki,"This tokenizer inherits from "),js=s(ki,"A",{href:!0});var wu=a(js);$d=i(wu,"PreTrainedTokenizer"),wu.forEach(t),zd=i(ki,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),ki.forEach(t),jd=p(pt),y(sn.$$.fragment,pt),Ed=p(pt),an=s(pt,"DIV",{class:!0});var vi=a(an);y(To.$$.fragment,vi),qd=p(vi),wa=s(vi,"P",{});var $u=a(wa);Fd=i($u,"Build model inputs from a sequence by appending eos_token_id."),$u.forEach(t),vi.forEach(t),pt.forEach(t),Lr=p(n),Nt=s(n,"H2",{class:!0});var Ti=a(Nt);rn=s(Ti,"A",{id:!0,class:!0,href:!0});var zu=a(rn);$a=s(zu,"SPAN",{});var ju=a($a);y(bo.$$.fragment,ju),ju.forEach(t),zu.forEach(t),Pd=p(Ti),za=s(Ti,"SPAN",{});var Eu=a(za);Nd=i(Eu,"MarianModel"),Eu.forEach(t),Ti.forEach(t),Ir=p(n),qe=s(n,"DIV",{class:!0});var An=a(qe);y(yo.$$.fragment,An),Ad=p(An),Mo=s(An,"P",{});var bi=a(Mo);Cd=i(bi,`The bare Marian Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Es=s(bi,"A",{href:!0});var qu=a(Es);Ld=i(qu,"PreTrainedModel"),qu.forEach(t),Id=i(bi,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bi.forEach(t),Od=p(An),xo=s(An,"P",{});var yi=a(xo);Sd=i(yi,"This model is also a PyTorch "),wo=s(yi,"A",{href:!0,rel:!0});var Fu=a(wo);Dd=i(Fu,"torch.nn.Module"),Fu.forEach(t),Hd=i(yi,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yi.forEach(t),Bd=p(An),He=s(An,"DIV",{class:!0});var Cn=a(He);y($o.$$.fragment,Cn),Ud=p(Cn),At=s(Cn,"P",{});var Ws=a(At);Rd=i(Ws,"The "),qs=s(Ws,"A",{href:!0});var Pu=a(qs);Wd=i(Pu,"MarianModel"),Pu.forEach(t),Vd=i(Ws," forward method, overrides the "),ja=s(Ws,"CODE",{});var Nu=a(ja);Kd=i(Nu,"__call__"),Nu.forEach(t),Gd=i(Ws," special method."),Ws.forEach(t),Jd=p(Cn),y(ln.$$.fragment,Cn),Yd=p(Cn),y(dn.$$.fragment,Cn),Cn.forEach(t),An.forEach(t),Or=p(n),Ct=s(n,"H2",{class:!0});var Mi=a(Ct);cn=s(Mi,"A",{id:!0,class:!0,href:!0});var Au=a(cn);Ea=s(Au,"SPAN",{});var Cu=a(Ea);y(zo.$$.fragment,Cu),Cu.forEach(t),Au.forEach(t),Zd=p(Mi),qa=s(Mi,"SPAN",{});var Lu=a(qa);Xd=i(Lu,"MarianMTModel"),Lu.forEach(t),Mi.forEach(t),Sr=p(n),Fe=s(n,"DIV",{class:!0});var Ln=a(Fe);y(jo.$$.fragment,Ln),Qd=p(Ln),Eo=s(Ln,"P",{});var xi=a(Eo);ec=i(xi,`The Marian Model with a language modeling head. Can be used for summarization.
This model inherits from `),Fs=s(xi,"A",{href:!0});var Iu=a(Fs);tc=i(Iu,"PreTrainedModel"),Iu.forEach(t),nc=i(xi,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xi.forEach(t),oc=p(Ln),qo=s(Ln,"P",{});var wi=a(qo);sc=i(wi,"This model is also a PyTorch "),Fo=s(wi,"A",{href:!0,rel:!0});var Ou=a(Fo);ac=i(Ou,"torch.nn.Module"),Ou.forEach(t),rc=i(wi,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wi.forEach(t),ic=p(Ln),fe=s(Ln,"DIV",{class:!0});var ht=a(fe);y(Po.$$.fragment,ht),lc=p(ht),Lt=s(ht,"P",{});var Vs=a(Lt);dc=i(Vs,"The "),Ps=s(Vs,"A",{href:!0});var Su=a(Ps);cc=i(Su,"MarianMTModel"),Su.forEach(t),pc=i(Vs," forward method, overrides the "),Fa=s(Vs,"CODE",{});var Du=a(Fa);hc=i(Du,"__call__"),Du.forEach(t),uc=i(Vs," special method."),Vs.forEach(t),mc=p(ht),y(pn.$$.fragment,ht),fc=p(ht),No=s(ht,"P",{});var $i=a(No);gc=i($i,`Pytorch version of marian-nmt\u2019s transformer.h (c++). Designed for the OPUS-NMT translation checkpoints. Available
models are listed `),Ao=s($i,"A",{href:!0,rel:!0});var Hu=a(Ao);_c=i(Hu,"here"),Hu.forEach(t),kc=i($i,"."),$i.forEach(t),vc=p(ht),y(hn.$$.fragment,ht),ht.forEach(t),Ln.forEach(t),Dr=p(n),It=s(n,"H2",{class:!0});var zi=a(It);un=s(zi,"A",{id:!0,class:!0,href:!0});var Bu=a(un);Pa=s(Bu,"SPAN",{});var Uu=a(Pa);y(Co.$$.fragment,Uu),Uu.forEach(t),Bu.forEach(t),Tc=p(zi),Na=s(zi,"SPAN",{});var Ru=a(Na);bc=i(Ru,"MarianForCausalLM"),Ru.forEach(t),zi.forEach(t),Hr=p(n),Ot=s(n,"DIV",{class:!0});var ji=a(Ot);y(Lo.$$.fragment,ji),yc=p(ji),mn=s(ji,"DIV",{class:!0});var Ei=a(mn);y(Io.$$.fragment,Ei),Mc=p(Ei),y(fn.$$.fragment,Ei),Ei.forEach(t),ji.forEach(t),Br=p(n),St=s(n,"H2",{class:!0});var qi=a(St);gn=s(qi,"A",{id:!0,class:!0,href:!0});var Wu=a(gn);Aa=s(Wu,"SPAN",{});var Vu=a(Aa);y(Oo.$$.fragment,Vu),Vu.forEach(t),Wu.forEach(t),xc=p(qi),Ca=s(qi,"SPAN",{});var Ku=a(Ca);wc=i(Ku,"TFMarianModel"),Ku.forEach(t),qi.forEach(t),Ur=p(n),de=s(n,"DIV",{class:!0});var ut=a(de);y(So.$$.fragment,ut),$c=p(ut),Do=s(ut,"P",{});var Fi=a(Do);zc=i(Fi,`The bare MARIAN Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Ns=s(Fi,"A",{href:!0});var Gu=a(Ns);jc=i(Gu,"TFPreTrainedModel"),Gu.forEach(t),Ec=i(Fi,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Fi.forEach(t),qc=p(ut),Ho=s(ut,"P",{});var Pi=a(Ho);Fc=i(Pi,"This model is also a "),Bo=s(Pi,"A",{href:!0,rel:!0});var Ju=a(Bo);Pc=i(Ju,"tf.keras.Model"),Ju.forEach(t),Nc=i(Pi,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Pi.forEach(t),Ac=p(ut),y(_n.$$.fragment,ut),Cc=p(ut),Be=s(ut,"DIV",{class:!0});var In=a(Be);y(Uo.$$.fragment,In),Lc=p(In),Dt=s(In,"P",{});var Ks=a(Dt);Ic=i(Ks,"The "),As=s(Ks,"A",{href:!0});var Yu=a(As);Oc=i(Yu,"TFMarianModel"),Yu.forEach(t),Sc=i(Ks," forward method, overrides the "),La=s(Ks,"CODE",{});var Zu=a(La);Dc=i(Zu,"__call__"),Zu.forEach(t),Hc=i(Ks," special method."),Ks.forEach(t),Bc=p(In),y(kn.$$.fragment,In),Uc=p(In),y(vn.$$.fragment,In),In.forEach(t),ut.forEach(t),Rr=p(n),Ht=s(n,"H2",{class:!0});var Ni=a(Ht);Tn=s(Ni,"A",{id:!0,class:!0,href:!0});var Xu=a(Tn);Ia=s(Xu,"SPAN",{});var Qu=a(Ia);y(Ro.$$.fragment,Qu),Qu.forEach(t),Xu.forEach(t),Rc=p(Ni),Oa=s(Ni,"SPAN",{});var em=a(Oa);Wc=i(em,"TFMarianMTModel"),em.forEach(t),Ni.forEach(t),Wr=p(n),ce=s(n,"DIV",{class:!0});var mt=a(ce);y(Wo.$$.fragment,mt),Vc=p(mt),Vo=s(mt,"P",{});var Ai=a(Vo);Kc=i(Ai,`The MARIAN Model with a language modeling head. Can be used for summarization.
This model inherits from `),Cs=s(Ai,"A",{href:!0});var tm=a(Cs);Gc=i(tm,"TFPreTrainedModel"),tm.forEach(t),Jc=i(Ai,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ai.forEach(t),Yc=p(mt),Ko=s(mt,"P",{});var Ci=a(Ko);Zc=i(Ci,"This model is also a "),Go=s(Ci,"A",{href:!0,rel:!0});var nm=a(Go);Xc=i(nm,"tf.keras.Model"),nm.forEach(t),Qc=i(Ci,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ci.forEach(t),ep=p(mt),y(bn.$$.fragment,mt),tp=p(mt),ge=s(mt,"DIV",{class:!0});var ft=a(ge);y(Jo.$$.fragment,ft),np=p(ft),Bt=s(ft,"P",{});var Gs=a(Bt);op=i(Gs,"The "),Ls=s(Gs,"A",{href:!0});var om=a(Ls);sp=i(om,"TFMarianMTModel"),om.forEach(t),ap=i(Gs," forward method, overrides the "),Sa=s(Gs,"CODE",{});var sm=a(Sa);rp=i(sm,"__call__"),sm.forEach(t),ip=i(Gs," special method."),Gs.forEach(t),lp=p(ft),y(yn.$$.fragment,ft),dp=p(ft),Yo=s(ft,"P",{});var Li=a(Yo);cp=i(Li,`TF version of marian-nmt\u2019s transformer.h (c++). Designed for the OPUS-NMT translation checkpoints. Available
models are listed `),Zo=s(Li,"A",{href:!0,rel:!0});var am=a(Zo);pp=i(am,"here"),am.forEach(t),hp=i(Li,"."),Li.forEach(t),up=p(ft),y(Mn.$$.fragment,ft),ft.forEach(t),mt.forEach(t),Vr=p(n),Ut=s(n,"H2",{class:!0});var Ii=a(Ut);xn=s(Ii,"A",{id:!0,class:!0,href:!0});var rm=a(xn);Da=s(rm,"SPAN",{});var im=a(Da);y(Xo.$$.fragment,im),im.forEach(t),rm.forEach(t),mp=p(Ii),Ha=s(Ii,"SPAN",{});var lm=a(Ha);fp=i(lm,"FlaxMarianModel"),lm.forEach(t),Ii.forEach(t),Kr=p(n),J=s(n,"DIV",{class:!0});var We=a(J);y(Qo.$$.fragment,We),gp=p(We),es=s(We,"P",{});var Oi=a(es);_p=i(Oi,`The bare Marian Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),Is=s(Oi,"A",{href:!0});var dm=a(Is);kp=i(dm,"FlaxPreTrainedModel"),dm.forEach(t),vp=i(Oi,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Oi.forEach(t),Tp=p(We),ts=s(We,"P",{});var Si=a(ts);bp=i(Si,`This model is also a Flax Linen
`),ns=s(Si,"A",{href:!0,rel:!0});var cm=a(ns);yp=i(cm,"flax.nn.Module"),cm.forEach(t),Mp=i(Si,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Si.forEach(t),xp=p(We),Ba=s(We,"P",{});var pm=a(Ba);wp=i(pm,"Finally, this model supports inherent JAX features such as:"),pm.forEach(t),$p=p(We),lt=s(We,"UL",{});var On=a(lt);Ua=s(On,"LI",{});var hm=a(Ua);os=s(hm,"A",{href:!0,rel:!0});var um=a(os);zp=i(um,"Just-In-Time (JIT) compilation"),um.forEach(t),hm.forEach(t),jp=p(On),Ra=s(On,"LI",{});var mm=a(Ra);ss=s(mm,"A",{href:!0,rel:!0});var fm=a(ss);Ep=i(fm,"Automatic Differentiation"),fm.forEach(t),mm.forEach(t),qp=p(On),Wa=s(On,"LI",{});var gm=a(Wa);as=s(gm,"A",{href:!0,rel:!0});var _m=a(as);Fp=i(_m,"Vectorization"),_m.forEach(t),gm.forEach(t),Pp=p(On),Va=s(On,"LI",{});var km=a(Va);rs=s(km,"A",{href:!0,rel:!0});var vm=a(rs);Np=i(vm,"Parallelization"),vm.forEach(t),km.forEach(t),On.forEach(t),Ap=p(We),Ue=s(We,"DIV",{class:!0});var Sn=a(Ue);y(is.$$.fragment,Sn),Cp=p(Sn),Rt=s(Sn,"P",{});var Js=a(Rt);Lp=i(Js,"The "),Ka=s(Js,"CODE",{});var Tm=a(Ka);Ip=i(Tm,"FlaxMarianPreTrainedModel"),Tm.forEach(t),Op=i(Js," forward method, overrides the "),Ga=s(Js,"CODE",{});var bm=a(Ga);Sp=i(bm,"__call__"),bm.forEach(t),Dp=i(Js," special method."),Js.forEach(t),Hp=p(Sn),y(wn.$$.fragment,Sn),Bp=p(Sn),y($n.$$.fragment,Sn),Sn.forEach(t),We.forEach(t),Gr=p(n),Wt=s(n,"H2",{class:!0});var Di=a(Wt);zn=s(Di,"A",{id:!0,class:!0,href:!0});var ym=a(zn);Ja=s(ym,"SPAN",{});var Mm=a(Ja);y(ls.$$.fragment,Mm),Mm.forEach(t),ym.forEach(t),Up=p(Di),Ya=s(Di,"SPAN",{});var xm=a(Ya);Rp=i(xm,"FlaxMarianMTModel"),xm.forEach(t),Di.forEach(t),Jr=p(n),Y=s(n,"DIV",{class:!0});var Ve=a(Y);y(ds.$$.fragment,Ve),Wp=p(Ve),cs=s(Ve,"P",{});var Hi=a(cs);Vp=i(Hi,`The MARIAN Model with a language modeling head. Can be used for translation.
This model inherits from `),Os=s(Hi,"A",{href:!0});var wm=a(Os);Kp=i(wm,"FlaxPreTrainedModel"),wm.forEach(t),Gp=i(Hi,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Hi.forEach(t),Jp=p(Ve),ps=s(Ve,"P",{});var Bi=a(ps);Yp=i(Bi,`This model is also a Flax Linen
`),hs=s(Bi,"A",{href:!0,rel:!0});var $m=a(hs);Zp=i($m,"flax.nn.Module"),$m.forEach(t),Xp=i(Bi,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Bi.forEach(t),Qp=p(Ve),Za=s(Ve,"P",{});var zm=a(Za);eh=i(zm,"Finally, this model supports inherent JAX features such as:"),zm.forEach(t),th=p(Ve),dt=s(Ve,"UL",{});var Dn=a(dt);Xa=s(Dn,"LI",{});var jm=a(Xa);us=s(jm,"A",{href:!0,rel:!0});var Em=a(us);nh=i(Em,"Just-In-Time (JIT) compilation"),Em.forEach(t),jm.forEach(t),oh=p(Dn),Qa=s(Dn,"LI",{});var qm=a(Qa);ms=s(qm,"A",{href:!0,rel:!0});var Fm=a(ms);sh=i(Fm,"Automatic Differentiation"),Fm.forEach(t),qm.forEach(t),ah=p(Dn),er=s(Dn,"LI",{});var Pm=a(er);fs=s(Pm,"A",{href:!0,rel:!0});var Nm=a(fs);rh=i(Nm,"Vectorization"),Nm.forEach(t),Pm.forEach(t),ih=p(Dn),tr=s(Dn,"LI",{});var Am=a(tr);gs=s(Am,"A",{href:!0,rel:!0});var Cm=a(gs);lh=i(Cm,"Parallelization"),Cm.forEach(t),Am.forEach(t),Dn.forEach(t),dh=p(Ve),Re=s(Ve,"DIV",{class:!0});var Hn=a(Re);y(_s.$$.fragment,Hn),ch=p(Hn),Vt=s(Hn,"P",{});var Ys=a(Vt);ph=i(Ys,"The "),nr=s(Ys,"CODE",{});var Lm=a(nr);hh=i(Lm,"FlaxMarianPreTrainedModel"),Lm.forEach(t),uh=i(Ys," forward method, overrides the "),or=s(Ys,"CODE",{});var Im=a(or);mh=i(Im,"__call__"),Im.forEach(t),fh=i(Ys," special method."),Ys.forEach(t),gh=p(Hn),y(jn.$$.fragment,Hn),_h=p(Hn),y(En.$$.fragment,Hn),Hn.forEach(t),Ve.forEach(t),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",JSON.stringify(df)),d(g,"id","marianmt"),d(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(g,"href","#marianmt"),d(_,"class","relative group"),d(X,"alt","Models"),Om(X.src,j="https://img.shields.io/badge/All_model_pages-marian-blueviolet")||d(X,"src",j),d(he,"href","https://huggingface.co/models?filter=marian"),d(ue,"alt","Spaces"),Om(ue.src,ct="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||d(ue,"src",ct),d(D,"href","https://huggingface.co/spaces/docs-demos/opus-mt-zh-en"),d(I,"class","flex flex-wrap space-x-1"),d(se,"href","https://github.com/huggingface/transformers/issues/new?assignees=sshleifer&labels=&template=bug-report.md&title"),d(se,"rel","nofollow"),d(te,"id","implementation-notes"),d(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(te,"href","#implementation-notes"),d(O,"class","relative group"),d(C,"href","https://huggingface.co/Helsinki-NLP"),d(C,"rel","nofollow"),d(Me,"href","https://researchportal.helsinki.fi/en/persons/j%C3%B6rg-tiedemann"),d(Me,"rel","nofollow"),d(we,"href","https://marian-nmt.github.io/"),d(we,"rel","nofollow"),d(Oe,"href","/docs/transformers/main/en/model_doc/bart#transformers.BartForConditionalGeneration"),d(Kn,"href","https://huggingface.co/sshleifer"),d(Kn,"rel","nofollow"),d(Jt,"id","naming"),d(Jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Jt,"href","#naming"),d(xt,"class","relative group"),d(Yn,"href","https://developers.google.com/admin-sdk/directory/v1/languages"),d(Yn,"rel","nofollow"),d(Yt,"id","examples"),d(Yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Yt,"href","#examples"),d($t,"class","relative group"),d(Xn,"href","https://github.com/huggingface/transformers/blob/master/examples/legacy/seq2seq/train_distil_marian_enro.sh"),d(Xn,"rel","nofollow"),d(Xt,"id","multilingual-models"),d(Xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Xt,"href","#multilingual-models"),d(zt,"class","relative group"),d(oo,"href","https://huggingface.co/Helsinki-NLP/opus-mt-en-roa"),d(oo,"rel","nofollow"),d(ao,"href","https://github.com/Helsinki-NLP/Tatoeba-Challenge"),d(ao,"rel","nofollow"),d(en,"id","old-style-multilingual-models"),d(en,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(en,"href","#old-style-multilingual-models"),d(jt,"class","relative group"),d(tn,"id","transformers.MarianConfig"),d(tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(tn,"href","#transformers.MarianConfig"),d(Et,"class","relative group"),d(ws,"href","/docs/transformers/main/en/model_doc/marian#transformers.MarianModel"),d(mo,"href","https://huggingface.co/Helsinki-NLP/opus-mt-en-de"),d(mo,"rel","nofollow"),d($s,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(zs,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(on,"id","transformers.MarianTokenizer"),d(on,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(on,"href","#transformers.MarianTokenizer"),d(Pt,"class","relative group"),d(ko,"href","https://github.com/google/sentencepiece"),d(ko,"rel","nofollow"),d(js,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),d(an,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rn,"id","transformers.MarianModel"),d(rn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(rn,"href","#transformers.MarianModel"),d(Nt,"class","relative group"),d(Es,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(wo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(wo,"rel","nofollow"),d(qs,"href","/docs/transformers/main/en/model_doc/marian#transformers.MarianModel"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(cn,"id","transformers.MarianMTModel"),d(cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(cn,"href","#transformers.MarianMTModel"),d(Ct,"class","relative group"),d(Fs,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Fo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Fo,"rel","nofollow"),d(Ps,"href","/docs/transformers/main/en/model_doc/marian#transformers.MarianMTModel"),d(Ao,"href","https://huggingface.co/models?search=Helsinki-NLP"),d(Ao,"rel","nofollow"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(un,"id","transformers.MarianForCausalLM"),d(un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(un,"href","#transformers.MarianForCausalLM"),d(It,"class","relative group"),d(mn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gn,"id","transformers.TFMarianModel"),d(gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(gn,"href","#transformers.TFMarianModel"),d(St,"class","relative group"),d(Ns,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),d(Bo,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(Bo,"rel","nofollow"),d(As,"href","/docs/transformers/main/en/model_doc/marian#transformers.TFMarianModel"),d(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Tn,"id","transformers.TFMarianMTModel"),d(Tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Tn,"href","#transformers.TFMarianMTModel"),d(Ht,"class","relative group"),d(Cs,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),d(Go,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(Go,"rel","nofollow"),d(Ls,"href","/docs/transformers/main/en/model_doc/marian#transformers.TFMarianMTModel"),d(Zo,"href","https://huggingface.co/models?search=Helsinki-NLP"),d(Zo,"rel","nofollow"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xn,"id","transformers.FlaxMarianModel"),d(xn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(xn,"href","#transformers.FlaxMarianModel"),d(Ut,"class","relative group"),d(Is,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(ns,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),d(ns,"rel","nofollow"),d(os,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(os,"rel","nofollow"),d(ss,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(ss,"rel","nofollow"),d(as,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(as,"rel","nofollow"),d(rs,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(rs,"rel","nofollow"),d(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zn,"id","transformers.FlaxMarianMTModel"),d(zn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(zn,"href","#transformers.FlaxMarianMTModel"),d(Wt,"class","relative group"),d(Os,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(hs,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),d(hs,"rel","nofollow"),d(us,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(us,"rel","nofollow"),d(ms,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(ms,"rel","nofollow"),d(fs,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(fs,"rel","nofollow"),d(gs,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(gs,"rel","nofollow"),d(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,m){e(document.head,h),f(n,v,m),f(n,_,m),e(_,g),e(g,k),M(l,k,null),e(_,u),e(_,E),e(E,Ke),f(n,Ne,m),f(n,I,m),e(I,he),e(he,X),e(I,Ge),e(I,D),e(D,ue),f(n,Q,m),f(n,B,m),e(B,_e),e(_e,oe),e(B,Je),e(B,se),e(se,ae),e(B,Ye),f(n,Ae,m),f(n,H,m),e(H,Ze),f(n,Ce,m),f(n,ee,m),e(ee,N),f(n,L,m),f(n,me,m),e(me,U),e(U,Xe),f(n,Le,m),f(n,O,m),e(O,te),e(te,ke),M(A,ke,null),e(O,Qe),e(O,R),e(R,et),f(n,Ie,m),f(n,F,m),e(F,ve),e(ve,Te),e(Te,W),e(F,tt),e(F,V),e(V,re),e(re,be),e(re,C),e(C,nt),e(re,S),e(F,ot),e(F,ye),e(ye,T),e(T,q),e(T,Me),e(Me,xe),e(T,gt),e(T,we),e(we,P),e(T,_t),e(F,kt),e(F,st),e(st,at),e(at,vt),e(F,K),e(F,G),e(G,rt),e(rt,Tt),e(F,ie),e(F,$e),e($e,ze),e(ze,it),e(ze,Oe),e(Oe,je),e(ze,bt),e($e,Ui),e($e,yt),e(yt,Un),e(Un,Ri),e(Un,Zs),e(Zs,Wi),e(Un,Vi),e(yt,Ki),e(yt,Rn),e(Rn,Gi),e(Rn,Xs),e(Xs,Ji),e(Rn,Yi),e(yt,Zi),e(yt,Mt),e(Mt,Xi),e(Mt,Qs),e(Qs,Qi),e(Mt,el),e(Mt,ea),e(ea,tl),e(Mt,nl),e(F,ol),e(F,ta),e(ta,Wn),e(Wn,sl),e(Wn,na),e(na,al),e(Wn,rl),e(F,il),e(F,oa),e(oa,Vn),e(Vn,ll),e(Vn,Kn),e(Kn,dl),e(Vn,cl),f(n,_r,m),f(n,xt,m),e(xt,Jt),e(Jt,sa),M(Gn,sa,null),e(xt,pl),e(xt,aa),e(aa,hl),f(n,kr,m),f(n,Se,m),e(Se,bs),e(bs,ul),e(bs,ra),e(ra,ml),e(Se,fl),e(Se,Jn),e(Jn,gl),e(Jn,Yn),e(Yn,_l),e(Jn,kl),e(Se,vl),e(Se,wt),e(wt,Tl),e(wt,ia),e(ia,bl),e(wt,yl),e(wt,la),e(la,Ml),e(wt,xl),e(Se,wl),e(Se,da),e(da,$l),f(n,vr,m),f(n,$t,m),e($t,Yt),e(Yt,ca),M(Zn,ca,null),e($t,zl),e($t,pa),e(pa,jl),f(n,Tr,m),f(n,Zt,m),e(Zt,ha),e(ha,El),e(Zt,ql),e(Zt,ua),e(ua,Xn),e(Xn,Fl),f(n,br,m),f(n,zt,m),e(zt,Xt),e(Xt,ma),M(Qn,ma,null),e(zt,Pl),e(zt,fa),e(fa,Nl),f(n,yr,m),f(n,De,m),e(De,eo),e(eo,Al),e(eo,ga),e(ga,Cl),e(eo,Ll),e(De,Il),e(De,to),e(to,Ol),e(to,_a),e(_a,Sl),e(to,Dl),e(De,Hl),e(De,no),e(no,Bl),e(no,oo),e(oo,Ul),e(no,Rl),e(De,Wl),e(De,so),e(so,Vl),e(so,ka),e(ka,Kl),e(so,Gl),f(n,Mr,m),f(n,Qt,m),e(Qt,Jl),e(Qt,ao),e(ao,Yl),e(Qt,Zl),f(n,xr,m),M(ro,n,m),f(n,wr,m),f(n,ys,m),e(ys,Xl),f(n,$r,m),M(io,n,m),f(n,zr,m),f(n,jt,m),e(jt,en),e(en,va),M(lo,va,null),e(jt,Ql),e(jt,Ta),e(Ta,ed),f(n,jr,m),f(n,Ms,m),e(Ms,td),f(n,Er,m),M(co,n,m),f(n,qr,m),f(n,xs,m),e(xs,nd),f(n,Fr,m),M(po,n,m),f(n,Pr,m),f(n,Et,m),e(Et,tn),e(tn,ba),M(ho,ba,null),e(Et,od),e(Et,ya),e(ya,sd),f(n,Nr,m),f(n,Ee,m),M(uo,Ee,null),e(Ee,ad),e(Ee,qt),e(qt,rd),e(qt,ws),e(ws,id),e(qt,ld),e(qt,mo),e(mo,dd),e(qt,cd),e(Ee,pd),e(Ee,Ft),e(Ft,hd),e(Ft,$s),e($s,ud),e(Ft,md),e(Ft,zs),e(zs,fd),e(Ft,gd),e(Ee,_d),M(nn,Ee,null),f(n,Ar,m),f(n,Pt,m),e(Pt,on),e(on,Ma),M(fo,Ma,null),e(Pt,kd),e(Pt,xa),e(xa,vd),f(n,Cr,m),f(n,le,m),M(go,le,null),e(le,Td),e(le,_o),e(_o,bd),e(_o,ko),e(ko,yd),e(_o,Md),e(le,xd),e(le,vo),e(vo,wd),e(vo,js),e(js,$d),e(vo,zd),e(le,jd),M(sn,le,null),e(le,Ed),e(le,an),M(To,an,null),e(an,qd),e(an,wa),e(wa,Fd),f(n,Lr,m),f(n,Nt,m),e(Nt,rn),e(rn,$a),M(bo,$a,null),e(Nt,Pd),e(Nt,za),e(za,Nd),f(n,Ir,m),f(n,qe,m),M(yo,qe,null),e(qe,Ad),e(qe,Mo),e(Mo,Cd),e(Mo,Es),e(Es,Ld),e(Mo,Id),e(qe,Od),e(qe,xo),e(xo,Sd),e(xo,wo),e(wo,Dd),e(xo,Hd),e(qe,Bd),e(qe,He),M($o,He,null),e(He,Ud),e(He,At),e(At,Rd),e(At,qs),e(qs,Wd),e(At,Vd),e(At,ja),e(ja,Kd),e(At,Gd),e(He,Jd),M(ln,He,null),e(He,Yd),M(dn,He,null),f(n,Or,m),f(n,Ct,m),e(Ct,cn),e(cn,Ea),M(zo,Ea,null),e(Ct,Zd),e(Ct,qa),e(qa,Xd),f(n,Sr,m),f(n,Fe,m),M(jo,Fe,null),e(Fe,Qd),e(Fe,Eo),e(Eo,ec),e(Eo,Fs),e(Fs,tc),e(Eo,nc),e(Fe,oc),e(Fe,qo),e(qo,sc),e(qo,Fo),e(Fo,ac),e(qo,rc),e(Fe,ic),e(Fe,fe),M(Po,fe,null),e(fe,lc),e(fe,Lt),e(Lt,dc),e(Lt,Ps),e(Ps,cc),e(Lt,pc),e(Lt,Fa),e(Fa,hc),e(Lt,uc),e(fe,mc),M(pn,fe,null),e(fe,fc),e(fe,No),e(No,gc),e(No,Ao),e(Ao,_c),e(No,kc),e(fe,vc),M(hn,fe,null),f(n,Dr,m),f(n,It,m),e(It,un),e(un,Pa),M(Co,Pa,null),e(It,Tc),e(It,Na),e(Na,bc),f(n,Hr,m),f(n,Ot,m),M(Lo,Ot,null),e(Ot,yc),e(Ot,mn),M(Io,mn,null),e(mn,Mc),M(fn,mn,null),f(n,Br,m),f(n,St,m),e(St,gn),e(gn,Aa),M(Oo,Aa,null),e(St,xc),e(St,Ca),e(Ca,wc),f(n,Ur,m),f(n,de,m),M(So,de,null),e(de,$c),e(de,Do),e(Do,zc),e(Do,Ns),e(Ns,jc),e(Do,Ec),e(de,qc),e(de,Ho),e(Ho,Fc),e(Ho,Bo),e(Bo,Pc),e(Ho,Nc),e(de,Ac),M(_n,de,null),e(de,Cc),e(de,Be),M(Uo,Be,null),e(Be,Lc),e(Be,Dt),e(Dt,Ic),e(Dt,As),e(As,Oc),e(Dt,Sc),e(Dt,La),e(La,Dc),e(Dt,Hc),e(Be,Bc),M(kn,Be,null),e(Be,Uc),M(vn,Be,null),f(n,Rr,m),f(n,Ht,m),e(Ht,Tn),e(Tn,Ia),M(Ro,Ia,null),e(Ht,Rc),e(Ht,Oa),e(Oa,Wc),f(n,Wr,m),f(n,ce,m),M(Wo,ce,null),e(ce,Vc),e(ce,Vo),e(Vo,Kc),e(Vo,Cs),e(Cs,Gc),e(Vo,Jc),e(ce,Yc),e(ce,Ko),e(Ko,Zc),e(Ko,Go),e(Go,Xc),e(Ko,Qc),e(ce,ep),M(bn,ce,null),e(ce,tp),e(ce,ge),M(Jo,ge,null),e(ge,np),e(ge,Bt),e(Bt,op),e(Bt,Ls),e(Ls,sp),e(Bt,ap),e(Bt,Sa),e(Sa,rp),e(Bt,ip),e(ge,lp),M(yn,ge,null),e(ge,dp),e(ge,Yo),e(Yo,cp),e(Yo,Zo),e(Zo,pp),e(Yo,hp),e(ge,up),M(Mn,ge,null),f(n,Vr,m),f(n,Ut,m),e(Ut,xn),e(xn,Da),M(Xo,Da,null),e(Ut,mp),e(Ut,Ha),e(Ha,fp),f(n,Kr,m),f(n,J,m),M(Qo,J,null),e(J,gp),e(J,es),e(es,_p),e(es,Is),e(Is,kp),e(es,vp),e(J,Tp),e(J,ts),e(ts,bp),e(ts,ns),e(ns,yp),e(ts,Mp),e(J,xp),e(J,Ba),e(Ba,wp),e(J,$p),e(J,lt),e(lt,Ua),e(Ua,os),e(os,zp),e(lt,jp),e(lt,Ra),e(Ra,ss),e(ss,Ep),e(lt,qp),e(lt,Wa),e(Wa,as),e(as,Fp),e(lt,Pp),e(lt,Va),e(Va,rs),e(rs,Np),e(J,Ap),e(J,Ue),M(is,Ue,null),e(Ue,Cp),e(Ue,Rt),e(Rt,Lp),e(Rt,Ka),e(Ka,Ip),e(Rt,Op),e(Rt,Ga),e(Ga,Sp),e(Rt,Dp),e(Ue,Hp),M(wn,Ue,null),e(Ue,Bp),M($n,Ue,null),f(n,Gr,m),f(n,Wt,m),e(Wt,zn),e(zn,Ja),M(ls,Ja,null),e(Wt,Up),e(Wt,Ya),e(Ya,Rp),f(n,Jr,m),f(n,Y,m),M(ds,Y,null),e(Y,Wp),e(Y,cs),e(cs,Vp),e(cs,Os),e(Os,Kp),e(cs,Gp),e(Y,Jp),e(Y,ps),e(ps,Yp),e(ps,hs),e(hs,Zp),e(ps,Xp),e(Y,Qp),e(Y,Za),e(Za,eh),e(Y,th),e(Y,dt),e(dt,Xa),e(Xa,us),e(us,nh),e(dt,oh),e(dt,Qa),e(Qa,ms),e(ms,sh),e(dt,ah),e(dt,er),e(er,fs),e(fs,rh),e(dt,ih),e(dt,tr),e(tr,gs),e(gs,lh),e(Y,dh),e(Y,Re),M(_s,Re,null),e(Re,ch),e(Re,Vt),e(Vt,ph),e(Vt,nr),e(nr,hh),e(Vt,uh),e(Vt,or),e(or,mh),e(Vt,fh),e(Re,gh),M(jn,Re,null),e(Re,_h),M(En,Re,null),Yr=!0},p(n,[m]){const ks={};m&2&&(ks.$$scope={dirty:m,ctx:n}),nn.$set(ks);const sr={};m&2&&(sr.$$scope={dirty:m,ctx:n}),sn.$set(sr);const ar={};m&2&&(ar.$$scope={dirty:m,ctx:n}),ln.$set(ar);const rr={};m&2&&(rr.$$scope={dirty:m,ctx:n}),dn.$set(rr);const vs={};m&2&&(vs.$$scope={dirty:m,ctx:n}),pn.$set(vs);const ir={};m&2&&(ir.$$scope={dirty:m,ctx:n}),hn.$set(ir);const lr={};m&2&&(lr.$$scope={dirty:m,ctx:n}),fn.$set(lr);const qn={};m&2&&(qn.$$scope={dirty:m,ctx:n}),_n.$set(qn);const dr={};m&2&&(dr.$$scope={dirty:m,ctx:n}),kn.$set(dr);const cr={};m&2&&(cr.$$scope={dirty:m,ctx:n}),vn.$set(cr);const pr={};m&2&&(pr.$$scope={dirty:m,ctx:n}),bn.$set(pr);const hr={};m&2&&(hr.$$scope={dirty:m,ctx:n}),yn.$set(hr);const ur={};m&2&&(ur.$$scope={dirty:m,ctx:n}),Mn.$set(ur);const mr={};m&2&&(mr.$$scope={dirty:m,ctx:n}),wn.$set(mr);const Ts={};m&2&&(Ts.$$scope={dirty:m,ctx:n}),$n.$set(Ts);const fr={};m&2&&(fr.$$scope={dirty:m,ctx:n}),jn.$set(fr);const gr={};m&2&&(gr.$$scope={dirty:m,ctx:n}),En.$set(gr)},i(n){Yr||(x(l.$$.fragment,n),x(A.$$.fragment,n),x(Gn.$$.fragment,n),x(Zn.$$.fragment,n),x(Qn.$$.fragment,n),x(ro.$$.fragment,n),x(io.$$.fragment,n),x(lo.$$.fragment,n),x(co.$$.fragment,n),x(po.$$.fragment,n),x(ho.$$.fragment,n),x(uo.$$.fragment,n),x(nn.$$.fragment,n),x(fo.$$.fragment,n),x(go.$$.fragment,n),x(sn.$$.fragment,n),x(To.$$.fragment,n),x(bo.$$.fragment,n),x(yo.$$.fragment,n),x($o.$$.fragment,n),x(ln.$$.fragment,n),x(dn.$$.fragment,n),x(zo.$$.fragment,n),x(jo.$$.fragment,n),x(Po.$$.fragment,n),x(pn.$$.fragment,n),x(hn.$$.fragment,n),x(Co.$$.fragment,n),x(Lo.$$.fragment,n),x(Io.$$.fragment,n),x(fn.$$.fragment,n),x(Oo.$$.fragment,n),x(So.$$.fragment,n),x(_n.$$.fragment,n),x(Uo.$$.fragment,n),x(kn.$$.fragment,n),x(vn.$$.fragment,n),x(Ro.$$.fragment,n),x(Wo.$$.fragment,n),x(bn.$$.fragment,n),x(Jo.$$.fragment,n),x(yn.$$.fragment,n),x(Mn.$$.fragment,n),x(Xo.$$.fragment,n),x(Qo.$$.fragment,n),x(is.$$.fragment,n),x(wn.$$.fragment,n),x($n.$$.fragment,n),x(ls.$$.fragment,n),x(ds.$$.fragment,n),x(_s.$$.fragment,n),x(jn.$$.fragment,n),x(En.$$.fragment,n),Yr=!0)},o(n){w(l.$$.fragment,n),w(A.$$.fragment,n),w(Gn.$$.fragment,n),w(Zn.$$.fragment,n),w(Qn.$$.fragment,n),w(ro.$$.fragment,n),w(io.$$.fragment,n),w(lo.$$.fragment,n),w(co.$$.fragment,n),w(po.$$.fragment,n),w(ho.$$.fragment,n),w(uo.$$.fragment,n),w(nn.$$.fragment,n),w(fo.$$.fragment,n),w(go.$$.fragment,n),w(sn.$$.fragment,n),w(To.$$.fragment,n),w(bo.$$.fragment,n),w(yo.$$.fragment,n),w($o.$$.fragment,n),w(ln.$$.fragment,n),w(dn.$$.fragment,n),w(zo.$$.fragment,n),w(jo.$$.fragment,n),w(Po.$$.fragment,n),w(pn.$$.fragment,n),w(hn.$$.fragment,n),w(Co.$$.fragment,n),w(Lo.$$.fragment,n),w(Io.$$.fragment,n),w(fn.$$.fragment,n),w(Oo.$$.fragment,n),w(So.$$.fragment,n),w(_n.$$.fragment,n),w(Uo.$$.fragment,n),w(kn.$$.fragment,n),w(vn.$$.fragment,n),w(Ro.$$.fragment,n),w(Wo.$$.fragment,n),w(bn.$$.fragment,n),w(Jo.$$.fragment,n),w(yn.$$.fragment,n),w(Mn.$$.fragment,n),w(Xo.$$.fragment,n),w(Qo.$$.fragment,n),w(is.$$.fragment,n),w(wn.$$.fragment,n),w($n.$$.fragment,n),w(ls.$$.fragment,n),w(ds.$$.fragment,n),w(_s.$$.fragment,n),w(jn.$$.fragment,n),w(En.$$.fragment,n),Yr=!1},d(n){t(h),n&&t(v),n&&t(_),$(l),n&&t(Ne),n&&t(I),n&&t(Q),n&&t(B),n&&t(Ae),n&&t(H),n&&t(Ce),n&&t(ee),n&&t(L),n&&t(me),n&&t(Le),n&&t(O),$(A),n&&t(Ie),n&&t(F),n&&t(_r),n&&t(xt),$(Gn),n&&t(kr),n&&t(Se),n&&t(vr),n&&t($t),$(Zn),n&&t(Tr),n&&t(Zt),n&&t(br),n&&t(zt),$(Qn),n&&t(yr),n&&t(De),n&&t(Mr),n&&t(Qt),n&&t(xr),$(ro,n),n&&t(wr),n&&t(ys),n&&t($r),$(io,n),n&&t(zr),n&&t(jt),$(lo),n&&t(jr),n&&t(Ms),n&&t(Er),$(co,n),n&&t(qr),n&&t(xs),n&&t(Fr),$(po,n),n&&t(Pr),n&&t(Et),$(ho),n&&t(Nr),n&&t(Ee),$(uo),$(nn),n&&t(Ar),n&&t(Pt),$(fo),n&&t(Cr),n&&t(le),$(go),$(sn),$(To),n&&t(Lr),n&&t(Nt),$(bo),n&&t(Ir),n&&t(qe),$(yo),$($o),$(ln),$(dn),n&&t(Or),n&&t(Ct),$(zo),n&&t(Sr),n&&t(Fe),$(jo),$(Po),$(pn),$(hn),n&&t(Dr),n&&t(It),$(Co),n&&t(Hr),n&&t(Ot),$(Lo),$(Io),$(fn),n&&t(Br),n&&t(St),$(Oo),n&&t(Ur),n&&t(de),$(So),$(_n),$(Uo),$(kn),$(vn),n&&t(Rr),n&&t(Ht),$(Ro),n&&t(Wr),n&&t(ce),$(Wo),$(bn),$(Jo),$(yn),$(Mn),n&&t(Vr),n&&t(Ut),$(Xo),n&&t(Kr),n&&t(J),$(Qo),$(is),$(wn),$($n),n&&t(Gr),n&&t(Wt),$(ls),n&&t(Jr),n&&t(Y),$(ds),$(_s),$(jn),$(En)}}}const df={local:"marianmt",sections:[{local:"implementation-notes",title:"Implementation Notes"},{local:"naming",title:"Naming"},{local:"examples",title:"Examples"},{local:"multilingual-models",title:"Multilingual Models"},{local:"old-style-multilingual-models",title:"Old Style Multi-Lingual Models"},{local:"transformers.MarianConfig",title:"MarianConfig"},{local:"transformers.MarianTokenizer",title:"MarianTokenizer"},{local:"transformers.MarianModel",title:"MarianModel"},{local:"transformers.MarianMTModel",title:"MarianMTModel"},{local:"transformers.MarianForCausalLM",title:"MarianForCausalLM"},{local:"transformers.TFMarianModel",title:"TFMarianModel"},{local:"transformers.TFMarianMTModel",title:"TFMarianMTModel"},{local:"transformers.FlaxMarianModel",title:"FlaxMarianModel"},{local:"transformers.FlaxMarianMTModel",title:"FlaxMarianMTModel"}],title:"MarianMT"};function cf(z){return Um(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _f extends Sm{constructor(h){super();Dm(this,h,cf,lf,Hm,{})}}export{_f as default,df as metadata};
